/*---------------------------------------------------------------------------*/
/*Copyright (C)	Hach-Lange (2009). All Rights Reserved.                      */
/*Product:	SIMATIC PDM  	                                             	 */
/*Device:	SC 200        	                                             	 */
/*Description:	Device Description	                                     	 */
/*Dictionary:	SIPADC01.dct	                                             */
/*$Revision:	1.0  $  	                                             	 */
/* SONDE: Phosphax SC                                                           */
/*$Date:	Okt 2009	                                             		 */
/*Author:	R.Stollenwerk Hach-Lange                                     	 */
/*---------------------------------------------------------------------------*/
//----DEF Menu----
#define DEF_Tab_Tab_Phosphax_Settings_Base(argN,argOnline) Tab_Tab_Phosphax##argN##_Settings_Base_Online##argOnline
#define DEF_Tab_Tab_Phosphax_Settings_Calibration(argN,argOnline) Tab_Tab_Phosphax##argN##_Settings_Calibration_Online##argOnline
#define DEF_Tab_Tab_Phosphax_Settings_Fieldbus(argN,argOnline) Tab_Tab_Phosphax##argN##_Settings_Fieldbus_Online##argOnline
#define DEF_Tab_Tab_Phosphax_Diag_Counter(argN,argOnline) Tab_Tab_Phosphax##argN##_Diag_Counter_Online##argOnline
#define DEF_Tab_Tab_Phosphax_Diag_ProbeInfo(argN,argOnline) Tab_Tab_Phosphax##argN##_ProbeInfo_Online##argOnline
#define DEF_Tab_Tab_Phosphax_Diag_Data(argN,argOnline) Tab_Tab_Phosphax##argN##_Data_Online##argOnline
#define DEF_Tab_Tab_Phosphax_Diag_WarnErr(argN,argOnline) Tab_Tab_Phosphax##argN##_Diag_WarnErr_Online##argOnline

#define DEF_GROUP_Phosphax_TEMP_NAME(argN) Group_Phosphax##argN##_TEMP
#define DEF_GROUP_Phosphax_KUEHL_NAME(argN) Group_Phosphax##argN##_KUEHL
#define DEF_GROUP_Phosphax_FEUCHT_NAME(argN) Group_Phosphax##argN##_FEUCHT
#define DEF_GROUP_Phosphax_ZUSTAND_NAME(argN) Group_Phosphax##argN##_ZUSTAND
#define DEF_GROUP_Phosphax_MESS_NAME(argN) Group_Phosphax##argN##_MESS
#define DEF_GROUP_Phosphax_REF_NAME(argN) Group_Phosphax##argN##_REF
#define DEF_GROUP_Phosphax_MEAS_ORT_NAME(argN) Group_Phosphax##argN##_MEAS_ORT
#define DEF_GROUP_Phosphax_Methode_NAME(argN) Group_Phosphax##argN##_Methode
#define DEF_GROUP_Phosphax_MEAS_UNITS_1_NAME(argN) Group_Phosphax##argN##_MEAS_UNITS_1
#define DEF_GROUP_Phosphax_MEAS_UNITS_2_NAME(argN) Group_Phosphax##argN##_MEAS_UNITS_2
#define DEF_GROUP_Phosphax_HEATING_ON_NAME(argN) Group_Phosphax##argN##_HEATING_ON
#define DEF_GROUP_Phosphax_REAG_WARNING_NAME(argN) Group_Phosphax##argN##_REAG_WARNING
#define DEF_GROUP_Phosphax_SAMPLE_DETECTION_NAME(argN) Group_Phosphax##argN##_SAMPLE_DETECTION
#define DEF_GROUP_Phosphax_STAT_MODUL_WAR_NAME(argN) Group_Phosphax##argN##_STAT_MODUL_WAR
#define DEF_GROUP_Phosphax_CLEANING_START_NAME(argN) Group_Phosphax##argN##_CLEANING_START
#define	DEF_GROUP_Phosphax_BUSACTION_ACTIVE_NAME(argN) Group_Phosphax##argN##_BUSACTION_ACTIVE
#define	DEF_GROUP_Phosphax_FIELDBUS_NAME(argN) Group_Phosphax##argN##_FIELDBUS

#define DEF_IF_ERROR_PHOSPHAX(arg_uni_error)  \
		IF ((arg_uni_error&1)==1)  {"TEMP. <0C/32F?"   "|de|FROST BEI START" ,}\
		IF ((arg_uni_error&2)==2)  {"ANALYZ. TOO COLD"   "|de|GERT FROST" ,}\
		IF ((arg_uni_error&4)==4)  {"COOLING FAILED"   "|de|KHLT NICHT AB" ,}\
		IF ((arg_uni_error&8)==8)  {"HUMIDITY ANALY"   "|de|FEUCHTE GERT" ,}\
		IF ((arg_uni_error&16)==16)  {"HUMIDITY PROBE"   "|de|FEUCHTE SONDE" ,}\			
		IF ((arg_uni_error&32)==32)  {"PROBE MISSING"   "|de|SONDE FEHLT" ,}\
		IF ((arg_uni_error&64)==64)  {"NO HEAT UP"   "|de|HEIZT NICHT AUF" ,}\
		IF ((arg_uni_error&128)==128)  {"CUVSENSOR DEFECT"   "|de|KVSENSOR DEFEKT" ,}\				
		IF ((arg_uni_error&256)==256)  {"TEMPSENS DEFECT"   "|de|TEMPSENS DEFEKT" ,}\
		IF ((arg_uni_error&512)==512)  {"CUVHEAT DEFECT"   "|de|KVHZ DEFEKT" ,}\
		IF ((arg_uni_error&1024)==1024)  {"CUV TOO HOT"   "|de|KV ZU HEISS" ,}\				
		IF ((arg_uni_error&2048)==2048)  {"PHOTO LEVEL LOW"   "|de|PHOPEGEL NIEDRIG" ,}\
		IF ((arg_uni_error&4096)==4096)  {"PHOTO LEVEL HIGH"   "|de|PHOTOPEGEL HOCH" ,}\
		IF ((arg_uni_error&8192)==8192)  {"MODULES CONTAM."   "|de|MODULE VERSCHM." ,}\
		IF ((arg_uni_error&16384)==16384)  {"PHOTO LEVEL2 LOW"   "|de|PHOPEGEL2 NIEDR." ,}\
		IF ((arg_uni_error&32768)==32768)  {"PHOTO LEV.2 HIGH"   "|de|PHOTOPEGEL2 HOCH" ,}\
		IF ((arg_uni_error&65536)==65536)  {"DRAIN BLOCKED"   "|de|ABLAUF VERSTOPFT" ,}\
		IF ((arg_uni_error&131072)==131072)  {"SAMPLE 1"   "|de|PROBE 1" ,}\
		IF ((arg_uni_error&262144)==262144)  {"SAMPLE 2"   "|de|PROBE 2" ,}		
	   
#define DEF_IF_WARNING_PHOSPHAX(arg_uni_status) \
		IF ((arg_uni_status&1)==1)  {"WARMUP PHASE"   "|de|AUFWRMPHASE" ,}\
		IF ((arg_uni_status&2)==2)  {"COOLING DOWN"   "|de|GERT ABKHLEN" ,}\
		IF ((arg_uni_status&4)==4)  {"SERVICE MODE"   "|de|SERVICEZUSTAND" ,}\
		IF ((arg_uni_status&8)==8)  {"REAGENT LEVEL"   "|de|REAGENZSTAND" ,}\
		IF ((arg_uni_status&16)==16)  {"CLEAN SOLU LEVEL"   "|de|REINIGSTAND" ,}\
		IF ((arg_uni_status&32)==32)  {"ANALYZ. TOO COLD"   "|de|GERT ZU KALT" ,}\
		IF ((arg_uni_status&64)==64)  {"ANALYZ. TOO WARM"   "|de|GERT ZU WARM" ,}\
		IF ((arg_uni_status&128)==128)  {"CUV TOO COOL"   "|de|KVETTE ZU KHL" ,}\
		IF ((arg_uni_status&256)==256)  {"MODULES CONTAM."   "|de|MODULE VERSCHM." ,}\
		IF ((arg_uni_status&512)==512)  {"PHOTO LEVEL LOW"   "|de|PHOPEGEL NIEDRIG" ,}\
		IF ((arg_uni_status&1024)==1024)  {"SAMPLE 1"   "|de|PROBE 1" ,}\
		IF ((arg_uni_status&2048)==2048)  {"PHOTO LEVEL2 LOW"   "|de|PHOPEGEL2 NIEDR." ,}\
		IF ((arg_uni_status&4096)==4096)  {"SAMPLE 2"   "|de|PROBE 2" ,}

//----DEF Command-Name write----
#define DEF_write_Phosphax_CHANNEL1(argN) write_Phosphax##argN##_CHANNEL1
#define DEF_write_Phosphax_CHANNEL2(argN) write_Phosphax##argN##_CHANNEL2
#define DEF_write_Phosphax_HEATING_ON(argN) write_Phosphax##argN##_HEATING_ON
#define DEF_write_Phosphax_HEATING_OFF(argN) write_Phosphax##argN##_HEATING_OFF
#define DEF_write_Phosphax_BUSACTION_ACTIVE(argN) write_Phosphax##argN##_BUSACTION_ACTIVE
#define DEF_write_Phosphax_BUS_ANALY_START(argN) write_Phosphax##argN##_BUS_ANALY_START
#define DEF_write_Phosphax_BUS_SERVICE(argN) write_Phosphax##argN##_BUS_SERVICE
#define DEF_write_Phosphax_BUS_CLEANING(argN) write_Phosphax##argN##_BUS_CLEANING
#define DEF_write_Phosphax_BUS_PREPUMP_REA(argN) write_Phosphax##argN##_BUS_PREPUMP_REA
#define DEF_write_Phosphax_BUS_PREPUMP_CLEA(argN) write_Phosphax##argN##_BUS_PREPUMP_CLEA
#define DEF_write_Phosphax_BUS_PREPUMP_PRO(argN) write_Phosphax##argN##_BUS_PREPUMP_PRO
#define DEF_write_Phosphax_BUS_PREPUMP_ALL(argN) write_Phosphax##argN##_BUS_PREPUMP_ALL
#define DEF_write_Phosphax_GAIN_CORR_1(argN) write_Phosphax##argN##_GAIN_CORR_1
#define DEF_write_Phosphax_DISCHARGE_CLEAN(argN) write_Phosphax##argN##_DISCHARGE_CLEAN
#define DEF_write_Phosphax_SET_OUTMODE_CLE(argN) write_Phosphax##argN##_SET_OUTMODE_CLE
#define DEF_write_Phosphax_SET_OUTMODE_SER(argN) write_Phosphax##argN##_SET_OUTMODE_SER
#define DEF_write_Phosphax_MEAS_UNITS_1(argN) write_Phosphax##argN##_MEAS_UNITS_1
#define DEF_write_Phosphax_CLEANING_MODULES(argN) write_Phosphax##argN##_CLEANING_MODULES
#define DEF_write_Phosphax_INTERVAL(argN) write_Phosphax##argN##_INTERVAL
#define DEF_write_Phosphax_START(argN) write_Phosphax##argN##_START
#define DEF_write_Phosphax_SET_INTERVAL(argN) write_Phosphax##argN##_SET_INTERVAL
#define DEF_write_Phosphax_NEW_MODULES(argN) write_Phosphax##argN##_NEW_MODULES
#define DEF_write_Phosphax_SET_PARAMETER_1(argN) write_Phosphax##argN##_SET_PARAMETER_1
#define DEF_write_Phosphax_GAIN_CORR_2(argN) write_Phosphax##argN##_GAIN_CORR_2
#define DEF_write_Phosphax_SET_PARAMETER_2(argN) write_Phosphax##argN##_SET_PARAMETER_2
#define DEF_write_Phosphax_MEAS_UNITS_2(argN) write_Phosphax##argN##_MEAS_UNITS_2
#define DEF_write_Phosphax_FIELDBUS(argN) write_Phosphax##argN##_FIELDBUS
#define DEF_write_Phosphax_START_BY_BUS(argN) write_Phosphax##argN##_START_BY_BUS
#define DEF_write_Phosphax_NUMBER_OF_MEAS(argN) write_Phosphax##argN##_NUMBER_OF_MEAS
#define DEF_write_Phosphax_AVERAGE(argN) write_Phosphax##argN##_AVERAGE
#define DEF_write_Phosphax_NO_OF_VALUES_CH1(argN) write_Phosphax##argN##_NO_OF_VALUES_CH1
#define DEF_write_Phosphax_NO_OF_VALUES_CH2(argN) write_Phosphax##argN##_NO_OF_VALUES_CH2
#define DEF_write_Phosphax_DISCHARGE_VAL1(argN) write_Phosphax##argN##_DISCHARGE_VAL1
#define DEF_write_Phosphax_DISCHARGE_VAL2(argN) write_Phosphax##argN##_DISCHARGE_VAL2
#define DEF_write_Phosphax_DISCHARGE_BUS(argN) write_Phosphax##argN##_DISCHARGE_BUS
#define DEF_write_Phosphax_REAG_WARNING(argN) write_Phosphax##argN##_REAG_WARNING
#define DEF_write_Phosphax_WARNING(argN) write_Phosphax##argN##_WARNING
#define DEF_write_Phosphax_OPERATING_HOURS(argN) write_Phosphax##argN##_OPERATING_HOURS
#define DEF_write_Phosphax_LAST_CHA_FACTOR1(argN) write_Phosphax##argN##_LAST_CHA_FACTOR1
#define DEF_write_Phosphax_LAST_CHA_FACTOR2(argN) write_Phosphax##argN##_LAST_CHA_FACTOR2
#define DEF_write_Phosphax_SAMPLE_DETECTION(argN) write_Phosphax##argN##_SAMPLE_DETECTION
#define DEF_write_Phosphax_STATUS_MODUL_ERR(argN) write_Phosphax##argN##_STATUS_MODUL_ERR
#define DEF_write_Phosphax_STAT_MODUL_WAR(argN) write_Phosphax##argN##_STAT_MODUL_WAR
#define DEF_write_Phosphax_EXHAUST_CONTROL(argN) write_Phosphax##argN##_EXHAUST_CONTROL
#define DEF_write_Phosphax_BUBBLE_REJECT(argN) write_Phosphax##argN##_BUBBLE_REJECT
#define DEF_write_Phosphax_SEL_ADJ_METHOD(argN) write_Phosphax##argN##_SEL_ADJ_METHOD
#define DEF_write_Phosphax_EDIT_NAME(argN) write_Phosphax##argN##_EDIT_NAME

//---DEF Command Name read---
#define DEF_read_Phosphax_Data1(argN)  read_Phosphax##argN##_Data1
#define DEF_read_Phosphax_Data2(argN)  read_Phosphax##argN##_Data2
#define DEF_read_Phosphax_Data3(argN)  read_Phosphax##argN##_Data3
#define DEF_read_Phosphax_Data4(argN)  read_Phosphax##argN##_Data4
#define DEF_read_Phosphax_Data5(argN)  read_Phosphax##argN##_Data5
#define DEF_read_Phosphax_Data6(argN)  read_Phosphax##argN##_Data6
#define DEF_read_Phosphax_Data7(argN)  read_Phosphax##argN##_Data7
#define DEF_read_Phosphax_Data8(argN)  read_Phosphax##argN##_Data8
#define DEF_read_Phosphax_Data9(argN)  read_Phosphax##argN##_Data9
#define DEF_read_Phosphax_Data10(argN)  read_Phosphax##argN##_Data10
		
//----DEF Variablen-Name----------------------------------------------------
//-------------Mesurements--------------------------------------------------
#define DEF_Phosphax_MEASURE_VALUE_1(argN) Phosphax##argN##_MEASURE_VALUE_1
#define DEF_Phosphax_MEASURE_VALUE_2(argN) Phosphax##argN##_MEASURE_VALUE_2
#define DEF_Phosphax_PHOSPHATE_P_1(argN) Phosphax##argN##_PHOSPHATE_P_1
#define DEF_Phosphax_PHOSPHATE_P_2(argN) Phosphax##argN##_PHOSPHATE_P_2
#define DEF_Phosphax_PHOSPHATE_1(argN) Phosphax##argN##_PHOSPHATE_1
#define DEF_Phosphax_PHOSPHATE_2(argN) Phosphax##argN##_PHOSPHATE_2
#define DEF_Phosphax_PHOS_PENTOXIDE1(argN) Phosphax##argN##_PHOS_PENTOXIDE1
#define DEF_Phosphax_PHOS_PENTOXIDE2(argN) Phosphax##argN##_PHOS_PENTOXIDE2

//------------Diag----------------------------------------------------------
#define DEF_Phosphax_CUVETTE_TEMP(argN) Phosphax##argN##_CUVETTE_TEMP
#define DEF_Phosphax_ENCLOSURE_TEMP(argN) Phosphax##argN##_ENCLOSURE_TEMP
#define DEF_Phosphax_PROBE_P_MIN(argN) Phosphax##argN##_PROBE_P_MIN
#define DEF_Phosphax_PROBE_PRESSURE(argN) Phosphax##argN##_PROBE_PRESSURE
#define DEF_Phosphax_COOLING(argN) Phosphax##argN##_COOLING
#define DEF_Phosphax_ANALYZER_HEATING(argN) Phosphax##argN##_ANALYZER_HEATING
#define DEF_Phosphax_STATUS_MODULES_FL(argN) Phosphax##argN##_STATUS_MODULES_FL
#define DEF_Phosphax_HUMIDITY_ANALY(argN) Phosphax##argN##_HUMIDITY_ANALY
#define DEF_Phosphax_HUMIDITY_PROBE(argN) Phosphax##argN##_HUMIDITY_PROBE
#define DEF_Phosphax_ENCLOSU_TEMP_MAX(argN) Phosphax##argN##_ENCLOSU_TEMP_MAX
#define DEF_Phosphax_ENCLOSU_TEMP_MIN(argN) Phosphax##argN##_ENCLOSU_TEMP_MIN
#define DEF_Phosphax_OPTION(argN) Phosphax##argN##_OPTION
#define DEF_Phosphax_HEATING(argN) Phosphax##argN##_HEATING

//------------Diag----Probe Info---------------------------------------------
#define DEF_Phosphax_SOFTWARE_PROBE(argN) Phosphax##argN##_SOFTWARE_PROBE
#define DEF_Phosphax_TYPE(argN) Phosphax##argN##_TYPE
#define DEF_Phosphax_SENSOR_NAME(argN) Phosphax##argN##_SENSOR_NAME
#define DEF_Phosphax_STRUCTURE(argN) Phosphax##argN##_STRUCTURE
#define DEF_Phosphax_FIRMWARE(argN) Phosphax##argN##_FIRMWARE
#define DEF_Phosphax_CONTENT(argN) Phosphax##argN##_CONTENT
#define DEF_Phosphax_LOADER(argN) Phosphax##argN##_LOADER
#define DEF_Phosphax_REMAINING_TIME(argN) Phosphax##argN##_REMAINING_TIME
#define DEF_Phosphax_PROCESS_STATE(argN) Phosphax##argN##_PROCESS_STATE
//------------Diag----Probe Counter---------------------------------------------
#define DEF_Phosphax_CLEANING_MODULES(argN) Phosphax##argN##_CLEANING_MODULES
#define DEF_Phosphax_AIR_FILTER_DISPL(argN) Phosphax##argN##_AIR_FILTER_DISPL
#define DEF_Phosphax_NEW_MODULES(argN) Phosphax##argN##_NEW_MODULES
#define DEF_Phosphax_REAGENT_LEVEL(argN) Phosphax##argN##_REAGENT_LEVEL
#define DEF_Phosphax_CLEAN_SOLU_LEVEL(argN) Phosphax##argN##_CLEAN_SOLU_LEVEL
#define DEF_Phosphax_PUMP_DISPLAY(argN) Phosphax##argN##_PUMP_DISPLAY
#define DEF_Phosphax_OPERATING_HOURS(argN) Phosphax##argN##_OPERATING_HOURS
#define DEF_Phosphax_PUMP_MEMBR_DISP(argN) Phosphax##argN##_PUMP_MEMBR_DISP
//------------Diag----Probe Data---------------------------------------------
#define DEF_Phosphax_ACTUAL_MEAS_TIME(argN) Phosphax##argN##_ACTUAL_MEAS_TIME
#define DEF_Phosphax_ACTUAL_VALUE(argN) Phosphax##argN##_ACTUAL_VALUE

#define DEF_Phosphax_Fieldbus_Enable(argN) Phosphax##argN##_Fieldbus_Enable

#define DEF_Phosphax_CHANNEL1(argN) Phosphax##argN##_CHANNEL1
#define DEF_Phosphax_MEAS(argN) Phosphax##argN##_MEAS
#define DEF_Phosphax_MEAS_ZERO(argN) Phosphax##argN##_MEAS_ZERO
#define DEF_Phosphax_OFFSET_MEAS(argN) Phosphax##argN##_OFFSET_MEAS
#define DEF_Phosphax_REF(argN) Phosphax##argN##_REF
#define DEF_Phosphax_REF_ZERO(argN) Phosphax##argN##_REF_ZERO
#define DEF_Phosphax_OFFSET_REF(argN) Phosphax##argN##_OFFSET_REF
#define DEF_Phosphax_AMPLIFY_MEAS(argN) Phosphax##argN##_AMPLIFY_MEAS
#define DEF_Phosphax_AMPLIFY_REF(argN) Phosphax##argN##_AMPLIFY_REF
#define DEF_Phosphax_CHANNEL2(argN) Phosphax##argN##_CHANNEL2
#define DEF_Phosphax_DEXT_LAST_VALUE(argN) Phosphax##argN##_DEXT_LAST_VALUE
#define DEF_Phosphax_HEATING_ON(argN) Phosphax##argN##_HEATING_ON
#define DEF_Phosphax_HEATING_OFF(argN) Phosphax##argN##_HEATING_OFF
#define DEF_Phosphax_EXT_MESS_1(argN) Phosphax##argN##_EXT_MESS_1
#define DEF_Phosphax_EXT_MESS_2(argN) Phosphax##argN##_EXT_MESS_2
#define DEF_Phosphax_EXT_REF(argN) Phosphax##argN##_EXT_REF
#define DEF_Phosphax_BUSACTION_ACTIVE(argN) Phosphax##argN##_BUSACTION_ACTIVE
#define DEF_Phosphax_BUS_ANALY_START(argN) Phosphax##argN##_BUS_ANALY_START
#define DEF_Phosphax_BUS_SERVICE(argN) Phosphax##argN##_BUS_SERVICE
#define DEF_Phosphax_BUS_CLEANING(argN) Phosphax##argN##_BUS_CLEANING
#define DEF_Phosphax_BUS_PREPUMP_REA(argN) Phosphax##argN##_BUS_PREPUMP_REA
#define DEF_Phosphax_BUS_PREPUMP_CLEA(argN) Phosphax##argN##_BUS_PREPUMP_CLEA
#define DEF_Phosphax_BUS_PREPUMP_PRO(argN) Phosphax##argN##_BUS_PREPUMP_PRO
#define DEF_Phosphax_BUS_PREPUMP_ALL(argN) Phosphax##argN##_BUS_PREPUMP_ALL
#define DEF_Phosphax_GAIN_CORR_1(argN) Phosphax##argN##_GAIN_CORR_1
#define DEF_Phosphax_DISCHARGE_CLEAN(argN) Phosphax##argN##_DISCHARGE_CLEAN
#define DEF_Phosphax_SET_OUTMODE_CLE(argN) Phosphax##argN##_SET_OUTMODE_CLE
#define DEF_Phosphax_dummy_byte, dummy_byte(argN) Phosphax##argN##_dummy_byte, dummy_byte
#define DEF_Phosphax_SET_OUTMODE_SER(argN) Phosphax##argN##_SET_OUTMODE_SER
#define DEF_Phosphax_MEAS_UNITS_1(argN) Phosphax##argN##_MEAS_UNITS_1
#define DEF_Phosphax_APPL(argN) Phosphax##argN##_APPL
#define DEF_Phosphax_STATUS_MODULES_UI(argN) Phosphax##argN##_STATUS_MODULES_UI
#define DEF_Phosphax_INTERVAL(argN) Phosphax##argN##_INTERVAL
#define DEF_Phosphax_START(argN) Phosphax##argN##_START
#define DEF_Phosphax_SET_INTERVAL(argN) Phosphax##argN##_SET_INTERVAL
#define DEF_Phosphax_SET_PARAMETER_1(argN) Phosphax##argN##_SET_PARAMETER_1
#define DEF_Phosphax_GAIN_CORR_2(argN) Phosphax##argN##_GAIN_CORR_2
#define DEF_Phosphax_SET_PARAMETER_2(argN) Phosphax##argN##_SET_PARAMETER_2
#define DEF_Phosphax_MEAS_UNITS_2(argN) Phosphax##argN##_MEAS_UNITS_2
#define DEF_Phosphax_FIELDBUS(argN) Phosphax##argN##_FIELDBUS
#define DEF_Phosphax_START_BY_BUS(argN) Phosphax##argN##_START_BY_BUS
#define DEF_Phosphax_EXTINCTION_2(argN) Phosphax##argN##_EXTINCTION_2
#define DEF_Phosphax_NUMBER_OF_MEAS(argN) Phosphax##argN##_NUMBER_OF_MEAS
#define DEF_Phosphax_AVERAGE(argN) Phosphax##argN##_AVERAGE
#define DEF_Phosphax_NO_OF_VALUES_CH1(argN) Phosphax##argN##_NO_OF_VALUES_CH1
#define DEF_Phosphax_NO_OF_VALUES_CH2(argN) Phosphax##argN##_NO_OF_VALUES_CH2
#define DEF_Phosphax_DISCHARGE_VAL1(argN) Phosphax##argN##_DISCHARGE_VAL1
#define DEF_Phosphax_DISCHARGE_VAL2(argN) Phosphax##argN##_DISCHARGE_VAL2
#define DEF_Phosphax_DISCHARGE_BUS(argN) Phosphax##argN##_DISCHARGE_BUS
#define DEF_Phosphax_REAG_WARNING(argN) Phosphax##argN##_REAG_WARNING
#define DEF_Phosphax_WARNING(argN) Phosphax##argN##_WARNING
#define DEF_Phosphax_LAST_CHA_FACTOR1(argN) Phosphax##argN##_LAST_CHA_FACTOR1
#define DEF_Phosphax_LAST_CHA_FACTOR2(argN) Phosphax##argN##_LAST_CHA_FACTOR2
#define DEF_Phosphax_SAMPLE_DETECTION(argN) Phosphax##argN##_SAMPLE_DETECTION
#define DEF_Phosphax_LAST_TIME(argN) Phosphax##argN##_LAST_TIME
#define DEF_Phosphax_ND2_LAST_TIME(argN) Phosphax##argN##_ND2_LAST_TIME
#define DEF_Phosphax_RD3_LAST_TIME(argN) Phosphax##argN##_RD3_LAST_TIME
#define DEF_Phosphax_TH4_LAST_TIME(argN) Phosphax##argN##_TH4_LAST_TIME
#define DEF_Phosphax_TH5_LAST_TIME(argN) Phosphax##argN##_TH5_LAST_TIME
#define DEF_Phosphax_TH6_LAST_TIME(argN) Phosphax##argN##_TH6_LAST_TIME
#define DEF_Phosphax_TH7_LAST_TIME(argN) Phosphax##argN##_TH7_LAST_TIME
#define DEF_Phosphax_TH8_LAST_TIME(argN) Phosphax##argN##_TH8_LAST_TIME
#define DEF_Phosphax_TH9_LAST_TIME(argN) Phosphax##argN##_TH9_LAST_TIME
#define DEF_Phosphax_LAST_VALUE(argN) Phosphax##argN##_LAST_VALUE
#define DEF_Phosphax_ND2_LAST_VALUE(argN) Phosphax##argN##_ND2_LAST_VALUE
#define DEF_Phosphax_RD3_LAST_VALUE(argN) Phosphax##argN##_RD3_LAST_VALUE
#define DEF_Phosphax_TH4_LAST_VALUE(argN) Phosphax##argN##_TH4_LAST_VALUE
#define DEF_Phosphax_TH5_LAST_VALUE(argN) Phosphax##argN##_TH5_LAST_VALUE
#define DEF_Phosphax_TH6_LAST_VALUE(argN) Phosphax##argN##_TH6_LAST_VALUE
#define DEF_Phosphax_TH7_LAST_VALUE(argN) Phosphax##argN##_TH7_LAST_VALUE
#define DEF_Phosphax_TH8_LAST_VALUE(argN) Phosphax##argN##_TH8_LAST_VALUE
#define DEF_Phosphax_TH9_LAST_VALUE(argN) Phosphax##argN##_TH9_LAST_VALUE
#define DEF_Phosphax_STATUS_MODUL_ERR(argN) Phosphax##argN##_STATUS_MODUL_ERR
#define DEF_Phosphax_STAT_MODUL_WAR(argN) Phosphax##argN##_STAT_MODUL_WAR
#define DEF_Phosphax_EXHAUST_CONTROL(argN) Phosphax##argN##_EXHAUST_CONTROL
#define DEF_Phosphax_REF_(argN) Phosphax##argN##_REF_
#define DEF_Phosphax_BUBBLE_REJECT(argN) Phosphax##argN##_BUBBLE_REJECT
#define DEF_Phosphax_SEL_ADJ_METHOD(argN) Phosphax##argN##_SEL_ADJ_METHOD
#define DEF_Phosphax_ERROR_LIST(argN) Phosphax##argN##_ERROR_LIST
#define DEF_Phosphax_WARNING_LIST(argN) Phosphax##argN##_WARNING_LIST
#define DEF_Phosphax_EDIT_NAME(argN) Phosphax##argN##_EDIT_NAME

//----DEF Variablen---------------------------------------------------------------------------
//-------MEASUREMENT TAGS----------
#define DEF_VAR_Phosphax_MEAS_UNITS_1(argNN)\
VARIABLE Phosphax##argNN##_MEAS_UNITS_1\
{\
         LABEL "Measurment units 1" "|de|Messwert Einheit 1";\
         HELP "Measurement units for channel one 0=mg/l,  2=ppm" "|de|Measurement units for channel one 0=mg/l,  2=ppm";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {0, "mg/l"   "|de|mg/l"},\
                 {2, "ppm"   "|de|ppm"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_MEASURE_VALUE_1(argNN)\
VARIABLE Phosphax##argNN##_MEASURE_VALUE_1\
{\
         LABEL "Measure value 1" 	"|de|Messwert 1";\
         HELP "actual measurement value from channel one" "|de|actual measurement value from channel one";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
		 {\
		 }\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}\
UNIT Phosphax##argNN##_MEASURE_VALUE_1_UNIT\
{\
	Phosphax##argNN##_MEAS_UNITS_1:\
	Phosphax##argNN##_MEASURE_VALUE_1,\
	Phosphax##argNN##_PHOSPHATE_P_1,\
	Phosphax##argNN##_PHOS_PENTOXIDE1,\
	Phosphax##argNN##_PHOSPHATE_1,\
}

#define DEF_VAR_Phosphax_CHANNEL1(argNN)\
VARIABLE Phosphax##argNN##_CHANNEL1\
{\
         LABEL "Channel 1" "|de|Kanal 1";\
         HELP "Name of LOCATION 1 (see menu system)" "|de|Name of LOCATION 1 (see menu system)";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ASCII (16)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_CUVETTE_TEMP(argNN)\
VARIABLE Phosphax##argNN##_CUVETTE_TEMP\
{\
         LABEL "Cuvette temperature" "|de|Kvetten Temperatur";\
         HELP "actual cuvette temperature" "|de|actual cuvette temperature";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
		DISPLAY_FORMAT 	".2f";\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "C";\
}



#define DEF_VAR_Phosphax_ENCLOSURE_TEMP(argNN)\
VARIABLE Phosphax##argNN##_ENCLOSURE_TEMP\
{\
         LABEL "Enclosure temperature" "|de|Gehuse Temperatur";\
         HELP "the temperature inside the analyzer" "|de|the temperature inside the analyzer";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
		DISPLAY_FORMAT 	".2f";\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "C";\
}

#define DEF_VAR_Phosphax_PROBE_P_MIN(argNN)\
VARIABLE Phosphax##argNN##_PROBE_P_MIN\
{\
         LABEL "Probe p. min"  "|de|Druck Sonde min";\
         HELP "integrated value of pressure at filtration probe, if not yet calculated: nan" "|de|integrated value of pressure at filtration probe, if not yet calculated: nan";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "BAR";\
		VALIDITY  IF(Phosphax##argNN##_OPTION==0) {TRUE;} ELSE {FALSE;}\
}

#define DEF_VAR_Phosphax_PROBE_PRESSURE(argNN)\
VARIABLE Phosphax##argNN##_PROBE_PRESSURE\
{\
         LABEL "Probe pressure" "|de|Druck Sonde";\
         HELP "actual value of pressure at filtration probe, if not yet calculated: nan" "|de|actual value of pressure at filtration probe, if not yet calculated: nan";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
		CONSTANT_UNIT 	"BAR";\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==0) {TRUE;} ELSE {FALSE;}\		
}

#define DEF_VAR_Phosphax_GAIN_CORR_1(argNN)\
VARIABLE Phosphax##argNN##_GAIN_CORR_1\
{\
         LABEL "Gain corr 1" "|de|Korrektur Faktor";\
         HELP "Gain correction for channel one" "|de|Gain correction for channel one";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}


#define DEF_VAR_Phosphax_BUSACTION_ACTIVE(argNN)\
VARIABLE Phosphax##argNN##_BUSACTION_ACTIVE\
{\
         LABEL "Busaction active" "|de|Busaktion aktiv";\
         HELP "write a one to this register to start a bus action (see Field bus control)" "|de|write a one to this register to start a bus action (see Field bus control)";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
			    {0, "Off"  "|de|Aus"},\
                {1, "Action"  "|de|Aktion"},\
				{65535, "Deaktiv"  "|de|Deaktiviert"}\
              }\ 
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_BUS_ANALY_START(argNN)\
VARIABLE Phosphax##argNN##_BUS_ANALY_START\
{\
         LABEL "Analyse start" "|de|Analyse start";\
         HELP "you can start the analyzer about the bus" "|de|you can start the analyzer about the bus";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
			    {0, "Off"  "|de|Aus"},\
                {1, "Action"  "|de|Aktion"},\
				{65535, "Deaktiv"  "|de|Deaktiviert"}\			  
              }\
  	    HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
VALIDITY  FALSE;\		
}

#define DEF_VAR_Phosphax_BUS_SERVICE(argNN)\
VARIABLE Phosphax##argNN##_BUS_SERVICE\
{\
         LABEL "Service" "|de|Service";\
         HELP "you can start the service mode  about the bus" "|de|you can start the service mode  about the bus";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
  			    {0, "Off"  "|de|Aus"},\
                {1, "Action"  "|de|Aktion"},\
				{65535, "Deaktiv"  "|de|Deaktiviert"}\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
VALIDITY  FALSE;\		
}


#define DEF_VAR_Phosphax_BUS_CLEANING(argNN)\
VARIABLE Phosphax##argNN##_BUS_CLEANING\
{\
         LABEL "Cleaning" "|de|Reinigen";\
         HELP "you can start the cleaning mode  about the bus" "|de|you can start the cleaning mode  about the bus";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
  			    {0, "Off"  "|de|Aus"},\
                {1, "Action"  "|de|Aktion"},\
				{65535, "Deaktiv"  "|de|Deaktiviert"}\			  
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}


#define DEF_VAR_Phosphax_BUS_PREPUMP_REA(argNN)\
VARIABLE Phosphax##argNN##_BUS_PREPUMP_REA\
{\
         LABEL "Prepump reagent" "|de|Vorpumpen Reagenz";\
         HELP "you can prepump reagent  about the bus" "|de|you can prepump reagent  about the bus";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
			    {0, "Off"  "|de|Aus"},\
                {1, "Action"  "|de|Aktion"},\
				{65535, "Deaktiv"  "|de|Deaktiviert"}\			  
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
VALIDITY  FALSE;\		
}

#define DEF_VAR_Phosphax_BUS_PREPUMP_CLEA(argNN)\
VARIABLE Phosphax##argNN##_BUS_PREPUMP_CLEA\
{\
         LABEL "Prepump clean" "|de|Vorpumpen Reinigen";\
         HELP "you can prepump cleaning solution  about the bus" "|de|you can prepump cleaning solution  about the bus";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
			    {0, "Off"  "|de|Aus"},\
                {1, "Action"  "|de|Aktion"},\
				{65535, "Deaktiv"  "|de|Deaktiviert"}\			  
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
VALIDITY  FALSE;\			
}

#define DEF_VAR_Phosphax_BUS_PREPUMP_PRO(argNN)\
VARIABLE Phosphax##argNN##_BUS_PREPUMP_PRO\
{\
         LABEL "Prepump probe" "|de|Vorpumpen Sonde";\
         HELP "you can prepump the probe  about the bus" "|de|you can prepump the probe  about the bus";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
			    {0, "Off"  "|de|Aus"},\
                {1, "Action"  "|de|Aktion"},\
				{65535, "Deaktiv"  "|de|Deaktiviert"}\			  
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
VALIDITY  FALSE;\				
}

#define DEF_VAR_Phosphax_BUS_PREPUMP_ALL(argNN)\
VARIABLE Phosphax##argNN##_BUS_PREPUMP_ALL\
{\
         LABEL "Prepump all" "|de|Vorpumpen Alles";\
         HELP "you can prepump all  about the bus" "|de|you can prepump all  about the bus";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
			    {0, "Off"  "|de|Aus"},\
                {1, "Action"  "|de|Aktion"},\
				{65535, "Deaktiv"  "|de|Deaktiviert"}\			  
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
VALIDITY  FALSE;\		
}

#define DEF_VAR_Phosphax_REMAINING_TIME(argNN)\
VARIABLE Phosphax##argNN##_REMAINING_TIME\
{\
         LABEL "Remaining time" "|de|Restzeit";\
         HELP "remaining time of the current process " "|de|remaining time of the current process ";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "s";\
}

#define DEF_VAR_Phosphax_APPL(argNN)\
VARIABLE Phosphax##argNN##_APPL\
{\
         LABEL "Application" "|de|Applikation";\
         HELP "the entry is for the application file" "|de|the entry is for the application file";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_HEATING_ON(argNN)\
VARIABLE Phosphax##argNN##_HEATING_ON\
{\
         LABEL "Heating on" "|de|Heizung an";\
         HELP "sets the month when the sample line heating is switched ON" "|de|sets the month when the sample line heating is switched ON";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {0, "NEVER"   "|de|NIE"},\
                 {1, "JAN"   "|de|JAN"},\
                 {2, "FEB"   "|de|FEB"},\
                 {3, "MAR"   "|de|MAR"},\
                 {4, "APR"   "|de|APR"},\
                 {5, "MAY"   "|de|MAI"},\
                 {6, "JUN"   "|de|JUNI"},\
                 {7, "JUL"   "|de|JULI"},\
                 {8, "AUG"   "|de|AUG"},\
                 {9, "SEP"   "|de|SEP"},\
                 {10, "OCT"   "|de|OKT"},\
                 {11, "NOV"   "|de|NOV"},\
                 {12, "DEC"   "|de|DEZ"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_HEATING_OFF(argNN)\
VARIABLE Phosphax##argNN##_HEATING_OFF\
{\
         LABEL "Heating off"  "|de|Heizung aus";\
         HELP "sets the month when the sample line heating is switched OFF" "|de|sets the month when the sample line heating is switched OFF";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {1, "JAN"   "|de|JAN"},\
                 {2, "FEB"   "|de|FEB"},\
                 {3, "MAR"   "|de|MAR"},\
                 {4, "APR"   "|de|APR"},\
                 {5, "MAY"   "|de|MAI"},\
                 {6, "JUN"   "|de|JUNI"},\
                 {7, "JUL"   "|de|JULI"},\
                 {8, "AUG"   "|de|AUG"},\
                 {9, "SEP"   "|de|SEP"},\
                 {10, "OCT"   "|de|OKT"},\
                 {11, "NOV"   "|de|NOV"},\
                 {12, "DEC"   "|de|DEZ"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_CLEANING_MODULES(argNN)\
VARIABLE Phosphax##argNN##_CLEANING_MODULES\
{\
         LABEL "Cleaning modules" "|de|Module reinigen";\
         HELP "" "|de|";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==0) {TRUE;} ELSE {FALSE;}\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_CLEANING_MODULES,CLEANING_MODULES_PHOSPHAX_##argNN)\
}\
}

#define DEF_VAR_Phosphax_SET_PARAMETER_1(argNN)\
VARIABLE Phosphax##argNN##_SET_PARAMETER_1\
{\
         LABEL "Set parameter 1" "|de|Parameter 1";\
         HELP "Parameter for channel 1" "|de|Parameter for channel 1";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {15, "PO4-P"   "|de|PO4-P"},\
                 {14, "PO4"   "|de|PO4"},\
                 {16, "P2O5"   "|de|P2O5"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_AIR_FILTER_DISPL(argNN)\
VARIABLE Phosphax##argNN##_AIR_FILTER_DISPL\
{\
         LABEL "Air filter display" "|de|Luftfilter Anzeige";\
         HELP "days until next cleaning/exchange of air filter pads. Negative values show a cleaning which is overdue" "|de|days until next cleaning/exchange of air filter pads. Negative values show a cleaning which is overdue";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE INTEGER (2)\
{\
}\
        HANDLING READ;\
		CONSTANT_UNIT 	"Day";\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_COOLING(argNN)\
VARIABLE Phosphax##argNN##_COOLING\
{\
         LABEL "Cooling" "|de|Khlung";\
         HELP "percentage of cooling fan power" "|de|percentage of cooling fan power";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "%";\
}

#define DEF_VAR_Phosphax_ANALYZER_HEATING(argNN)\
VARIABLE Phosphax##argNN##_ANALYZER_HEATING\
{\
         LABEL "Analyzer heating" "|de|Heizung Gehuse";\
         HELP "the heating of the analyzer" "|de|the heating of the analyzer";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "%";\
}
#define DEF_VAR_Phosphax_INTERVAL(argNN)\
VARIABLE Phosphax##argNN##_INTERVAL\
{\
         LABEL "Interval" "|de|Intervall";\
         HELP "0=5 minutes, 1 =10minutes, 2=15 minutes to 23=120 minutes" "|de|0=5 minutes, 1 =10minutes, 2=15 minutes to 23=120 minutes";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
{\
          {0, "5 min"  "|de|5 min"},\
          {1, "10 min"  "|de|10 min"},\
          {2, "15 min"  "|de|15 min"},\
          {3, "20 min"  "|de|20 min"},\
          {4, "25 min"  "|de|25 min"},\
          {5, "30 min"  "|de|30 min"},\
          {6, "35 min"  "|de|35 min"},\
          {7, "40 min"  "|de|40 min"},\
          {8, "45 min"  "|de|45 min"},\
          {9, "50 min"  "|de|50 min"},\
          {10, "55 min"  "|de|55 min"},\
          {11, "60 min"  "|de|60 min"},\
          {12, "65 min"  "|de|65 min"},\
          {13, "70 min"  "|de|70 min"},\
          {14, "75 min"  "|de|75 min"},\
          {15, "80 min"  "|de|80 min"},\
          {16, "85 min"  "|de|85 min"},\
          {17, "90 min"  "|de|90 min"},\
          {18, "95 min"  "|de|95 min"},\
          {19, "100 min"  "|de|100 min"},\
          {20, "105 min"  "|de|105 min"},\
          {21, "110 min"  "|de|110 min"},\
          {22, "115 min"  "|de|115 min"},\
          {23, "120 min"  "|de|120 min"},\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_CLEANING_START(argNN)\
VARIABLE Phosphax##argNN##_CLEANING_START\
{\
         LABEL "Cleaning start" "|de|Reinigung start";\
		 HELP "it describes when the analyzer starts the cleaning (24 hour format) 0=0 o`clock to23=23oclock" "|de|it describes when the analyzer starts the cleaning (24 hour format) 0=0 o`clock to23=23oclock";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE     ENUMERATED (2)\
          {\
          {0, "0 a.m."  "|de|0 UHR"},\
          {1, "1 a.m."  "|de|1 UHR"},\
          {2, "2 a.m."  "|de|2 UHR"},\
          {3, "3 a.m."  "|de|3 UHR"},\
          {4, "4 a.m."  "|de|4 UHR"},\
          {5, "5 a.m."  "|de|5 UHR"},\
          {6, "6 a.m."  "|de|6 UHR"},\
          {7, "7 a.m."  "|de|7 UHR"},\
          {8, "8 a.m."  "|de|8 UHR"},\
          {9, "9 a.m."  "|de|9 UHR"},\
          {10, "10 a.m."  "|de|10 UHR"},\
          {11, "11 a.m."  "|de|11 UHR"},\
          {12, "12 p.m."  "|de|12 UHR"},\
          {13, "1 p.m."  "|de|13 UHR"},\
          {14, "2 p.m."  "|de|14 UHR"},\
          {15, "3 p.m."  "|de|15 UHR"},\
          {16, "4 p.m."  "|de|16 UHR"},\
          {17, "5 p.m."  "|de|17 UHR"},\
          {18, "6 p.m."  "|de|18 UHR"},\
          {19, "7 p.m."  "|de|19 UHR"},\
          {20, "8 p.m."  "|de|20 UHR"},\
          {21, "9 p.m."  "|de|21 UHR"},\
          {22, "10 p.m."  "|de|22 UHR"},\
          {23, "11 p.m."  "|de|23 UHR"},\
          }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_STATUS_MODULES_FL(argNN)\
VARIABLE Phosphax##argNN##_STATUS_MODULES_FL\
{\
         LABEL "Status modules" "|de|Zustand Module";\
         HELP "the state of the modules as float in percent" "|de|the state of the modules as float in percent";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "%";\
		VALIDITY  IF(Phosphax##argNN##_OPTION==0) {TRUE;} ELSE {FALSE;}\		
}

#define DEF_VAR_Phosphax_STATUS_MODULES_UI(argNN)\
VARIABLE Phosphax##argNN##_STATUS_MODULES_UI\
{\
         LABEL "Status modules UI???" "|de|Zustand Module UI????";\
         HELP "the state of the modules as float in percent" "|de|the state of the modules as float in percent";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "%";\
		VALIDITY  IF(Phosphax##argNN##_OPTION==0) {TRUE;} ELSE {FALSE;}\		
}

#define DEF_VAR_Phosphax_NEW_MODULES(argNN)\
VARIABLE Phosphax##argNN##_NEW_MODULES\
{\
         LABEL "New modules" "|de|Neue Module";\
         HELP "date of the last filter module exchange" "|de|date of the last filter module exchange";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==0) {TRUE;} ELSE {FALSE;}\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_NEW_MODULES,NEW_MODULES_PHOSPHAX_##argNN)\
}\
}


#define DEF_VAR_Phosphax_DISCHARGE_CLEAN(argNN)\
VARIABLE Phosphax##argNN##_DISCHARGE_CLEAN\
{\
         LABEL "Discharge cleaning" "|de|Verwrfe Reinigung";\
         HELP "discharged values after a cleaning" "|de|discharged values after a cleaning";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_SET_OUTMODE_CLE(argNN)\
VARIABLE Phosphax##argNN##_SET_OUTMODE_CLE\
{\
         LABEL "Set outmode cleaning" "|de|Ausgangsmodus Reinigung";\
         HELP "Set output mode for cleaning" "|de|Set output mode for cleaning";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE     ENUMERATED (2)\
          {\
          {0, "HOLD"  "|de|HALTEN"},\
          {1, "SET TRANSFER"  "|de|ERSATZWERT"},\
          {2, "CHOICE"  "|de|AUSWAHL"}\
          }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_SET_OUTMODE_SER(argNN)\
VARIABLE Phosphax##argNN##_SET_OUTMODE_SER\
{\
         LABEL "Set outmode service" "|de|Ausgangsmodus Service";\
         HELP "Set output mode for service mode" "|de|Set output mode for service mode";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {0, "HOLD"   "|de|HALTEN"},\
                 {1, "SET TRANSFER"   "|de|ERSATZWERT"},\
                 {2, "CHOICE"   "|de|AUSWAHL"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_CHANNEL2(argNN)\
VARIABLE Phosphax##argNN##_CHANNEL2\
{\
         LABEL "Channel 2" "|de|Kanal 2";\
         HELP "location for the measuring channel two where the sample is coming from" "|de|location for the measuring channel two where the sample is coming from";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ASCII (16)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\		
}


#define DEF_VAR_Phosphax_SET_PARAMETER_2(argNN)\
VARIABLE Phosphax##argNN##_SET_PARAMETER_2\
{\
         LABEL "Set parameter 2" "|de|Parameter 2";\
         HELP "Parameter for channel 2" "|de|Parameter for channel 2";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {15, "PO4-P"   "|de|PO4-P"},\
                 {14, "PO4"   "|de|PO4"},\
                 {16, "P2O5"   "|de|P2O5"},\
              }\
        HANDLING READ & WRITE;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_GAIN_CORR_2(argNN)\
VARIABLE Phosphax##argNN##_GAIN_CORR_2\
{\
         LABEL "Gain corr 2" "|de|Korrekturfaktor 2";\
         HELP "Gain correction for channel two" "|de|Gain correction for channel two";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ & WRITE;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_MEAS_UNITS_2(argNN)\
VARIABLE Phosphax##argNN##_MEAS_UNITS_2\
{\
         LABEL "Measurment units 2" "|de|Messwert Einheit 2";\
         HELP "Measurement units for channel two, 0=mg/l,  2=ppm" "|de|Measurement units for channel two, 0=mg/l,  2=ppm";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE     ENUMERATED (2)\
          {\
          {0, "mg/l"  "|de|mg/l"},\
          {2, "ppm"  "|de|ppm"},\
          }\
        HANDLING READ & WRITE;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_HUMIDITY_ANALY(argNN)\
VARIABLE Phosphax##argNN##_HUMIDITY_ANALY\
{\
         LABEL "Humidity analy" "|de|Feuchte Gert";\
         HELP "humitity analyzer in percent" "|de|humitity analyzer in percent";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
		CONSTANT_UNIT 	"%";\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_SOFTWARE_PROBE(argNN)\
VARIABLE Phosphax##argNN##_SOFTWARE_PROBE\
{\
         LABEL "Software probe" "|de|Softwareversion Sonde";\
         HELP "the softwareversion of the filtration probe" "|de|the softwareversion of the filtration probe";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==0) {TRUE;} ELSE {FALSE;}\
}

#define DEF_VAR_Phosphax_HUMIDITY_PROBE(argNN)\
VARIABLE Phosphax##argNN##_HUMIDITY_PROBE\
{\
         LABEL "Humidity probe" "|de|Feuchte Sonde";\
         HELP "humitity filtration probe in percent" "|de|humitity filtration probe in percent";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "%";\
		VALIDITY  IF(Phosphax##argNN##_OPTION==0) {TRUE;} ELSE {FALSE;}\
}
#define DEF_VAR_Phosphax_PROCESS_STATE(argNN)\
VARIABLE Phosphax##argNN##_PROCESS_STATE\
{\
         LABEL "Process state" "|de|Prozessausgabe";\
         HELP "" "|de|";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE     ENUMERATED (2)\
          {\
                 {0, "SERVICE MODE"   "|de|SERVICEZUSTAND"},\
                 {1, "MEASURING 1..."   "|de|MESSUNG 1 LUFT"},\
                 {2, "INTERVAL"   "|de|MESSINTERVALL"},\
                 {3, "INITIALISATION"   "|de|INITIALISIERUNG"},\
                 {4, "SERV. IN PROC."   "|de|SERVICE LUFT"},\
                 {5, "CLEANING"   "|de|REINIGUNG"},\
                 {6, "WARM UP PHASE"   "|de|TEMPERIERPHASE"},\
                 {7, "MEASURING 2..."   "|de|MESSUNG 2 LUFT"},\
                 {8, "PREPUMP REAG."   "|de|VORP. REAGENZ"},\
                 {9, "PREPUMP CLEAN."   "|de|VORP. REIN."},\
                 {10, "PREPUMP PROBE"   "|de|VORPUMPEN SONDE"},\
                 {11, "FLUSHING"   "|de|SPLEN"},\
                 {12, "START BY BUS"   "|de|BUSAUSLSUNG"},\
                 {13, "CALIBRATE"   "|de|KALIBRIEREN"},\
                 {14, "TEST PROCEDURE"   "|de|TESTABLAUF"},\
                 {15, "PREPUMP.SAMPLE"   "|de|VORPUMPEN PROBE"},\
                 {16, "VALIDATION"   "|de|VALIDIERUNG"},\
          }\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_START_BY_BUS(argNN)\
VARIABLE Phosphax##argNN##_START_BY_BUS\
{\
         LABEL "Start by bus" "|de|Busauslsung";\
         HELP "sets the analyzer to START BY BUS mode ( see Start by bus)" "|de|sets the analyzer to START BY BUS mode ( see Start by bus)";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
  TYPE     ENUMERATED (2)\
          {\
          {0, "NO"  "|de|NEIN"},\
          {1, "YES"  "|de|JA"},\
          }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_FIELDBUS(argNN)\
VARIABLE Phosphax##argNN##_FIELDBUS\
{\
         LABEL "Fieldbus" "|de|Feldbus";\
         HELP "trigers a measurement serie in START BY BUS mode (see Start by bus)" "|de|trigers a measurement serie in START BY BUS mode (see Start by bus)";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
		 TYPE ENUMERATED (2)\
              {\
			    {0, "Off"  "|de|Aus"},\
				{1, "Measure channel 1"  "|de|Messkanal 1"},\
				{2, "Measure channel 2"  "|de|Messkanal 2"},\
				{65535, "Deaktiv"  "|de|Deaktiviert"}\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_NUMBER_OF_MEAS(argNN)\
VARIABLE Phosphax##argNN##_NUMBER_OF_MEAS\
{\
         LABEL "Number of measurment" "|de|Anzahl Messungen";\
         HELP "Number of measurements in a START BY BUS measurement series (see Start by bus)" "|de|Number of measurements in a START BY BUS measurement series (see Start by bus)";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_DISCHARGE_BUS(argNN)\
VARIABLE Phosphax##argNN##_DISCHARGE_BUS\
{\
         LABEL "Discharge bus" "|de|Verwrfe Bus";\
         HELP "discharge values at the beginning of a START BY BUS series" "|de|discharge values at the beginning of a START BY BUS series";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_AVERAGE(argNN)\
VARIABLE Phosphax##argNN##_AVERAGE\
{\
         LABEL "Average" "|de|Mittelwert";\
         HELP "The number of measurement values that result in an average value in a START BY BUS measurement series." "|de|The number of measurement values that result in an average value in a START BY BUS measurement series.";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_NO_OF_VALUES_CH1(argNN)\
VARIABLE Phosphax##argNN##_NO_OF_VALUES_CH1\
{\
         LABEL "No of values ch1" "|de|Anzahl der Werte Kanal 1";\
         HELP "2 channel mode: how often is channel 1 measured before switching to channel 2" "|de|2 channel mode: how often is channel 1 measured before switching to channel 2";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_NO_OF_VALUES_CH2(argNN)\
VARIABLE Phosphax##argNN##_NO_OF_VALUES_CH2\
{\
         LABEL "No of values ch2" "|de|Anzahl der Werte Kanal 2";\
         HELP "2 channel mode: how often is channel 2 measured before switching to channel 1" "|de|2 channel mode: how often is channel 2 measured before switching to channel 1";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\
}

#define DEF_VAR_Phosphax_DISCHARGE_VAL1(argNN)\
VARIABLE Phosphax##argNN##_DISCHARGE_VAL1\
{\
         LABEL "Discharge value 1" "|de|Verwurfwerte 1";\
         HELP "number of discharged values when switching from channel 1 to channel 2" "|de|number of discharged values when switching from channel 1 to channel 2";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_DISCHARGE_VAL2(argNN)\
VARIABLE Phosphax##argNN##_DISCHARGE_VAL2\
{\
         LABEL "Discharge value 2" "|de|Verwurfwerte 2";\
         HELP "number of discharged values when switching from channel 2 to channel 1" "|de|number of discharged values when switching from channel 2 to channel 1";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\
}

#define DEF_VAR_Phosphax_REAG_WARNING(argNN)\
VARIABLE Phosphax##argNN##_REAG_WARNING\
{\
         LABEL "Reagent warning" "|de|Reagenzwarnung";\
         HELP "warning if the level of reagent is low" "|de|warning if the level of reagent is low";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {0,     "OFF"    "|de|AUS"},\
				{1,		"ON"     "|de|AN" }\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_TYPE(argNN)\
VARIABLE Phosphax##argNN##_TYPE\
{\
         LABEL "Type" "|de|Typ";\
         HELP "name of the item/analyzer" "|de|name of the item/analyzer";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ASCII (12)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_SENSOR_NAME(argNN)\
VARIABLE Phosphax##argNN##_SENSOR_NAME\
{\
         LABEL "Sensor name" "|de|Name Sensor";\
         HELP "User-assigned name for a sensor" "|de|User-assigned name for a sensor";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ASCII (16)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_WARNING(argNN)\
VARIABLE Phosphax##argNN##_WARNING\
{\
         LABEL "Warning" "|de|Warnung";\
         HELP "Reagent warning level in percent" "|de|Reagent warning level in percent";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {20, "20%"   "|de|20%"},\
                 {15, "15%"   "|de|15%"},\
                 {10, "10%"   "|de|10%"},\
                 {5, "5%"   "|de|5%"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_REAGENT_LEVEL(argNN)\
VARIABLE Phosphax##argNN##_REAGENT_LEVEL\
{\
         LABEL "Reagent level" "|de|Reagenzstand";\
         HELP "the level of reagent in percent" "|de|the level of reagent in percent";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "%";\
}

#define DEF_VAR_Phosphax_CLEAN_SOLU_LEVEL(argNN)\
VARIABLE Phosphax##argNN##_CLEAN_SOLU_LEVEL\
{\
         LABEL "Clean solution level" "|de|Reinigungsstand";\
         HELP "cleaninig solution level in percent" "|de|cleaninig solution level in percent";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "%";\
}


#define DEF_VAR_Phosphax_PUMP_DISPLAY(argNN)\
VARIABLE Phosphax##argNN##_PUMP_DISPLAY\
{\
         LABEL "Piston pumb"  "|de|Hubpumpe";\
         HELP "days lest until exchanging piston of pump, negative values show that exchange is overdue" "|de|days lest until exchanging piston of pump, negative values show that exchange is overdue";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "Day";\
}

#define DEF_VAR_Phosphax_MEASURE_VALUE_2(argNN)\
VARIABLE Phosphax##argNN##_MEASURE_VALUE_2\
{\
         LABEL "Measure value 2" "|de|Messwert 2";\
         HELP "actual measurement value from channel two" "|de|actual measurement value from channel two";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ ;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\		
}\
UNIT Phosphax##argNN##_MEASURE_VALUE_2_UNIT\
{\
	Phosphax##argNN##_MEAS_UNITS_2:\
	Phosphax##argNN##_MEASURE_VALUE_2,\
	Phosphax##argNN##_PHOSPHATE_P_2,\
	Phosphax##argNN##_PHOS_PENTOXIDE2,\
	Phosphax##argNN##_PHOSPHATE_2\	
}

#define DEF_VAR_Phosphax_STRUCTURE(argNN)\
VARIABLE Phosphax##argNN##_STRUCTURE\
{\
         LABEL "Structure" "|de|Struktur";\
         HELP "the entry is for the device driver file" "|de|the entry is for the device driver file";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_FIRMWARE(argNN)\
VARIABLE Phosphax##argNN##_FIRMWARE\
{\
         LABEL "Firmware" "|de|Firmware";\
         HELP "the entry is for the device driver file" "|de|the entry is for the device driver file";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_CONTENT(argNN)\
VARIABLE Phosphax##argNN##_CONTENT\
{\
         LABEL "Content" "|de|Inhalt";\
         HELP "the entry is for the device driver file" "|de|the entry is for the device driver file";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_LOADER(argNN)\
VARIABLE Phosphax##argNN##_LOADER\
{\
         LABEL "Loader" "|de|Ladeprogramm";\
         HELP "the entry is for the application file" "|de|the entry is for the application file";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_HEATING(argNN)\
VARIABLE Phosphax##argNN##_HEATING\
{\
         LABEL "Heating" "|de|Heizung";\
         HELP "status off heating for sample tube" "|de|status off heating for sample tube";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {0, "OFF"   "|de|AUS"},\
                 {1, "ON"   "|de|EIN"},\
              }\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_OPERATING_HOURS(argNN)\
VARIABLE Phosphax##argNN##_OPERATING_HOURS\
{\
         LABEL "Operating hours" "|de|Betriebsstunden";\
         HELP "operating hours of analyzer" "|de|operating hours of analyzer";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
		CONSTANT_UNIT 	"h";\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SWAP(Phosphax##argNN##_OPERATING_HOURS,OPERATING_HOURS_##argNN)\
}\				
}		

#define DEF_VAR_Phosphax_PUMP_MEMBR_DISP(argNN)\
VARIABLE Phosphax##argNN##_PUMP_MEMBR_DISP\
{\
         LABEL "Pump membran display" "|de|Pumpmebrane Anzeige";\
         HELP "remaining days for pump membrane in filter probe" "|de|remaining days for pump membrane in filter probe";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==0) {TRUE;} ELSE {FALSE;}\
}

#define DEF_VAR_Phosphax_LAST_CHA_FACTOR1(argNN)\
VARIABLE Phosphax##argNN##_LAST_CHA_FACTOR1\
{\
         LABEL "Last channel factor 1" "|de|Letzte nderung Faktor 1";\
         HELP "the date of the last correction factor for channel one" "|de|the date of the last correction factor for channel one";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_LAST_CHA_FACTOR1,LAST_CHA_FACTOR1_PHOSPHAX_##argNN)\
}\
}

#define DEF_VAR_Phosphax_LAST_CHA_FACTOR2(argNN)\
VARIABLE Phosphax##argNN##_LAST_CHA_FACTOR2\
{\
         LABEL "Last channel factor 2" "|de|Letzte nderung Faktor 2";\
		 HELP "the date of the last correction factor for channel  two" "|de|the date of the last correction factor for channel  two";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\		
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_LAST_CHA_FACTOR2,LAST_CHA_FACTOR2_PHOSPHAX_##argNN)\
}\ 
}

#define DEF_VAR_Phosphax_Fieldbus_Enable(argNN)\
VARIABLE Phosphax##argNN##_Fieldbus_Enable\
{\
         LABEL "Remote mode" "|de|Remotezugang";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
			    {0, "DISABLED" "|de|DEAKTIVIERT"},\
			    {1, "ENABLED" "|de|AKTIVIERT"},\
              }\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_SAMPLE_DETECTION(argNN)\
VARIABLE Phosphax##argNN##_SAMPLE_DETECTION\
{\
         LABEL "Sample detection" "|de|Probenerkennung";\
         HELP "output if sample detection detects low sample amount" "|de|output if sample detection detects low sample amount";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE     ENUMERATED (2)\
          {\
          {0, "WARNING"  "|de|WARNMELDUNG"},\
          {1, "ERROR"  "|de|FEHLER"},\
          {2, "OFF"  "|de|AUS"},\
          }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_ACTUAL_MEAS_TIME(argNN)\
VARIABLE Phosphax##argNN##_ACTUAL_MEAS_TIME\
{\
         LABEL "Actual measure time" "|de|Aktuelle Messzeit";\
         HELP "time of actual measurement value" "|de|time of actual measurement value";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_ACTUAL_MEAS_TIME,ACTUAL_MEAS_TIME_PHOSPHAX_##argNN)\
}\
}

#define DEF_VAR_Phosphax_LAST_TIME(argNN)\
VARIABLE Phosphax##argNN##_LAST_TIME\
{\
         LABEL "Last time" "|de|1. Zeit vorher";\
         HELP "time of last measurement value" "|de|time of last measurement value";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_LAST_TIME,LAST_TIME_PHOSPHAX_##argNN)\
}\
}


#define DEF_VAR_Phosphax_ND2_LAST_TIME(argNN)\
VARIABLE Phosphax##argNN##_ND2_LAST_TIME\
{\
         LABEL "2nd last time" "|de|2. Zeit vorher";\
         HELP "2_ND LAST TIME" "|de|2_ND LAST TIME";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_ND2_LAST_TIME,ND2_LAST_TIME_PHOSPHAX_##argNN)\
}\
}

#define DEF_VAR_Phosphax_RD3_LAST_TIME(argNN)\
VARIABLE Phosphax##argNN##_RD3_LAST_TIME\
{\
         LABEL "3rd last time" "|de|3. Zeit vorher";\
         HELP "3_RD LAST TIME" "|de|3_RD LAST TIME";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_RD3_LAST_TIME,RD3_LAST_TIME_PHOSPHAX_##argNN)\
}\
}
#define DEF_VAR_Phosphax_TH4_LAST_TIME(argNN)\
VARIABLE Phosphax##argNN##_TH4_LAST_TIME\
{\
         LABEL "4th last time" "|de|4. Zeit vorher";\
         HELP "4.TH LAST TIME" "|de|4.TH LAST TIME";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_TH4_LAST_TIME,TH4_LAST_TIME_PHOSPHAX_##argNN)\
}\
}


#define DEF_VAR_Phosphax_TH5_LAST_TIME(argNN)\
VARIABLE Phosphax##argNN##_TH5_LAST_TIME\
{\
         LABEL "5th last time" "|de|5. Zeit vorher";\
         HELP "5.TH LAST TIME" "|de|5.TH LAST TIME";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_TH5_LAST_TIME,TH5_LAST_TIME_PHOSPHAX_##argNN)\
}\
}

#define DEF_VAR_Phosphax_TH6_LAST_TIME(argNN)\
VARIABLE Phosphax##argNN##_TH6_LAST_TIME\
{\
         LABEL "6th last time" "|de|6. Zeit vorher";\
         HELP "6.TH LAST TIME" "|de|6.TH LAST TIME";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_TH6_LAST_TIME,TH6_LAST_TIME_PHOSPHAX_##argNN)\
}\
}

#define DEF_VAR_Phosphax_TH7_LAST_TIME(argNN)\
VARIABLE Phosphax##argNN##_TH7_LAST_TIME\
{\
         LABEL "7th last time" "|de|7. Zeit vorher";\
         HELP "7.TH LAST TIME" "|de|7.TH LAST TIME";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_TH7_LAST_TIME,TH7_LAST_TIME_PHOSPHAX_##argNN)\
}\
}

#define DEF_VAR_Phosphax_TH8_LAST_TIME(argNN)\
VARIABLE Phosphax##argNN##_TH8_LAST_TIME\
{\
         LABEL "8th last time" "|de|8. Zeit vorher";\
         HELP "8.TH LAST TIME" "|de|8.TH LAST TIME";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_TH8_LAST_TIME,TH8_LAST_TIME_PHOSPHAX_##argNN)\
}\
}

#define DEF_VAR_Phosphax_TH9_LAST_TIME(argNN)\
VARIABLE Phosphax##argNN##_TH9_LAST_TIME\
{\
         LABEL "9th last time" "|de|9. Zeit vorher";\
         HELP "9.TH LAST TIME" "|de|9.TH LAST TIME";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SEC_DATE(Phosphax##argNN##_TH9_LAST_TIME,TH9_LAST_TIME_PHOSPHAX_##argNN)\
}\
}

#define DEF_VAR_Phosphax_ACTUAL_VALUE(argNN)\
VARIABLE Phosphax##argNN##_ACTUAL_VALUE\
{\
         LABEL "Actual value" "|de|Aktueller Wert";\
         HELP "actual measurement value from channel one" "|de|actual measurement value from channel one";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "mg/l";\
}

#define DEF_VAR_Phosphax_LAST_VALUE(argNN)\
VARIABLE Phosphax##argNN##_LAST_VALUE\
{\
         LABEL "Last value" "|de|1. Wert vorher";\
         HELP "LIST OF VALUES" "|de|LIST OF VALUES";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "mg/l";\
}

#define DEF_VAR_Phosphax_ND2_LAST_VALUE(argNN)\
VARIABLE Phosphax##argNN##_ND2_LAST_VALUE\
{\
         LABEL "2nd last value" "|de|2. Wert vorher";\
         HELP "LIST OF VALUES" "|de|LIST OF VALUES";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "mg/l";\
}
#define DEF_VAR_Phosphax_RD3_LAST_VALUE(argNN)\
VARIABLE Phosphax##argNN##_RD3_LAST_VALUE\
{\
         LABEL "3rd last value" "|de|3. Wert vorher";\
         HELP "LIST OF VALUES" "|de|LIST OF VALUES";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "mg/l";\
}


#define DEF_VAR_Phosphax_TH4_LAST_VALUE(argNN)\
VARIABLE Phosphax##argNN##_TH4_LAST_VALUE\
{\
         LABEL "4th last value" "|de|4. Wert vorher";\
         HELP "LIST OF VALUES" "|de|LIST OF VALUES";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "mg/l";\
}

#define DEF_VAR_Phosphax_TH5_LAST_VALUE(argNN)\
VARIABLE Phosphax##argNN##_TH5_LAST_VALUE\
{\
         LABEL "5th last value" "|de|5. Wert vorher";\
         HELP "LIST OF VALUES" "|de|LIST OF VALUES";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "mg/l";\
}

#define DEF_VAR_Phosphax_TH6_LAST_VALUE(argNN)\
VARIABLE Phosphax##argNN##_TH6_LAST_VALUE\
{\
         LABEL "6th last value" "|de|6. Wert vorher";\
         HELP "LIST OF VALUES" "|de|LIST OF VALUES";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "mg/l";\
}

#define DEF_VAR_Phosphax_TH7_LAST_VALUE(argNN)\
VARIABLE Phosphax##argNN##_TH7_LAST_VALUE\
{\
         LABEL "7th last value" "|de|7. Wert vorher";\
         HELP "LIST OF VALUES" "|de|LIST OF VALUES";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "mg/l";\
}

#define DEF_VAR_Phosphax_TH8_LAST_VALUE(argNN)\
VARIABLE Phosphax##argNN##_TH8_LAST_VALUE\
{\
         LABEL "8th last value" "|de|8. Wert vorher";\
         HELP "LIST OF VALUES" "|de|LIST OF VALUES";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "mg/l";\
}

#define DEF_VAR_Phosphax_TH9_LAST_VALUE(argNN)\
VARIABLE Phosphax##argNN##_TH9_LAST_VALUE\
{\
         LABEL "9th last value" "|de|9. Wert vorher";\
         HELP "LIST OF VALUES" "|de|LIST OF VALUES";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "mg/l";\
}

#define DEF_VAR_Phosphax_STAT_MODUL_WAR(argNN)\
VARIABLE Phosphax##argNN##_STAT_MODUL_WAR\
{\
         LABEL "Status modul warning" "|de|Modulzustand Warnung";\
         HELP "configure the level of warning for the state of the modules" "|de|configure the level of warning for the state of the modules";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {40, "40%"   "|de|40%"},\
                 {30, "30%"   "|de|30%"},\
                 {15, "15%"   "|de|15%"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==0) {TRUE;} ELSE {FALSE;}\
}


#define DEF_VAR_Phosphax_STATUS_MODUL_ERR(argNN)\
VARIABLE Phosphax##argNN##_STATUS_MODUL_ERR\
{\
         LABEL "Status modul error" "|de|Modulzustand Fehler";\
         HELP "configure the level of error for the state of the modules" "|de|configure the level of error for the state of the modules";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {14, "14%"   "|de|14%"},\
                 {10, "10%"   "|de|10%"},\
                 {8, "8%"   "|de|8%"},\
                 {0, "OFF"   "|de|AUS"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==0) {TRUE;} ELSE {FALSE;}\
}
#define DEF_VAR_Phosphax_ENCLOSU_TEMP_MAX(argNN)\
VARIABLE Phosphax##argNN##_ENCLOSU_TEMP_MAX\
{\
         LABEL "Enclosure temperature max." "|de|Temperatur Gehuse max.";\
         HELP "the maximum temperature inside the analyzer during the last 24 hours" "|de|the maximum temperature inside the analyzer during the last 24 hours";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
		DISPLAY_FORMAT 	".2f";\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "C";\
}

#define DEF_VAR_Phosphax_ENCLOSU_TEMP_MIN(argNN)\
VARIABLE Phosphax##argNN##_ENCLOSU_TEMP_MIN\
{\
         LABEL "Enclosure temperature min."  "|de|Temperatur Gehuse Min.";\
         HELP "the minimum temperature inside the analyzer during the last 24 hours" "|de|the minimum temperature inside the analyzer during the last 24 hours";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
		DISPLAY_FORMAT 	".2f";\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
		CONSTANT_UNIT "C";\
}

#define DEF_VAR_Phosphax_EXHAUST_CONTROL(argNN)\
VARIABLE Phosphax##argNN##_EXHAUST_CONTROL\
{\
         LABEL "Exhaust control" "|de|Auslaufberwachung";\
         HELP "the analyzer is checking the exhaust whether it is blocked" "|de|the analyzer is checking the exhaust whether it is blocked";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {0,     "OFF"    "|de|AUS"},\
				 {1,		"ON"     "|de|AN" }\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_ERROR_LIST(argNN)\
VARIABLE Phosphax##argNN##_ERROR_LIST\
{\
         LABEL "Error list" "|de|Fehler";\
         HELP "Errors coded bit wise, bit0=TEMP. < 0 C/ 32F?, bit1=ANALYZ. TO COLD,  COOLING FAILED, HUMIDITY ANALY, HUMIDITY PROBE, PROBE MISSING,  NO HEAT UP, CUVSENSOR DEFECT,TEMPSENS DEFECT, CUVHEAT DEFECT,  CUV TOO HOT,  PHOTO LEVEL LOW, PHOTO LEVEL HIGH, MODULES CONTAM.,  PHOTO LEVEL2 LOW,  PHOTO LEVEL2 HIGH, DRAIN BLOCKED, SAMPLE1, bit18=SAMPLE2" "|de|Errors coded bit wise, bit0=TEMP. < 0 C/ 32F?, bit1=ANALYZ. TO COLD,  COOLING FAILED, HUMIDITY ANALY, HUMIDITY PROBE, PROBE MISSING,  NO HEAT UP, CUVSENSOR DEFECT,TEMPSENS DEFECT, CUVHEAT DEFECT,  CUV TOO HOT,  PHOTO LEVEL LOW, PHOTO LEVEL HIGH, MODULES CONTAM.,  PHOTO LEVEL2 LOW,  PHOTO LEVEL2 HIGH, DRAIN BLOCKED, SAMPLE1, bit18=SAMPLE2";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
              {\
              }\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SWAP(Phosphax##argNN##_ERROR_LIST,ERROR_LIST_PHOSPHAX_##argNN)\
}\					
}

#define DEF_VAR_Phosphax_WARNING_LIST(argNN)\
VARIABLE Phosphax##argNN##_WARNING_LIST\
{\
         LABEL "Warning list" "|de|Warnung";\
		 HELP  "Warnings, coded bit wise, bit0=WARMUP PHASE, bit1=COOLING DOWN, SERVICE MODE, REAGENT LEVEL," "|de|Warnings, coded bit wise, bit0=WARMUP PHASE, bit1=COOLING DOWN, SERVICE MODE, REAGENT LEVEL,";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (4)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
POST_READ_ACTIONS\
{\
METHODE_SWAP(Phosphax##argNN##_WARNING_LIST,WARNING_LIST_PHOSPHAX_##argNN)\
}\							
}

#define DEF_VAR_Phosphax_EDIT_NAME(argNN)\
VARIABLE Phosphax##argNN##_EDIT_NAME\
{\
         LABEL "Edit name" "|de|Name Messort";\
		 HELP  "Name of LOCATION  (see menu system)" "|de|Name of LOCATION  (see menu system)";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ASCII (16)\
{\
}\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}


#define DEF_VAR_Phosphax_Option(argNN)\
VARIABLE Phosphax##argNN##_OPTION\
{\
         LABEL "Measurement device" "|de|Messgert";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE     ENUMERATED (2)\
          {\
          {0, "FILTRATION PRO"  "|de|FILTERSONDE"},\
          {1, "1-CHANNEL"  "|de|1-KANAL"},\
          {2, "2-CHANNEL"  "|de|2-KANAL"}\
          }\
  HANDLING READ;\
  READ_TIMEOUT READ_TIMEOUT_VAL;\
  WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}


#define DEF_VAR_Phosphax_MEAS(argNN)\
VARIABLE Phosphax##argNN##_MEAS\
{\
         LABEL "Meas."  "|de|Mess";\
         HELP "measuring value " "|de|measuring value ";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_MEAS_ZERO(argNN)\
VARIABLE Phosphax##argNN##_MEAS_ZERO\
{\
         LABEL "Meas. zero"  "|de|Mess Null";\
         HELP "measuring zero" "|de|measuring zero";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_OFFSET_MEAS(argNN)\
VARIABLE Phosphax##argNN##_OFFSET_MEAS\
{\
         LABEL "Offset meas."  "|de|Offset Mess";\
         HELP "offset measuring" "|de|offset measuring";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_REF(argNN)\
VARIABLE Phosphax##argNN##_REF\
{\
         LABEL "Ref"  "|de|Ref";\
         HELP "reference value" "|de|reference value";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_REF_ZERO(argNN)\
VARIABLE Phosphax##argNN##_REF_ZERO\
{\
         LABEL "Ref zero"  "|de|Ref Null";\
         HELP "reference zero" "|de|reference zero";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_OFFSET_REF(argNN)\
VARIABLE Phosphax##argNN##_OFFSET_REF\
{\
         LABEL "Offset ref"  "|de|Offset Ref";\
         HELP "offset reference" "|de|offset reference";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_AMPLIFY_MEAS(argNN)\
VARIABLE Phosphax##argNN##_AMPLIFY_MEAS\
{\
         LABEL "AMplify meas."  "|de|Verstrkung Mess";\
         HELP "amplification of measurement channel" "|de|amplification of measurement channel";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_AMPLIFY_REF(argNN)\
VARIABLE Phosphax##argNN##_AMPLIFY_REF\
{\
         LABEL "Amplify ref"  "|de|Verstrkung ref";\
         HELP "amplification of reference channel" "|de|amplification of reference channel";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE UNSIGNED_INTEGER (2)\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_PHOSPHATE_P_1(argNN)\
VARIABLE Phosphax##argNN##_PHOSPHATE_P_1\
{\
         LABEL "Phosphate-P 1"  "|de|Phosphat-P 1";\
         HELP "measurement value for channel one as PO4-P" "|de|measurement value for channel one as PO4-P";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}\
UNIT Phosphax_Unit_Messeinheit\
{\
	Phosphax##argNN##_MEAS_UNITS_1:\
	Phosphax##argNN##_PHOSPHATE_P_1, Phosphax##argNN##_PHOSPHATE_1, Phosphax##argNN##_PHOS_PENTOXIDE1,Phosphax##argNN##_MEASURE_VALUE_1\
	Phosphax##argNN##_PHOSPHATE_P_2, Phosphax##argNN##_PHOSPHATE_2, Phosphax##argNN##_PHOS_PENTOXIDE2, Phosphax##argNN##_MEASURE_VALUE_2\
}

#define DEF_VAR_Phosphax_PHOSPHATE_P_2(argNN)\
VARIABLE Phosphax##argNN##_PHOSPHATE_P_2\
{\
         LABEL "Phosphate-P 2"  "|de|Phosphat-P 2";\
         HELP "measurement value for channel two as PO4-P" "|de|measurement value for channel two as PO4-P";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}


#define DEF_VAR_Phosphax_PHOSPHATE_1(argNN)\
VARIABLE Phosphax##argNN##_PHOSPHATE_1\
{\
         LABEL "Phosphate 1"  "|de|Phosphat 1";\
         HELP "measurement value for channel one as PO4" "|de|measurement value for channel one as PO4";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_PHOSPHATE_2(argNN)\
VARIABLE Phosphax##argNN##_PHOSPHATE_2\
{\
         LABEL "Phosphate 2"  "|de|Phosphat 2";\
         HELP "measurement value for channel two as PO4" "|de|measurement value for channel two as PO4";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_PHOS_PENTOXIDE1(argNN)\
VARIABLE Phosphax##argNN##_PHOS_PENTOXIDE1\
{\
         LABEL "Phos.pentoxide1"  "|de|Phos.Pentoxide1";\
         HELP "measurement value for channel one as P2O5" "|de|measurement value for channel one as P2O5";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_PHOS_PENTOXIDE2(argNN)\
VARIABLE Phosphax##argNN##_PHOS_PENTOXIDE2\
{\
         LABEL "Phos.pentoxide2"  "|de|Phos.PEntoxide2";\
         HELP "measurement value for channel two as P2O5" "|de|measurement value for channel two as P2O5";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_DEXT_LAST_VALUE(argNN)\
VARIABLE Phosphax##argNN##_DEXT_LAST_VALUE\
{\
         LABEL "Dext last value"  "|de|Dext letzte Mess";\
         HELP "last extinction value" "|de|last extinction value";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}



#define DEF_VAR_Phosphax_EXT_MESS_1(argNN)\
VARIABLE Phosphax##argNN##_EXT_MESS_1\
{\
         LABEL "Ext mess 1"  "|de|Ext Mess 1";\
         HELP "the current measuring extinction from  channel one" "|de|the current measuring extinction from  channel one";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_EXT_MESS_2(argNN)\
VARIABLE Phosphax##argNN##_EXT_MESS_2\
{\
         LABEL "Ext mess 2"  "|de|Ext Mess 2";\
         HELP "the current measuring extinction from  channel two" "|de|the current measuring extinction from  channel two";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_EXT_REF(argNN)\
VARIABLE Phosphax##argNN##_EXT_REF\
{\
         LABEL "Ext ref"  "|de|Ext Ref";\
         HELP "the current reference extinction" "|de|the current reference extinction";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_START(argNN)\
VARIABLE Phosphax##argNN##_START\
{\
         LABEL "Start"  "|de|Start";\
         HELP "it describes when the analyzer starts the cleaning (24 hour format) 0=0 o`clock to23=23oclock" "|de|it describes when the analyzer starts the cleaning (24 hour format) 0=0 o`clock to23=23oclock";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {0, "0 a.m."   "|de|0 UHR"},\
                 {1, "1 a.m."   "|de|1 UHR"},\
                 {2, "2 a.m."   "|de|2 UHR"},\
                 {3, "3 a.m."   "|de|3 UHR"},\
                 {4, "4 a.m."   "|de|4 UHR"},\
                 {5, "5 a.m."   "|de|5 UHR"},\
                 {6, "6 a.m."   "|de|6 UHR"},\
                 {7, "7 a.m."   "|de|7 UHR"},\
                 {8, "8 a.m."   "|de|8 UHR"},\
                 {9, "9 a.m."   "|de|9 UHR"},\
                 {10, "10 a.m."   "|de|10 UHR"},\
                 {11, "11 a.m."   "|de|11 UHR"},\
                 {12, "12 a.m."   "|de|12 UHR"},\
                 {13, "13 a.m."   "|de|13 UHR"},\
                 {14, "14 a.m."   "|de|14 UHR"},\
                 {15, "15 a.m."   "|de|15 UHR"},\
                 {16, "16 a.m."   "|de|16 UHR"},\
                 {17, "17 a.m."   "|de|17 UHR"},\
                 {18, "18 a.m."   "|de|18 UHR"},\
                 {19, "19 a.m."   "|de|19 UHR"},\
                 {20, "20 a.m."   "|de|20 UHR"},\
                 {21, "21 a.m."   "|de|21 UHR"},\
                 {22, "22 a.m."   "|de|22 UHR"},\
                 {23, "23 a.m."   "|de|23 UHR"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_SET_INTERVAL(argNN)\
VARIABLE Phosphax##argNN##_SET_INTERVAL\
{\
         LABEL "Set interval"  "|de|Intervall";\
         HELP "cleaning intervall " "|de|cleaning intervall ";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {0, "OFF"   "|de|AUS"},\
                 {1, "1 h"   "|de|1 h"},\
                 {3, "3 h"   "|de|3 h"},\
                 {6, "6 h"   "|de|6 h"},\
                 {8, "8 h"   "|de|8 h"},\
                 {12, "12 h"   "|de|12 h"},\
                 {24, "24 h"   "|de|24 h"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

#define DEF_VAR_Phosphax_EXTINCTION_2(argNN)\
VARIABLE Phosphax##argNN##_EXTINCTION_2\
{\
         LABEL "Extinction 2"  "|de|Extinktion 2";\
         HELP "" "|de|";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE FLOAT\
{\
}\
        HANDLING READ;\
		VALIDITY  IF(Phosphax##argNN##_OPTION==2) {TRUE;} ELSE {FALSE;}\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}


#define DEF_VAR_Phosphax_REF_(argNN)\
VARIABLE Phosphax##argNN##_REF_\
{\
         LABEL "Ref"  "|de|Ref";\
         HELP "to switch the ref measuring on or off" "|de|to switch the ref measuring on or off";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {0, "DISABLED"   "|de|DEAKTIVIERT"},\
                 {1, "ENABLED"   "|de|AKTIVIERT"},\
              }\
	    HANDLING READ ;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_BUBBLE_REJECT(argNN)\
VARIABLE Phosphax##argNN##_BUBBLE_REJECT\
{\
         LABEL "Bubble reject"  "|de|Luftbl Unterdr";\
         HELP "it's possible to set the function bubble reject" "|de|it's possible to set the function bubble reject";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {0, "DISABLED"   "|de|DEAKTIVIERT"},\
                 {1, "ENABLED"   "|de|AKTIVIERT"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}
#define DEF_VAR_Phosphax_SEL_ADJ_METHOD(argNN)\
VARIABLE Phosphax##argNN##_SEL_ADJ_METHOD\
{\
         LABEL "Sel adj method"  "|de|Whle Methode";\
         HELP "it's possible to set the measuring interval as dry or wet" "|de|it's possible to set the measuring interval as dry or wet";\
         CLASS IF (dyn_aus==1)  {CONTAINED;} ELSE {DYNAMIC;}\
         TYPE ENUMERATED (2)\
              {\
                 {0, "DRY"   "|de|TROCKEN"},\
                 {1, "WET"   "|de|NASS"},\
              }\
        HANDLING READ & WRITE;\
        READ_TIMEOUT READ_TIMEOUT_VAL;\
        WRITE_TIMEOUT WRITE_TIMEOUT_VAL;\
}

//----DEF Variablen--ENDE---------------------------------------------------------------------
//----DEF COMMAND read---
#define DEF_readCmd_Phosphax_Data1(argNN)\
COMMAND read_Phosphax##argNN##_Data1\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 0;\
     OPERATION READ;\
     TRANSACTION\
    {\
        REQUEST\
        {\
        }\
        REPLY\
        {\
          Phosphax##argNN##_MEASURE_VALUE_1,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
		  Phosphax##argNN##_CHANNEL1,\
          Phosphax##argNN##_MEAS,\
          Phosphax##argNN##_MEAS_ZERO,\
          Phosphax##argNN##_OFFSET_MEAS,\
          Phosphax##argNN##_REF,\
          Phosphax##argNN##_REF_ZERO,\
          Phosphax##argNN##_OFFSET_REF,\
          Phosphax##argNN##_AMPLIFY_MEAS,\
          Phosphax##argNN##_AMPLIFY_REF,\
          Phosphax##argNN##_COOLING,\
          Phosphax##argNN##_HEATING,\
          Phosphax##argNN##_HUMIDITY_PROBE,\
          Phosphax##argNN##_ENCLOSURE_TEMP,\
          Phosphax##argNN##_ACTUAL_VALUE,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte\		  
}\
    }\
}

#define DEF_readCmd_Phosphax_Data2(argNN)\
COMMAND read_Phosphax##argNN##_Data2\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 33;\
     OPERATION READ;\
     TRANSACTION\
    {\
        REQUEST\
        {\
        }\
        REPLY\
        {\
		  Phosphax##argNN##_CHANNEL2,\
          Phosphax##argNN##_CONTENT,\
		  Phosphax##argNN##_REMAINING_TIME,\
          Phosphax##argNN##_CUVETTE_TEMP,\
          Phosphax##argNN##_PHOSPHATE_P_1,\
          Phosphax##argNN##_PHOSPHATE_P_2,\
          Phosphax##argNN##_PHOSPHATE_1,\
          Phosphax##argNN##_PHOSPHATE_2,\
          Phosphax##argNN##_PHOS_PENTOXIDE1,\
          Phosphax##argNN##_PHOS_PENTOXIDE2,\
          Phosphax##argNN##_DEXT_LAST_VALUE,\
          Phosphax##argNN##_HEATING_ON,\
          Phosphax##argNN##_HEATING_OFF,\
          Phosphax##argNN##_MEASURE_VALUE_2,\
          Phosphax##argNN##_EXT_MESS_1,\
          Phosphax##argNN##_EXT_MESS_2,\
          Phosphax##argNN##_EXT_REF,\		  
}\
    }\
}

#define DEF_readCmd_Phosphax_Data3(argNN)\
COMMAND read_Phosphax##argNN##_Data3\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 69;\
     OPERATION READ;\
     TRANSACTION\
    {\
        REQUEST\
        {\
        }\
        REPLY\
        {\
          Phosphax##argNN##_ANALYZER_HEATING,\
          Phosphax##argNN##_BUSACTION_ACTIVE,\
          Phosphax##argNN##_BUS_ANALY_START,\
          Phosphax##argNN##_BUS_SERVICE,\
          Phosphax##argNN##_BUS_CLEANING,\
          Phosphax##argNN##_BUS_PREPUMP_REA,\
          Phosphax##argNN##_BUS_PREPUMP_CLEA,\
          Phosphax##argNN##_BUS_PREPUMP_PRO,\
          Phosphax##argNN##_BUS_PREPUMP_ALL,\
          Phosphax##argNN##_PROBE_P_MIN,\
          Phosphax##argNN##_PROBE_PRESSURE,\          
          Phosphax##argNN##_GAIN_CORR_1,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\          
          Phosphax##argNN##_DISCHARGE_CLEAN,\
          Phosphax##argNN##_SET_OUTMODE_CLE,\
          Phosphax##argNN##_SET_OUTMODE_SER,\
          Phosphax##argNN##_SOFTWARE_PROBE,\
          Phosphax##argNN##_STATUS_MODULES_FL,\
          Phosphax##argNN##_MEAS_UNITS_1,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte\
}\
    }\
}

#define DEF_readCmd_Phosphax_Data4(argNN)\
COMMAND read_Phosphax##argNN##_Data4\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 103;\
     OPERATION READ;\
     TRANSACTION\
    {\
        REQUEST\
        {\
        }\
        REPLY\
        {\
          Phosphax##argNN##_APPL,\          
          Phosphax##argNN##_TYPE,\
          Phosphax##argNN##_STATUS_MODULES_UI,\
          Phosphax##argNN##_CLEANING_MODULES,\          
          Phosphax##argNN##_INTERVAL,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_START,\
          Phosphax##argNN##_SET_INTERVAL,\
          Phosphax##argNN##_NEW_MODULES,\
          Phosphax##argNN##_SET_PARAMETER_1,\
          Phosphax##argNN##_GAIN_CORR_2,\
          Phosphax##argNN##_OPTION,\
          Phosphax##argNN##_SET_PARAMETER_2,\
          Phosphax##argNN##_MEAS_UNITS_2,\
          Phosphax##argNN##_HUMIDITY_ANALY,\
          Phosphax##argNN##_FIELDBUS,\
          Phosphax##argNN##_START_BY_BUS,\
          Phosphax##argNN##_EXTINCTION_2,\
          dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte\
}\
    }\
}

#define DEF_readCmd_Phosphax_Data5(argNN)\
COMMAND read_Phosphax##argNN##_Data5\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 131;\
     OPERATION READ;\
     TRANSACTION\
    {\
        REQUEST\
        {\
        }\
        REPLY\
        {\
          Phosphax##argNN##_PROCESS_STATE,\
          Phosphax##argNN##_NUMBER_OF_MEAS,\
          Phosphax##argNN##_AVERAGE,\
          Phosphax##argNN##_NO_OF_VALUES_CH1,\
          Phosphax##argNN##_NO_OF_VALUES_CH2,\
          Phosphax##argNN##_DISCHARGE_VAL1,\
          Phosphax##argNN##_DISCHARGE_VAL2,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_DISCHARGE_BUS,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_SENSOR_NAME,\
          Phosphax##argNN##_REAG_WARNING,\
          Phosphax##argNN##_WARNING,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_REAGENT_LEVEL,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_CLEAN_SOLU_LEVEL,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_AIR_FILTER_DISPL,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_PUMP_DISPLAY,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
}\
    }\
}

#define DEF_readCmd_Phosphax_Data6(argNN)\
COMMAND read_Phosphax##argNN##_Data6\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 167;\
     OPERATION READ;\
     TRANSACTION\
    {\
        REQUEST\
        {\
        }\
        REPLY\
        {\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_STRUCTURE,\
          Phosphax##argNN##_FIRMWARE,\
          Phosphax##argNN##_LOADER,\
          Phosphax##argNN##_OPERATING_HOURS,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
		  Phosphax##argNN##_PUMP_MEMBR_DISP,\
          dummy_byte, dummy_byte,\                    
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\          
          Phosphax##argNN##_LAST_CHA_FACTOR1,\
		  dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte\
		  dummy_byte, dummy_byte,\
		}\
    }\
}

#define DEF_readCmd_Phosphax_Data7(argNN)\
COMMAND read_Phosphax##argNN##_Data7\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 199;\
     OPERATION READ;\
     TRANSACTION\
    {\
        REQUEST\
        {\
        }\
        REPLY\
        {\
          Phosphax##argNN##_LAST_CHA_FACTOR2,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_Fieldbus_Enable,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_SAMPLE_DETECTION,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_ACTUAL_MEAS_TIME,\
          Phosphax##argNN##_LAST_TIME,\
          Phosphax##argNN##_ND2_LAST_TIME,\
          Phosphax##argNN##_RD3_LAST_TIME,\
          Phosphax##argNN##_TH4_LAST_TIME,\
          Phosphax##argNN##_TH5_LAST_TIME,\
          Phosphax##argNN##_TH6_LAST_TIME,\
          Phosphax##argNN##_TH7_LAST_TIME,\
          Phosphax##argNN##_TH8_LAST_TIME,\		  		  
          dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\		  
}\
    }\
}

#define DEF_readCmd_Phosphax_Data8(argNN)\
COMMAND read_Phosphax##argNN##_Data8\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 233;\
     OPERATION READ;\
     TRANSACTION\
    {\
        REQUEST\
        {\
        }\
        REPLY\
        {\
          Phosphax##argNN##_TH9_LAST_TIME,\
          Phosphax##argNN##_LAST_VALUE,\
          Phosphax##argNN##_ND2_LAST_VALUE,\
          Phosphax##argNN##_RD3_LAST_VALUE,\
          Phosphax##argNN##_TH4_LAST_VALUE,\
          Phosphax##argNN##_TH5_LAST_VALUE,\
          Phosphax##argNN##_TH6_LAST_VALUE,\
          Phosphax##argNN##_TH7_LAST_VALUE,\
          Phosphax##argNN##_TH8_LAST_VALUE,\
          Phosphax##argNN##_TH9_LAST_VALUE,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_STATUS_MODUL_ERR,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
}\
    }\
}

//Tagregisterstart: 40257= 40001+ 256(Slot x+32) + 0(=index)
#define DEF_readCmd_Phosphax_Data9(argNN)\
COMMAND read_Phosphax##argNN##_Data9\
{\
 SLOT Phosphax##argNN##_SLOTADR+32;\
 INDEX 0;\
     OPERATION READ;\
     TRANSACTION\
    {\
        REQUEST\
        {\
        }\
        REPLY\
        {\
          Phosphax##argNN##_STAT_MODUL_WAR,\
          Phosphax##argNN##_EXHAUST_CONTROL,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_REF_,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_BUBBLE_REJECT,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
          dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
}\
    }\
}

//Tagregisterstart: 40270= 40001+ 256(Slot x+32) + 13(=index)
#define DEF_readCmd_Phosphax_Data10(argNN)\
COMMAND read_Phosphax##argNN##_Data10\
{\
 SLOT Phosphax##argNN##_SLOTADR+32;\
 INDEX 13;\
     OPERATION READ;\
     TRANSACTION\
    {\
        REQUEST\
        {\
        }\
        REPLY\
        {\
          dummy_byte, dummy_byte,\
          Phosphax##argNN##_SEL_ADJ_METHOD,\
          dummy_byte, dummy_byte,\
		  Phosphax##argNN##_ENCLOSU_TEMP_MIN,\
          Phosphax##argNN##_ENCLOSU_TEMP_MAX,\
		  Phosphax##argNN##_ERROR_LIST,\
		  Phosphax##argNN##_WARNING_LIST,\
		  Phosphax##argNN##_EDIT_NAME,\ 
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		  dummy_byte, dummy_byte,\
		}\
    }\
}



//----DEF Command write----
#define DEF_writeCmd_Phosphax_CHANNEL1(argNN) \
COMMAND write_Phosphax##argNN##_CHANNEL1\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 4;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_CHANNEL1        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_CHANNEL2(argNN) \
COMMAND write_Phosphax##argNN##_CHANNEL2\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 33;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_CHANNEL2        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_HEATING_ON(argNN) \
COMMAND write_Phosphax##argNN##_HEATING_ON\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 59;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_HEATING_ON        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_HEATING_OFF(argNN) \
COMMAND write_Phosphax##argNN##_HEATING_OFF\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 60;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_HEATING_OFF        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_BUSACTION_ACTIVE(argNN) \
COMMAND write_Phosphax##argNN##_BUSACTION_ACTIVE\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 70;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_BUSACTION_ACTIVE        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_BUS_ANALY_START(argNN) \
COMMAND write_Phosphax##argNN##_BUS_ANALY_START\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 71;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_BUS_ANALY_START        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_BUS_SERVICE(argNN) \
COMMAND write_Phosphax##argNN##_BUS_SERVICE\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 72;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_BUS_SERVICE        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_BUS_CLEANING(argNN) \
COMMAND write_Phosphax##argNN##_BUS_CLEANING\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 73;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_BUS_CLEANING        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_BUS_PREPUMP_REA(argNN) \
COMMAND write_Phosphax##argNN##_BUS_PREPUMP_REA\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 74;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_BUS_PREPUMP_REA        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_BUS_PREPUMP_CLEA(argNN) \
COMMAND write_Phosphax##argNN##_BUS_PREPUMP_CLEA\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 75;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_BUS_PREPUMP_CLEA        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_BUS_PREPUMP_PRO(argNN) \
COMMAND write_Phosphax##argNN##_BUS_PREPUMP_PRO\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 76;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_BUS_PREPUMP_PRO        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_BUS_PREPUMP_ALL(argNN) \
COMMAND write_Phosphax##argNN##_BUS_PREPUMP_ALL\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 77;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_BUS_PREPUMP_ALL        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_GAIN_CORR_1(argNN) \
COMMAND write_Phosphax##argNN##_GAIN_CORR_1\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 82;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_GAIN_CORR_1        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_DISCHARGE_CLEAN(argNN) \
COMMAND write_Phosphax##argNN##_DISCHARGE_CLEAN\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 95;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_DISCHARGE_CLEAN        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_SET_OUTMODE_CLE(argNN) \
COMMAND write_Phosphax##argNN##_SET_OUTMODE_CLE\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 96;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_SET_OUTMODE_CLE        }\
        REPLY\
        {\
        }\
    }\
}



#define DEF_writeCmd_Phosphax_SET_OUTMODE_SER(argNN) \
COMMAND write_Phosphax##argNN##_SET_OUTMODE_SER\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 97;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_SET_OUTMODE_SER        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_MEAS_UNITS_1(argNN) \
COMMAND write_Phosphax##argNN##_MEAS_UNITS_1\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 102;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_MEAS_UNITS_1        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_CLEANING_MODULES(argNN) \
COMMAND write_Phosphax##argNN##_CLEANING_MODULES\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 112;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_CLEANING_MODULES        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_INTERVAL(argNN) \
COMMAND write_Phosphax##argNN##_INTERVAL\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 114;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_INTERVAL        }\
        REPLY\
        {\
        }\
    }\
}



#define DEF_writeCmd_Phosphax_START(argNN) \
COMMAND write_Phosphax##argNN##_START\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 116;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_START        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_SET_INTERVAL(argNN) \
COMMAND write_Phosphax##argNN##_SET_INTERVAL\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 117;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_SET_INTERVAL        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_NEW_MODULES(argNN) \
COMMAND write_Phosphax##argNN##_NEW_MODULES\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 118;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_NEW_MODULES        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_SET_PARAMETER_1(argNN) \
COMMAND write_Phosphax##argNN##_SET_PARAMETER_1\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 120;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_SET_PARAMETER_1        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_GAIN_CORR_2(argNN) \
COMMAND write_Phosphax##argNN##_GAIN_CORR_2\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 121;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_GAIN_CORR_2        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_SET_PARAMETER_2(argNN) \
COMMAND write_Phosphax##argNN##_SET_PARAMETER_2\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 124;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_SET_PARAMETER_2        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_MEAS_UNITS_2(argNN) \
COMMAND write_Phosphax##argNN##_MEAS_UNITS_2\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 125;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_MEAS_UNITS_2        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_FIELDBUS(argNN) \
COMMAND write_Phosphax##argNN##_FIELDBUS\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 127;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_FIELDBUS        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_START_BY_BUS(argNN) \
COMMAND write_Phosphax##argNN##_START_BY_BUS\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 128;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_START_BY_BUS        }\
        REPLY\
        {\
        }\
    }\
}


#define DEF_writeCmd_Phosphax_NUMBER_OF_MEAS(argNN) \
COMMAND write_Phosphax##argNN##_NUMBER_OF_MEAS\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 132;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_NUMBER_OF_MEAS        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_AVERAGE(argNN) \
COMMAND write_Phosphax##argNN##_AVERAGE\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 133;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_AVERAGE        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_NO_OF_VALUES_CH1(argNN) \
COMMAND write_Phosphax##argNN##_NO_OF_VALUES_CH1\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 134;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_NO_OF_VALUES_CH1        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_NO_OF_VALUES_CH2(argNN) \
COMMAND write_Phosphax##argNN##_NO_OF_VALUES_CH2\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 135;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_NO_OF_VALUES_CH2        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_DISCHARGE_VAL1(argNN) \
COMMAND write_Phosphax##argNN##_DISCHARGE_VAL1\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 136;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_DISCHARGE_VAL1        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_DISCHARGE_VAL2(argNN) \
COMMAND write_Phosphax##argNN##_DISCHARGE_VAL2\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 137;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_DISCHARGE_VAL2        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_DISCHARGE_BUS(argNN) \
COMMAND write_Phosphax##argNN##_DISCHARGE_BUS\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 139;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_DISCHARGE_BUS        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_REAG_WARNING(argNN) \
COMMAND write_Phosphax##argNN##_REAG_WARNING\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 150;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_REAG_WARNING        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_WARNING(argNN) \
COMMAND write_Phosphax##argNN##_WARNING\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 151;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_WARNING        }\
        REPLY\
        {\
        }\
    }\
}


#define DEF_writeCmd_Phosphax_OPERATING_HOURS(argNN) \
COMMAND write_Phosphax##argNN##_OPERATING_HOURS\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 174;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_OPERATING_HOURS        }\
        REPLY\
        {\
        }\
    }\
}


#define DEF_writeCmd_Phosphax_LAST_CHA_FACTOR1(argNN) \
COMMAND write_Phosphax##argNN##_LAST_CHA_FACTOR1\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 197;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_LAST_CHA_FACTOR1        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_LAST_CHA_FACTOR2(argNN) \
COMMAND write_Phosphax##argNN##_LAST_CHA_FACTOR2\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 199;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_LAST_CHA_FACTOR2        }\
        REPLY\
        {\
        }\
    }\
}

#define DEF_writeCmd_Phosphax_SAMPLE_DETECTION(argNN) \
COMMAND write_Phosphax##argNN##_SAMPLE_DETECTION\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 210;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_SAMPLE_DETECTION        }\
        REPLY\
        {\
        }\
    }\
}


#define DEF_writeCmd_Phosphax_STATUS_MODUL_ERR(argNN) \
COMMAND write_Phosphax##argNN##_STATUS_MODUL_ERR\
{\
 SLOT Phosphax##argNN##_SLOTADR;\
 INDEX 255;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_STATUS_MODUL_ERR        }\
        REPLY\
        {\
        }\
    }\
}

//Tagregisterstart: 40257= 40001+ 256(Slot x+32) + 0(=index)
#define DEF_writeCmd_Phosphax_STAT_MODUL_WAR(argNN) \
COMMAND write_Phosphax##argNN##_STAT_MODUL_WAR\
{\
 SLOT Phosphax##argNN##_SLOTADR+32;\
 INDEX 0;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_STAT_MODUL_WAR        }\
        REPLY\
        {\
        }\
    }\
}

//Tagregisterstart: 40258= 40001+ 256(Slot x+32) + 1(=index)
#define DEF_writeCmd_Phosphax_EXHAUST_CONTROL(argNN) \
COMMAND write_Phosphax##argNN##_EXHAUST_CONTROL\
{\
 SLOT Phosphax##argNN##_SLOTADR+32;\
 INDEX 1;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_EXHAUST_CONTROL        }\
        REPLY\
        {\
        }\
    }\
}



//Tagregisterstart: 40264= 40001+ 256(Slot x+32) + 7(=index)
#define DEF_writeCmd_Phosphax_BUBBLE_REJECT(argNN) \
COMMAND write_Phosphax##argNN##_BUBBLE_REJECT\
{\
 SLOT Phosphax##argNN##_SLOTADR+32;\
 INDEX 7;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_BUBBLE_REJECT        }\
        REPLY\
        {\
        }\
    }\
}

//Tagregisterstart: 40270= 40001+ 256(Slot x+32) + 13(=index)
#define DEF_writeCmd_Phosphax_SEL_ADJ_METHOD(argNN) \
COMMAND write_Phosphax##argNN##_SEL_ADJ_METHOD\
{\
 SLOT Phosphax##argNN##_SLOTADR+32;\
 INDEX 13;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_SEL_ADJ_METHOD        }\
        REPLY\
        {\
        }\
    }\
}

//Tagregisterstart: 40281= 40001+ 256(Slot x+32) + 24(=index)
#define DEF_writeCmd_Phosphax_EDIT_NAME(argNN) \
COMMAND write_Phosphax##argNN##_EDIT_NAME\
{\
 SLOT Phosphax##argNN##_SLOTADR+32;\
 INDEX 24;\
     OPERATION WRITE;\
     TRANSACTION\
    {\
        REQUEST\
        {\
         Phosphax##argNN##_EDIT_NAME 	 }\
        REPLY\
        {\
        }\
    }\
}


//-----------------Menu--Group----Anfang------------------------------
#define DEF_GROUP_Phosphax_TEMP(argNN)\
MENU Group_Phosphax##argNN##_TEMP\
{\
	LABEL "";\
	STYLE GROUP;\
	ITEMS\
	{\
		DEF_Phosphax_CUVETTE_TEMP(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_ENCLOSURE_TEMP(argNN),\
		ROWBREAK,\
		DEF_Phosphax_ENCLOSU_TEMP_MIN(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_ENCLOSU_TEMP_MAX(argNN),\
		ROWBREAK\
   }\
}

#define DEF_GROUP_Phosphax_KUEHL(argNN)\
MENU Group_Phosphax##argNN##_KUEHL\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
	  DEF_Phosphax_COOLING(argNN),\
	  COLUMNBREAK,\
	  DEF_Phosphax_ANALYZER_HEATING(argNN),\
	  ROWBREAK,\
	  DEF_Phosphax_HEATING(argNN),\
	  COLUMNBREAK,\
	  ROWBREAK,\
   }\
}

#define DEF_GROUP_Phosphax_FEUCHT(argNN)\
MENU Group_Phosphax##argNN##_FEUCHT\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
	  DEF_Phosphax_HUMIDITY_ANALY(argNN),\
	  COLUMNBREAK,\
	  DEF_Phosphax_HUMIDITY_PROBE(argNN),\
	  ROWBREAK,\
   }\
}

#define DEF_GROUP_Phosphax_ZUSTAND(argNN)\
MENU Group_Phosphax##argNN##_ZUSTAND\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
		DEF_Phosphax_STATUS_MODULES_FL(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_PROBE_P_MIN(argNN),\
		ROWBREAK,\
		DEF_Phosphax_PROBE_PRESSURE(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_OPTION(argNN),\	
		ROWBREAK,\	
		DEF_Phosphax_REMAINING_TIME(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_PROCESS_STATE(argNN),\
		ROWBREAK,\
   }\
}

		
#define DEF_GROUP_Phosphax_MESS(argNN)\
MENU Group_Phosphax##argNN##_MESS\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
	 DEF_Phosphax_EXT_MESS_1(argNN),\
	 COLUMNBREAK,\
	 DEF_Phosphax_EXT_MESS_2(argNN),\
	 ROWBREAK,\
	 DEF_Phosphax_AMPLIFY_MEAS(argNN),\
	 COLUMNBREAK,\
	 DEF_Phosphax_MEAS_ZERO(argNN),\
	 ROWBREAK,\
	 DEF_Phosphax_OFFSET_MEAS(argNN),\
	 COLUMNBREAK,\
	 DEF_Phosphax_MEAS(argNN),\
	 ROWBREAK,\
   }\
}

#define DEF_GROUP_Phosphax_REF(argNN)\
MENU Group_Phosphax##argNN##_REF\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
	DEF_Phosphax_EXT_REF(argNN),\
	COLUMNBREAK,\
	DEF_Phosphax_AMPLIFY_REF(argNN),\
	ROWBREAK,\
	DEF_Phosphax_REF_ZERO(argNN),\
	COLUMNBREAK,\
	DEF_Phosphax_OFFSET_REF(argNN),\
	ROWBREAK,\
	DEF_Phosphax_REF(argNN),\
	COLUMNBREAK,\
	ROWBREAK,\
   }\
}	

#define DEF_GROUP_Phosphax_MEAS_ORT(argNN)\
MENU Group_Phosphax##argNN##_MEAS_ORT\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
	    DEF_Phosphax_EDIT_NAME(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_CHANNEL1(argNN),\
		ROWBREAK,\			
		DEF_Phosphax_CHANNEL2(argNN),\
		COLUMNBREAK,\
		ROWBREAK,\
    }\
}
		
#define DEF_GROUP_Phosphax_Methode(argNN)\
MENU Group_Phosphax##argNN##_Methode\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\		
		DEF_Phosphax_BUBBLE_REJECT(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_REF_(argNN),\
		ROWBREAK,\
		DEF_Phosphax_SEL_ADJ_METHOD(argNN),\
		COLUMNBREAK,\
		ROWBREAK,\
    }\
}

//----------------------------------------------

#define DEF_GROUP_Phosphax_BUSACTION_ACTIVE(argNN)\
MENU Group_Phosphax##argNN##_BUSACTION_ACTIVE\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
	DEF_Phosphax_BUSACTION_ACTIVE(argNN) ,\
	COLUMNBREAK,\
	DEF_Phosphax_BUS_ANALY_START(argNN)\
	ROWBREAK,\
	DEF_Phosphax_BUS_SERVICE(argNN)\
	COLUMNBREAK,\
	DEF_Phosphax_BUS_CLEANING(argNN)\
	ROWBREAK,\						
	DEF_Phosphax_BUS_PREPUMP_REA(argNN)\
	COLUMNBREAK,\
	DEF_Phosphax_BUS_PREPUMP_CLEA(argNN)\
	ROWBREAK,\						
	DEF_Phosphax_BUS_PREPUMP_PRO(argNN)\
	COLUMNBREAK,\
	DEF_Phosphax_BUS_PREPUMP_ALL(argNN)\
	ROWBREAK\												
    }\
	VALIDITY  IF(DEF_Phosphax_Fieldbus_Enable(argNN)==1) {TRUE;} ELSE {FALSE;}\
}

#define DEF_GROUP_Phosphax_FIELDBUS(argNN)\
MENU Group_Phosphax##argNN##_FIELDBUS\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
						DEF_Phosphax_NUMBER_OF_MEAS(argNN)\
						COLUMNBREAK,\
						DEF_Phosphax_AVERAGE(argNN)\	
						ROWBREAK,\
						DEF_Phosphax_FIELDBUS(argNN)\
						COLUMNBREAK,\						
						DEF_Phosphax_DISCHARGE_BUS(argNN)\
						ROWBREAK,\						
						DEF_Phosphax_START_BY_BUS(argNN)\
						COLUMNBREAK,\						
						ROWBREAK\
    }\
	VALIDITY  IF(DEF_Phosphax_Fieldbus_Enable(argNN)==1) {TRUE;} ELSE {FALSE;}\
}		


#define DEF_GROUP_Phosphax_MEAS_UNITS_1(argNN)\
MENU Group_Phosphax##argNN##_MEAS_UNITS_1\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
		DEF_Phosphax_MEAS_UNITS_1(argNN),\	
		COLUMNBREAK,\
		DEF_Phosphax_SET_PARAMETER_1(argNN),\
		ROWBREAK,\
		DEF_Phosphax_INTERVAL(argNN),\	
		COLUMNBREAK\
    }\
}	

#define DEF_GROUP_Phosphax_MEAS_UNITS_2(argNN)\
MENU Group_Phosphax##argNN##_MEAS_UNITS_2\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
		DEF_Phosphax_MEAS_UNITS_2(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_SET_PARAMETER_2(argNN),\	
		ROWBREAK,\
		COLUMNBREAK\
    }\
}	

#define DEF_GROUP_Phosphax_HEATING_ON(argNN)\
MENU Group_Phosphax##argNN##_HEATING_ON\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
		DEF_Phosphax_HEATING_ON(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_HEATING_OFF(argNN),\	
		ROWBREAK,\
		COLUMNBREAK\
    }\
}	
								
#define DEF_GROUP_Phosphax_REAG_WARNING(argNN)\
MENU Group_Phosphax##argNN##_REAG_WARNING\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
		DEF_Phosphax_REAG_WARNING(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_WARNING(argNN),\	
		ROWBREAK,\
		COLUMNBREAK\
    }\
}	

#define DEF_GROUP_Phosphax_SAMPLE_DETECTION(argNN)\
MENU Group_Phosphax##argNN##_SAMPLE_DETECTION\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
		DEF_Phosphax_SAMPLE_DETECTION(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_EXHAUST_CONTROL(argNN),\	
		ROWBREAK,\
		COLUMNBREAK\
    }\
}	


#define DEF_GROUP_Phosphax_STAT_MODUL_WAR(argNN)\
MENU Group_Phosphax##argNN##_STAT_MODUL_WAR\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\
		DEF_Phosphax_STAT_MODUL_WAR(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_STATUS_MODUL_ERR(argNN),\	
		ROWBREAK,\
		COLUMNBREAK\
    }\
}	

#define DEF_GROUP_Phosphax_CLEANING_START(argNN)\
MENU Group_Phosphax##argNN##_CLEANING_START\
{\
	LABEL   "" 	;\
	STYLE GROUP;\
	ITEMS\
	{\  
	    DEF_Phosphax_START(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_SET_INTERVAL(argNN),\
		ROWBREAK,\
		DEF_Phosphax_DISCHARGE_CLEAN(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_NO_OF_VALUES_CH1(argNN),\
		ROWBREAK,\
		DEF_Phosphax_NO_OF_VALUES_CH2(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_DISCHARGE_VAL1(argNN),\
		ROWBREAK,\
		DEF_Phosphax_DISCHARGE_VAL2(argNN),\
		COLUMNBREAK,\								
		DEF_Phosphax_SET_OUTMODE_CLE(argNN),\
		ROWBREAK,\										
		COLUMNBREAK\
    }\
}	

//-----------------Menu--Group----Ende------------------------------

//-----------------Menu--Kategorien----Anfang------------------------------

#define DEF_Tab_Tab_Phosphax_Settings_Base_Menu(argNN,argOnline)\
MENU Tab_Tab_Phosphax##argNN##_Settings_Base_Online##argOnline\
{\
	LABEL   "Settings: Base" 		"|de|Einstellungen: Allgemein";\
	ITEMS\
	{\
	    dyn_aus(HIDDEN),\		
		DEF_GROUP_Phosphax_MEAS_ORT_NAME(argNN),\		
		DEF_GROUP_Phosphax_Methode_NAME(argNN),\		
		DEF_GROUP_Phosphax_MEAS_UNITS_1_NAME(argNN),\
		DEF_GROUP_Phosphax_MEAS_UNITS_2_NAME(argNN),\
		DEF_GROUP_Phosphax_HEATING_ON_NAME(argNN),\
		DEF_GROUP_Phosphax_REAG_WARNING_NAME(argNN),\
		DEF_GROUP_Phosphax_SAMPLE_DETECTION_NAME(argNN),\
		DEF_GROUP_Phosphax_STAT_MODUL_WAR_NAME(argNN),\
		DEF_GROUP_Phosphax_CLEANING_START_NAME(argNN),\
	}\
   PRE_READ_ACTIONS\
   {\
     METHODE_DYN_AUS\
    }   \
}

#define DEF_Tab_Tab_Phosphax_Settings_Calibration_Menu(argNN,argOnline)\
MENU Tab_Tab_Phosphax##argNN##_Settings_Calibration_Online##argOnline\
{\
	LABEL   "Settings: Calibration" 		"|de|Einstellungen: Kalibrierung";\
	ITEMS\
	{\
	    dyn_aus(HIDDEN),\
		Phosphax##argNN##_OPTION (HIDDEN),\
		DEF_Phosphax_GAIN_CORR_1(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_GAIN_CORR_2(argNN),\
		ROWBREAK,\
		DEF_Phosphax_LAST_CHA_FACTOR1(argNN) (HIDDEN),\
		Datum_strg_1 (READ_ONLY),\
		Phosphax##argNN##_OPTION (HIDDEN),\
		COLUMNBREAK,\
		DEF_Phosphax_LAST_CHA_FACTOR2(argNN) (HIDDEN),\
		IF (Phosphax##argNN##_OPTION==2) {Datum_strg_1(READ_ONLY),Phosphax##argNN##_OPTION (HIDDEN),}\
		  ELSE {Datum_strg_1 (HIDDEN),Phosphax##argNN##_OPTION (HIDDEN),}\
		ROWBREAK,\
		DEF_Phosphax_DEXT_LAST_VALUE(argNN),\
		COLUMNBREAK,\		
		ROWBREAK,\
		DEF_GROUP_Phosphax_MESS_NAME(argNN),\
		DEF_GROUP_Phosphax_REF_NAME(argNN),\
	}\
   PRE_READ_ACTIONS\
   {\
     METHODE_DYN_AUS\
    }   \
}

#define DEF_Tab_Tab_Phosphax_Settings_Fieldbus_Menu(argNN,argOnline)\
MENU Tab_Tab_Phosphax##argNN##_Settings_Fieldbus_Online##argOnline\
{\
	LABEL   "Settings: Fieldbus" 		"|de|Einstellungen: Feldbus";\
	ITEMS\
	{\
	    dyn_aus(HIDDEN),\
		DEF_Phosphax_Fieldbus_Enable(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_SET_OUTMODE_SER(argNN),\						
		ROWBREAK,\
		DEF_GROUP_Phosphax_BUSACTION_ACTIVE_NAME(argNN),\
		DEF_GROUP_Phosphax_FIELDBUS_NAME(argNN),\	
		ROWBREAK,\
		DEF_Phosphax_REMAINING_TIME(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_PROCESS_STATE(argNN),\
		ROWBREAK,\
	}\
   PRE_READ_ACTIONS\
   {\
     METHODE_DYN_AUS\
    }   \
}

#define DEF_Tab_Tab_Phosphax_Diag_WarnErr_Menu(argNN,argOnline)\
MENU Tab_Tab_Phosphax##argNN##_Diag_WarnErr_Online##argOnline\
{\
	LABEL   "Diagnostics: Probe Warning/Error" 		"|de|Diagnose: Sensor Warnung/Fehler";\
	ITEMS\
	{\
	  dyn_aus(HIDDEN),\
	  Menu_Phosphax_Warning_Error##argNN,\
	  ROWBREAK,\	
	}\
   PRE_READ_ACTIONS\
   {\
     METHODE_DYN_AUS\
    }   \
}

#define DEF_Tab_Tab_Phosphax_Diag_ProbeInfo_Menu(argNN,argOnline)\
MENU Tab_Tab_Phosphax##argNN##_ProbeInfo_Online##argOnline\
{\
	LABEL   "Diagnostics: Probe Info" 		"|de|Diagnose: Probe Info";\
	ITEMS\
	{   dyn_aus(HIDDEN),\
		DEF_Phosphax_SENSOR_NAME(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_TYPE(argNN),\	
		ROWBREAK,\
	    DEF_Phosphax_APPL(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_STRUCTURE(argNN),\
		ROWBREAK,\
		DEF_Phosphax_FIRMWARE(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_CONTENT(argNN),\
		ROWBREAK,\
		DEF_Phosphax_LOADER(argNN),\
		COLUMNBREAK,\
		DEF_Phosphax_SOFTWARE_PROBE(argNN),\
		ROWBREAK,\	
	}\
   PRE_READ_ACTIONS\
   {\
     METHODE_DYN_AUS\
    }\
}

#define DEF_Tab_Tab_Phosphax_Diag_Counter_Menu(argNN,argOnline)\
MENU Tab_Tab_Phosphax##argNN##_Diag_Counter_Online##argOnline\
{\
	LABEL   "Diagnostics: Counter" 		"|de|Diagnose: Zhler";\
	ITEMS\
	{\
		dyn_aus(HIDDEN),\
		Phosphax##argNN##_OPTION (HIDDEN),\
		DEF_Phosphax_CLEANING_MODULES(argNN) (HIDDEN),\
		IF (Phosphax##argNN##_OPTION==0) {Datum_strg_1 (READ_ONLY),ROWBREAK}\
		DEF_Phosphax_AIR_FILTER_DISPL(argNN),\
		ROWBREAK,\
		DEF_Phosphax_NEW_MODULES(argNN) (HIDDEN),\
		IF (Phosphax##argNN##_OPTION==0) {Datum_strg_1 (READ_ONLY),ROWBREAK}\		
		DEF_Phosphax_REAGENT_LEVEL(argNN),\
		ROWBREAK,\
		DEF_Phosphax_CLEAN_SOLU_LEVEL(argNN),\
		ROWBREAK,\
		DEF_Phosphax_PUMP_DISPLAY(argNN),\
		ROWBREAK,\
		DEF_Phosphax_OPERATING_HOURS(argNN)(HIDDEN),\
		swap_wert_1 (READ_ONLY),\
		ROWBREAK,\
		DEF_Phosphax_PUMP_MEMBR_DISP(argNN) (READ_ONLY),\
		ROWBREAK,\
	}\
   PRE_READ_ACTIONS\
   {\
     METHODE_DYN_AUS\
    }   \
}

#define DEF_Tab_Tab_Phosphax_Diag_Data_Menu(argNN,argOnline)\
MENU Tab_Tab_Phosphax##argNN##_Data_Online##argOnline\
{\
	LABEL   "Diagnostics: Data" 		"|de|Diagnose: Data";\
	ITEMS\
	{\
						dyn_aus(HIDDEN),\
						DEF_Phosphax_ACTUAL_MEAS_TIME(argNN) (HIDDEN),\
						Datum_strg_1(READ_ONLY),\
						COLUMNBREAK,\
						DEF_Phosphax_ACTUAL_VALUE(argNN) (READ_ONLY),\
						ROWBREAK,\
						DEF_Phosphax_LAST_TIME(argNN) (HIDDEN),\
						Datum_strg_1 (READ_ONLY),\
						COLUMNBREAK,\
						DEF_Phosphax_LAST_VALUE(argNN) (READ_ONLY),\
						ROWBREAK,\
						DEF_Phosphax_ND2_LAST_TIME(argNN) (HIDDEN),\
						Datum_strg_1(READ_ONLY),\
						COLUMNBREAK,\
						DEF_Phosphax_ND2_LAST_VALUE(argNN)(READ_ONLY),\
						ROWBREAK,\
						DEF_Phosphax_RD3_LAST_TIME(argNN) (HIDDEN),\
						Datum_strg_1(READ_ONLY),\
						COLUMNBREAK,\
						DEF_Phosphax_RD3_LAST_VALUE(argNN)(READ_ONLY),\
						ROWBREAK,\
						DEF_Phosphax_TH4_LAST_TIME(argNN) (HIDDEN),\
						Datum_strg_1(READ_ONLY),\
						COLUMNBREAK,\
						DEF_Phosphax_TH4_LAST_VALUE(argNN)(READ_ONLY),\
						ROWBREAK,\
						DEF_Phosphax_TH5_LAST_TIME(argNN) (HIDDEN),\
						Datum_strg_1(READ_ONLY),\
						COLUMNBREAK,\
						DEF_Phosphax_TH5_LAST_VALUE(argNN)(READ_ONLY),\
						ROWBREAK,\
						DEF_Phosphax_TH6_LAST_TIME(argNN) (HIDDEN),\
						Datum_strg_1(READ_ONLY),\
						COLUMNBREAK,\
						DEF_Phosphax_TH6_LAST_VALUE(argNN)(READ_ONLY),\
						ROWBREAK,\
						DEF_Phosphax_TH7_LAST_TIME(argNN) (HIDDEN),\
						Datum_strg_1(READ_ONLY),\
						COLUMNBREAK,\
						DEF_Phosphax_TH7_LAST_VALUE(argNN)(READ_ONLY),\
						ROWBREAK,\
						DEF_Phosphax_TH8_LAST_TIME(argNN) (HIDDEN),\
						Datum_strg_1(READ_ONLY),\
						COLUMNBREAK,\
						DEF_Phosphax_TH8_LAST_VALUE(argNN)(READ_ONLY),\
						ROWBREAK,\
						DEF_Phosphax_TH9_LAST_TIME(argNN) (HIDDEN),\
						Datum_strg_1(READ_ONLY),\
						COLUMNBREAK,\
						DEF_Phosphax_TH9_LAST_VALUE(argNN)(READ_ONLY),\
						ROWBREAK,\
	}\
   PRE_READ_ACTIONS\
   {\
     METHODE_DYN_AUS\
    }\
}


#define DEF_MENU_Phosphax_Warning_Error(argNN)\
MENU Menu_Phosphax_Warning_Error##argNN\
{\
LABEL "Phosphax Error/Warning list" "|de|Phosphax Fehler/Warnung Liste";\
STYLE GROUP;\
ITEMS\
   {\
	DEF_Phosphax_ERROR_LIST(argNN) (HIDDEN),\						
	DEF_Phosphax_WARNING_LIST(argNN) (HIDDEN),\						
    "W A R N I N G:",\
    IF (swap_wert_1!=0)\
     {\
      DEF_IF_WARNING_PHOSPHAX(swap_wert_1),swap_wert_1 (HIDDEN)\
     }\
       ELSE {"-OK-",swap_wert_1 (HIDDEN)}\
    COLUMNBREAK,\
    "E R R O R:",\
    IF (swap_wert_1!=0)\
       {\
         DEF_IF_ERROR_PHOSPHAX(swap_wert_1),swap_wert_1 (HIDDEN)\
       }\
         ELSE {"-No Error-" "|de|kein Fehler",swap_wert_1 (HIDDEN)}\
    ROWBREAK\
   }\
}

//-----------------Menu--Kategorien----Ende------------------------------

//-----------------Menu------Anfang------------------------------
//-----------------Menu------Ende------------------------------

/*---------------------Variablen--definieren----------------------------*/

DEF_VAR_Phosphax_MEASURE_VALUE_1(1)

DEF_VAR_Phosphax_CHANNEL1(1)

DEF_VAR_Phosphax_MEAS(1)

DEF_VAR_Phosphax_MEAS_ZERO(1)

DEF_VAR_Phosphax_OFFSET_MEAS(1)

DEF_VAR_Phosphax_REF(1)

DEF_VAR_Phosphax_REF_ZERO(1)

DEF_VAR_Phosphax_OFFSET_REF(1)

DEF_VAR_Phosphax_AMPLIFY_MEAS(1)

DEF_VAR_Phosphax_AMPLIFY_REF(1)

DEF_VAR_Phosphax_COOLING(1)

DEF_VAR_Phosphax_HEATING(1)

DEF_VAR_Phosphax_HUMIDITY_PROBE(1)

DEF_VAR_Phosphax_ENCLOSURE_TEMP(1)

DEF_VAR_Phosphax_ACTUAL_VALUE(1)

DEF_VAR_Phosphax_CHANNEL2(1)

DEF_VAR_Phosphax_CONTENT(1)

DEF_VAR_Phosphax_REMAINING_TIME(1)

DEF_VAR_Phosphax_CUVETTE_TEMP(1)

DEF_VAR_Phosphax_PHOSPHATE_P_1(1)

DEF_VAR_Phosphax_PHOSPHATE_P_2(1)

DEF_VAR_Phosphax_PHOSPHATE_1(1)

DEF_VAR_Phosphax_PHOSPHATE_2(1)

DEF_VAR_Phosphax_PHOS_PENTOXIDE1(1)

DEF_VAR_Phosphax_PHOS_PENTOXIDE2(1)

DEF_VAR_Phosphax_DEXT_LAST_VALUE(1)

DEF_VAR_Phosphax_HEATING_ON(1)

DEF_VAR_Phosphax_HEATING_OFF(1)

DEF_VAR_Phosphax_MEASURE_VALUE_2(1)

DEF_VAR_Phosphax_EXT_MESS_1(1)

DEF_VAR_Phosphax_EXT_MESS_2(1)

DEF_VAR_Phosphax_EXT_REF(1)

DEF_VAR_Phosphax_ANALYZER_HEATING(1)

DEF_VAR_Phosphax_BUSACTION_ACTIVE(1)

DEF_VAR_Phosphax_BUS_ANALY_START(1)

DEF_VAR_Phosphax_BUS_SERVICE(1)

DEF_VAR_Phosphax_BUS_CLEANING(1)

DEF_VAR_Phosphax_BUS_PREPUMP_REA(1)

DEF_VAR_Phosphax_BUS_PREPUMP_CLEA(1)

DEF_VAR_Phosphax_BUS_PREPUMP_PRO(1)

DEF_VAR_Phosphax_BUS_PREPUMP_ALL(1)

DEF_VAR_Phosphax_PROBE_P_MIN(1)

DEF_VAR_Phosphax_PROBE_PRESSURE(1)

DEF_VAR_Phosphax_GAIN_CORR_1(1)

DEF_VAR_Phosphax_DISCHARGE_CLEAN(1)

DEF_VAR_Phosphax_SET_OUTMODE_CLE(1)

DEF_VAR_Phosphax_SET_OUTMODE_SER(1)

DEF_VAR_Phosphax_SOFTWARE_PROBE(1)

DEF_VAR_Phosphax_STATUS_MODULES_FL(1)

DEF_VAR_Phosphax_STATUS_MODULES_UI(1)

DEF_VAR_Phosphax_MEAS_UNITS_1(1)

DEF_VAR_Phosphax_APPL(1)

DEF_VAR_Phosphax_TYPE(1)

DEF_VAR_Phosphax_CLEANING_MODULES(1)

DEF_VAR_Phosphax_INTERVAL(1)

DEF_VAR_Phosphax_START(1)

DEF_VAR_Phosphax_SET_INTERVAL(1)

DEF_VAR_Phosphax_NEW_MODULES(1)

DEF_VAR_Phosphax_SET_PARAMETER_1(1)

DEF_VAR_Phosphax_GAIN_CORR_2(1)

DEF_VAR_Phosphax_SET_PARAMETER_2(1)

DEF_VAR_Phosphax_MEAS_UNITS_2(1)

DEF_VAR_Phosphax_HUMIDITY_ANALY(1)

DEF_VAR_Phosphax_FIELDBUS(1)

DEF_VAR_Phosphax_START_BY_BUS(1)

DEF_VAR_Phosphax_EXTINCTION_2(1)

DEF_VAR_Phosphax_PROCESS_STATE(1)

DEF_VAR_Phosphax_NUMBER_OF_MEAS(1)

DEF_VAR_Phosphax_AVERAGE(1)

DEF_VAR_Phosphax_NO_OF_VALUES_CH1(1)

DEF_VAR_Phosphax_NO_OF_VALUES_CH2(1)

DEF_VAR_Phosphax_DISCHARGE_VAL1(1)

DEF_VAR_Phosphax_DISCHARGE_VAL2(1)

DEF_VAR_Phosphax_DISCHARGE_BUS(1)

DEF_VAR_Phosphax_SENSOR_NAME(1)

DEF_VAR_Phosphax_REAG_WARNING(1)

DEF_VAR_Phosphax_WARNING(1)

DEF_VAR_Phosphax_REAGENT_LEVEL(1)

DEF_VAR_Phosphax_CLEAN_SOLU_LEVEL(1)

DEF_VAR_Phosphax_AIR_FILTER_DISPL(1)

DEF_VAR_Phosphax_PUMP_DISPLAY(1)

DEF_VAR_Phosphax_STRUCTURE(1)

DEF_VAR_Phosphax_FIRMWARE(1)

DEF_VAR_Phosphax_LOADER(1)

DEF_VAR_Phosphax_OPERATING_HOURS(1)

DEF_VAR_Phosphax_PUMP_MEMBR_DISP(1)

DEF_VAR_Phosphax_LAST_CHA_FACTOR1(1)

DEF_VAR_Phosphax_LAST_CHA_FACTOR2(1)

DEF_VAR_Phosphax_SAMPLE_DETECTION(1)

DEF_VAR_Phosphax_ACTUAL_MEAS_TIME(1)

DEF_VAR_Phosphax_LAST_TIME(1)

DEF_VAR_Phosphax_ND2_LAST_TIME(1)

DEF_VAR_Phosphax_RD3_LAST_TIME(1)

DEF_VAR_Phosphax_TH4_LAST_TIME(1)

DEF_VAR_Phosphax_TH5_LAST_TIME(1)

DEF_VAR_Phosphax_TH6_LAST_TIME(1)

DEF_VAR_Phosphax_TH7_LAST_TIME(1)

DEF_VAR_Phosphax_TH8_LAST_TIME(1)

DEF_VAR_Phosphax_TH9_LAST_TIME(1)

DEF_VAR_Phosphax_LAST_VALUE(1)

DEF_VAR_Phosphax_ND2_LAST_VALUE(1)

DEF_VAR_Phosphax_RD3_LAST_VALUE(1)

DEF_VAR_Phosphax_TH4_LAST_VALUE(1)

DEF_VAR_Phosphax_TH5_LAST_VALUE(1)

DEF_VAR_Phosphax_TH6_LAST_VALUE(1)

DEF_VAR_Phosphax_TH7_LAST_VALUE(1)

DEF_VAR_Phosphax_TH8_LAST_VALUE(1)

DEF_VAR_Phosphax_TH9_LAST_VALUE(1)

DEF_VAR_Phosphax_STATUS_MODUL_ERR(1)

DEF_VAR_Phosphax_STAT_MODUL_WAR(1)

DEF_VAR_Phosphax_EXHAUST_CONTROL(1)

DEF_VAR_Phosphax_REF_(1)

DEF_VAR_Phosphax_BUBBLE_REJECT(1)

DEF_VAR_Phosphax_SEL_ADJ_METHOD(1)

DEF_VAR_Phosphax_ENCLOSU_TEMP_MIN(1)

DEF_VAR_Phosphax_ENCLOSU_TEMP_MAX(1)

DEF_VAR_Phosphax_ERROR_LIST(1)

DEF_VAR_Phosphax_WARNING_LIST(1)

DEF_VAR_Phosphax_EDIT_NAME(1)

DEF_VAR_Phosphax_Option(1)

DEF_VAR_Phosphax_Fieldbus_Enable(1) 
//-----------------Variablen-----Ende------------------------------
//-----------------Menu------Anfang------------------------------
DEF_GROUP_Phosphax_TEMP(1)

DEF_GROUP_Phosphax_KUEHL(1)

DEF_GROUP_Phosphax_FEUCHT(1)

DEF_GROUP_Phosphax_ZUSTAND(1)

DEF_GROUP_Phosphax_MESS(1)

DEF_GROUP_Phosphax_REF(1)

DEF_GROUP_Phosphax_MEAS_ORT(1)

DEF_GROUP_Phosphax_Methode(1)

DEF_GROUP_Phosphax_MEAS_UNITS_1(1)

DEF_GROUP_Phosphax_MEAS_UNITS_2(1)

DEF_GROUP_Phosphax_HEATING_ON(1)

DEF_GROUP_Phosphax_REAG_WARNING(1)

DEF_GROUP_Phosphax_SAMPLE_DETECTION(1)

DEF_GROUP_Phosphax_STAT_MODUL_WAR(1)

DEF_GROUP_Phosphax_CLEANING_START(1)

DEF_GROUP_Phosphax_BUSACTION_ACTIVE(1)

DEF_GROUP_Phosphax_FIELDBUS(1)

//------------------------ Kategorien Anfang--------------------------------------

DEF_Tab_Tab_Phosphax_Settings_Base_Menu(1,0)
DEF_Tab_Tab_Phosphax_Settings_Base_Menu(1,1)

DEF_Tab_Tab_Phosphax_Settings_Calibration_Menu(1,0)
DEF_Tab_Tab_Phosphax_Settings_Calibration_Menu(1,1)

DEF_Tab_Tab_Phosphax_Settings_Fieldbus_Menu(1,0)
DEF_Tab_Tab_Phosphax_Settings_Fieldbus_Menu(1,1)

DEF_Tab_Tab_Phosphax_Diag_WarnErr_Menu(1,0)
DEF_Tab_Tab_Phosphax_Diag_WarnErr_Menu(1,1)

DEF_Tab_Tab_Phosphax_Diag_ProbeInfo_Menu(1,0)
DEF_Tab_Tab_Phosphax_Diag_ProbeInfo_Menu(1,1)

DEF_Tab_Tab_Phosphax_Diag_Counter_Menu(1,0)
DEF_Tab_Tab_Phosphax_Diag_Counter_Menu(1,1)

DEF_Tab_Tab_Phosphax_Diag_Data_Menu(1,0)
DEF_Tab_Tab_Phosphax_Diag_Data_Menu(1,1)
//------------------------ Kategorien Ende--------------------------------------

//-----------------Menu------Ende------------------------------

/*-----------------------COMMANDS---------------------------------------*/




//------------------------ Read Anfang--------------------------------------
DEF_readCmd_Phosphax_Data1(1)

DEF_readCmd_Phosphax_Data2(1)

DEF_readCmd_Phosphax_Data3(1)

DEF_readCmd_Phosphax_Data4(1)

DEF_readCmd_Phosphax_Data5(1)

DEF_readCmd_Phosphax_Data6(1)

DEF_readCmd_Phosphax_Data7(1)

DEF_readCmd_Phosphax_Data8(1)

DEF_readCmd_Phosphax_Data9(1)

DEF_readCmd_Phosphax_Data10(1)

//------------------------ Read Ende--------------------------------------
//------------------------ Write Anfang--------------------------------------
DEF_writeCmd_Phosphax_CHANNEL1(1)

DEF_writeCmd_Phosphax_CHANNEL2(1)

DEF_writeCmd_Phosphax_HEATING_ON(1)

DEF_writeCmd_Phosphax_HEATING_OFF(1)

DEF_writeCmd_Phosphax_BUSACTION_ACTIVE(1)

DEF_writeCmd_Phosphax_BUS_ANALY_START(1)

DEF_writeCmd_Phosphax_BUS_SERVICE(1)

DEF_writeCmd_Phosphax_BUS_CLEANING(1)

DEF_writeCmd_Phosphax_BUS_PREPUMP_REA(1)

DEF_writeCmd_Phosphax_BUS_PREPUMP_CLEA(1)

DEF_writeCmd_Phosphax_BUS_PREPUMP_PRO(1)

DEF_writeCmd_Phosphax_BUS_PREPUMP_ALL(1)

DEF_writeCmd_Phosphax_GAIN_CORR_1(1)

DEF_writeCmd_Phosphax_DISCHARGE_CLEAN(1)

DEF_writeCmd_Phosphax_SET_OUTMODE_CLE(1)

DEF_writeCmd_Phosphax_CLEANING_MODULES(1)

DEF_writeCmd_Phosphax_INTERVAL(1)

DEF_writeCmd_Phosphax_FIELDBUS(1)

DEF_writeCmd_Phosphax_START_BY_BUS(1)

DEF_writeCmd_Phosphax_OPERATING_HOURS(1)

DEF_writeCmd_Phosphax_LAST_CHA_FACTOR1(1)

DEF_writeCmd_Phosphax_LAST_CHA_FACTOR2(1)

DEF_writeCmd_Phosphax_SAMPLE_DETECTION(1)

DEF_writeCmd_Phosphax_SET_OUTMODE_SER(1)

DEF_writeCmd_Phosphax_MEAS_UNITS_1(1)

DEF_writeCmd_Phosphax_START(1)

DEF_writeCmd_Phosphax_SET_INTERVAL(1)

DEF_writeCmd_Phosphax_NEW_MODULES(1)

DEF_writeCmd_Phosphax_SET_PARAMETER_1(1)

DEF_writeCmd_Phosphax_GAIN_CORR_2(1)

DEF_writeCmd_Phosphax_SET_PARAMETER_2(1)

DEF_writeCmd_Phosphax_MEAS_UNITS_2(1)

DEF_writeCmd_Phosphax_NUMBER_OF_MEAS(1)

DEF_writeCmd_Phosphax_AVERAGE(1)

DEF_writeCmd_Phosphax_NO_OF_VALUES_CH1(1)

DEF_writeCmd_Phosphax_NO_OF_VALUES_CH2(1)

DEF_writeCmd_Phosphax_DISCHARGE_VAL1(1)

DEF_writeCmd_Phosphax_DISCHARGE_VAL2(1)

DEF_writeCmd_Phosphax_DISCHARGE_BUS(1)

DEF_writeCmd_Phosphax_REAG_WARNING(1)

DEF_writeCmd_Phosphax_WARNING(1)

DEF_writeCmd_Phosphax_STATUS_MODUL_ERR(1)

DEF_writeCmd_Phosphax_STAT_MODUL_WAR(1)

DEF_writeCmd_Phosphax_EXHAUST_CONTROL(1)

DEF_writeCmd_Phosphax_BUBBLE_REJECT(1)

DEF_writeCmd_Phosphax_SEL_ADJ_METHOD(1)

DEF_writeCmd_Phosphax_EDIT_NAME(1)

//------------------------ Write Ende--------------------------------------
DEF_MENU_Phosphax_Warning_Error(1)

