/*---------------------------------------------------------------------------*/
/*Copyright (C)	Hach-Lange (2010). All Rights Reserved.                      */
/*Product:	SIMATIC PDM  	                                             	 */
/*Device:	SC CHL          	                                     		 */
/*Description:	Device Description	                                     	 */
/*Dictionary:	SIPADC01.dct	                                             */
/*$Revision:	1.9  $  	                                             	 */
/*$Date:	Maerz 2010	                                             		 */
/*File:	SC_Chl.ddl   	                                                     */
/*	Author:			T.Thiel Hach-Lange                           			 */
/*				R.Mellows Hach-Lange                         				 */
/*				R.Stollenwerk Hach-Lange                     				 */
/*---------------------------------------------------------------------------*/





/************************************************************************/
/*---------------------Variablen----------------------------------------*/
/************************************************************************/
//-----------------Messwerte------Anfang------------------------------
VARIABLE CHL1_Measurement1
{
 LABEL 	"Concentration " 	"|de|Konzentration ";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

}


VARIABLE CHL1_Measurement1_ppb
{
 LABEL 	"Concentration " 	"|de|Konzentration ";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
        CONSTANT_UNIT 	"ppb";
VALIDITY IF ((CHL1_Setting2 == 0)|(CHL1_Setting2 == 2)) { TRUE; } ELSE { FALSE; }
}

VARIABLE CHL1_Measurement1_micgl
{
 LABEL 	"Concentration " 	"|de|Konzentration ";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
        CONSTANT_UNIT 	"g/l";
VALIDITY IF ((CHL1_Setting2 == 1)|(CHL1_Setting2 == 3)) { TRUE; } ELSE { FALSE; }
}

VARIABLE CHL1_Measurement1_ppm
{
 LABEL 	"Concentration " 	"|de|Konzentration ";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
        CONSTANT_UNIT 	"ppm";
VALIDITY IF (CHL1_Setting2 == 4) { TRUE; } ELSE { FALSE; }
}

VARIABLE CHL1_Measurement1_mgl
{
 LABEL 	"Concentration " 	"|de|Konzentration ";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
        CONSTANT_UNIT 	"mg/l";
VALIDITY IF (CHL1_Setting2 == 5) { TRUE; } ELSE { FALSE; }
}
//-----------------------------------------------------------------------------
VARIABLE CHL1_Measurement2
{
 LABEL 	"pH Measurement" 	"|de|pH Messwert";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"pH";
}
//-----------------------------------------------------------------------------
VARIABLE CHL1_Measurement3    //C oder F
{
 LABEL 	"Temperature" 	"|de|Temperatur";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;


}
//-----------------------------------------------------------------------------
VARIABLE CHL1_Measurement4
{
 LABEL 	"Current" 	"|de|Strom";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"A";
}
//-----------------------------------------------------------------------------
VARIABLE CHL1_Measurement5      //ppm
{
 LABEL 	"Concentration ppm" 	"|de|Konzentration ppm";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"ppm";
}
//-----------------------------------------------------------------------------
VARIABLE CHL1_Measurement6        //ppb
{
 LABEL 	"Concentration ppb" 	"|de|Konzentration ppb";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"ppb";
}
//-----------------------------------------------------------------------------

VARIABLE CHL1_Measurement7        //g/l
{
 LABEL 	"Concentration g/l" 	"|de|Konzentration g/l";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"g/l";
}
//-----------------------------------------------------------------------------
VARIABLE CHL1_Measurement8      //nA
{
 LABEL 	"Current" 	"|de|Strom";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"nA";
}
//-----------------------------------------------------------------------------
VARIABLE CHL1_Measurement9   //pH
{
 LABEL 	"pH RAW" 	"|de|Rohwert pH";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"pH";
}
//-----------------------------------------------------------------------------
VARIABLE CHL1_Measurement10    //mV
{
 LABEL 	"Raw ORP[mV] (MV RAW)" 	"|de|Rohwert ORP[mV]";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"ORP";
}
//-----------------------------------------------------------------------------
VARIABLE CHL1_Measurement11     //C oder F
{
 LABEL 	"Raw Temp (Temp.Raw)" 	"|de|Rohwert Temperatur";
 CLASS	DYNAMIC;
 TYPE	FLOAT
        {
	DISPLAY_FORMAT 	".2f";
        }
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

}

VARIABLE CHL1_Setting9    //Max ph in TFC application only 40054	Float
{
	LABEL 	"Max pH" 	"|de|Max pH";
	HELP	"Only if <Select Param.> = <T. F. C>";
	CLASS	CONTAINED;
	TYPE	FLOAT
		{
	DISPLAY_FORMAT 	".2f";
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"pH";
	VALIDITY IF (CHL1_Setting18 == 2) { TRUE; } ELSE { FALSE; }

}


VARIABLE CHL1_Setting5  // Compensation pH toogle 40045 Compensation pH toogle (manual-auto)

{
 LABEL 	"Select pH Meas" 	"|de|Auswahl pH Messung";
 HELP 	"Only if <Select Param.> = <Chlorine +ACID> OR <T. F. C>";
 CLASS	CONTAINED;
 TYPE	ENUMERATED  (2)
 	{
         MIN_VALUE 0 ;
	 MAX_VALUE 1 ;

         {0,     "Manual"    "|de|Manual"},
	 {1,	"Automatic"   "|de|Automatik" }
        	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
VALIDITY IF (CHL1_Setting18 == 2) { TRUE; } ELSE { FALSE; }	
}

//--------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------

//-----------------Settings------Anfang------------------------------
VARIABLE CHL1_Setting1  // 40028	Integer

{
	LABEL 	"Probe Location" "|de|Einbauort";
 CLASS	CONTAINED;
 TYPE	ASCII (12)
 	{

	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
}

VARIABLE CHL1_Setting6  // Averaging 40049 Integer

{
 LABEL 	"Averaging (Filter)" 	"|de|Mittelwert (Filter)";
 CLASS	CONTAINED;
 TYPE	UNSIGNED_INTEGER (2)
 	{

	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
	CONSTANT_UNIT 	"s";
}

VARIABLE CHL1_Setting20  // Automatic/Manual temperature toogle 40050

{
 LABEL 	"Auto/Man temp.(T-Sensor)" 	"|de|Auto/Man Temp.";
 CLASS	CONTAINED;
 TYPE	ENUMERATED (2)
 	{
         MIN_VALUE 0 ;
	 MAX_VALUE 1 ;

 	{0,     	"Manual" 	"|de|Manuel"},
	{1,	        "Automatic" 	"|de|Automatisch"}

	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
	

}

VARIABLE CHL1_Setting7  // Automatic/Manual temperature toogle 40050

{
 LABEL 	"Manual Temperature unit" 	"|de|Man. Temperatur Einheit";
 CLASS	CONTAINED;
 TYPE	ENUMERATED (2)
 	{
 	{38,    "F"},
	{37,	"C"   }

	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
}

VARIABLE CHL1_Setting8  // Manual Temperature 40052 float

{
 LABEL 	"Manual Temperature" 	"|de|Manuele Temperatur";
 CLASS	CONTAINED;
 TYPE	FLOAT
 	{
	DISPLAY_FORMAT 	".2f";
	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

}

VARIABLE CHL1_Setting11  // 50/60 Hz toogle 40058	Bit

{
 LABEL 	"Frequency 50/60 Hz" 	"|de|Frequenz 50/60 Hz";
 CLASS	CONTAINED;
 TYPE	ENUMERATED (2)
 	{
                                 MIN_VALUE 0 ;
	 MAX_VALUE 1 ;

 	{0,     "50 Hz"},
	{1,	"60 Hz"   }

	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
}

VARIABLE CHL1_Setting12  // Temperature Offset Temperature Offset  40073 Float

{
 LABEL 	"Temperature Offset" 	"|de|Temperaturoffset";
 CLASS	CONTAINED;
 TYPE	FLOAT
 	{
	DISPLAY_FORMAT 	".2f";
	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
}

VARIABLE CHL1_Setting14  //Time between two calibrations 40102	Integer

{
 LABEL 	"Time between two calibrations"  "|de|Zeit zwischen 2 Kalibrierungen";
 CLASS	CONTAINED;
 TYPE	UNSIGNED_INTEGER (2)
 	{

	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
	CONSTANT_UNIT 	"days" "|de|Tage";

}

VARIABLE CHL1_Setting15  //Concentration zero toogle 40103 Integer

{
 LABEL 	"Concentration zero toogle"  "|de|Konzentrations Nullpunkt Mode";
 CLASS	CONTAINED;
 TYPE	ENUMERATED (2)
 	{
         MIN_VALUE 0 ;
	 MAX_VALUE 1 ;

 	{0,     "Electrical" "|de|Elektrisch"},
	{1,	"Chemical"   "|de|Chemisch"}

	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;


}

VARIABLE CHL1_Setting2_intern

{
 LABEL 	"internal conc. unit" "|de|interne Konz. Einheit";
 CLASS	LOCAL;
 TYPE	ENUMERATED (2)
 	{
         MIN_VALUE 0 ;
	 MAX_VALUE 5 ;

	{0,	"ppb"   },
	{1,	"g/l" },
	{2, 	"ppb"},
	{4, 	"ppm"},
	{3, 	"g/l"},
	{5, 	"mg/l"}

	}
}



VARIABLE CHL1_Setting2  // Concentration unit toogle 40042
{
 LABEL 	"Conc. unit" 	"|de|Einheit der aktiven Konzentration";
 CLASS	DYNAMIC;
 TYPE	ENUMERATED (2)
 	{
         MIN_VALUE 0 ;
	 MAX_VALUE 5 ;

	{0,	"Auto ppb-ppm"   },
	{1,	"Auto g/l-mg/l" },
	{2, 	"Fixed ppb"  "|de|Fest auf ppb"},
	{4, 	"Fixed ppm"  "|de|Fest auf ppm"},
	{3, 	"Fixed g/l" "|de|Fest auf g/l"},
	{5, 	"Fixed mg/l" "|de|Fest auf mg/l"}


	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;



}



VARIABLE CHL1_Setting3  // Temperature unit toogle  40043 Temperature unit toogle (C-F)

{
 LABEL 	"Temperature unit" 	"|de|Einheit der Temperatur";
 CLASS	CONTAINED;
 TYPE	ENUMERATED (2)
 	{
                                 MIN_VALUE 0 ;
	 MAX_VALUE 1 ;

	{0,	"C"   },
	{1,	"F" }

	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
}



VARIABLE CHL1_Setting18

{
 LABEL 	"Select Param." 	"|de|Anwendung umschalten";
 CLASS	DYNAMIC;
 TYPE	ENUMERATED (2)

 	{
         MIN_VALUE 0 ;
	 MAX_VALUE 4 ;

	{0,	"Chlorine HOCl" "|de|Chlor HOCl"},
	{1,	"Chlorine+Acid" "|de|Chlor+Sure"},
	{2,	"T.F.C."},
	{3,	"Ozone" "|de|Ozon"},
	{4,	"Chlorine Diox." "|de|Chlordioxid"}
	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
}

VARIABLE CHL1_Setting19

{
 LABEL 	"Active Concentration unit" 	"|de|Aktive Konzentrationseinheit";
 CLASS	CONTAINED;
 TYPE	UNSIGNED_INTEGER(2)
 	{

	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
}

VARIABLE CHL1_Setting22

{
 LABEL 	"pH display format" 	"|de|pH Anzeigeformat";
	HELP 	"Only if <Select Param.> = <Chlorine +ACID> OR <T. F. C>";
 CLASS	CONTAINED;
 TYPE	ENUMERATED (2)
 	{
        MIN_VALUE 0 ;
	MAX_VALUE 1 ;

	{0,	"xx.xx" },
	{1,	"xx.x" }
	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
}

//-----------------Settings------Ende------------------------------

//-----------------Sensor Daten------Anfang------------------------------



VARIABLE CHL1_Setting10    //Manual pH 40056	Float
{
	LABEL 	"Manual pH" 	"|de|Manuelle pH";
	HELP 	"Only if <Select Param.> = <Chlorine +ACID> OR <T. F. C>";
	CLASS	CONTAINED;
	TYPE	FLOAT
		{
	DISPLAY_FORMAT 	".2f";
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"pH";
	VALIDITY IF (CHL1_Setting18 == 1) { TRUE; } ELSE { FALSE; }	

}

VARIABLE CHL1_Diag1    //pH Offset 40093	Float pH Calibration Offset
{
	LABEL 	"pH Calibration Offset" 	"|de|pH Kalibrierungsoffset";
	CLASS	DYNAMIC;
	TYPE	FLOAT
		{
	DISPLAY_FORMAT 	".2f";
		}
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"pH";

}

VARIABLE CHL1_Diag2    //pH Slope 40095	Float pH Calibration slope
{
	LABEL 	"pH Calibration slope" 	"|de|pH Kalibrierungssteilheit";
	CLASS	DYNAMIC;
	TYPE	FLOAT
		{
	DISPLAY_FORMAT 	".2f";
		}
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"%";

}

VARIABLE CHL1_Diag3    //Concentration Offset 40097	Float
{
	LABEL 	"Concentration Offset" 	"|de|Konzentrationsoffset";
	CLASS	DYNAMIC;
	TYPE	FLOAT
		{
	DISPLAY_FORMAT 	".2f";
		}
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;

	CONSTANT_UNIT 	"A";


}

VARIABLE CHL1_Diag4    //Concentration Slope 40099	Float
{
	LABEL 	"Concentration Slope" 	"|de|Konzentrationssteilheit";
	CLASS	DYNAMIC;
	TYPE	FLOAT
		{
	DISPLAY_FORMAT 	".2f";
		}
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;



}

VARIABLE CHL1_Diag5    //Calibration Return Status 40101	Integer
{
	LABEL 	"Calibration Return Status" 	"|de|Kalibrations Rckgabe Status";
	CLASS	DYNAMIC;
	TYPE	UNSIGNED_INTEGER (2)
		{

		}
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;


}

VARIABLE CHL1_Diag6    //Time from start up 40104	Integer  Time the system is running
{
	LABEL 	"Time from start up" 	"|de|Betriebszeit";
	CLASS	DYNAMIC;
	TYPE	UNSIGNED_INTEGER(2)
		{

		}
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
	CONSTANT_UNIT 	"days" "|de|Tage";


}

VARIABLE CHL1_Setting4  // Concentration slope unit 40044 Concentration offset unit (na-A)

{
 LABEL 	"Concentration slope unit" 	"|de|Einheit der Konzentration-Steigung";
 CLASS	CONTAINED;
 TYPE	ENUMERATED (2)

 	{
                                 MIN_VALUE 85 ;
	 MAX_VALUE 88 ;

	{85,	"nA/ppm"   },
	{86,	"A/ppm" },
	{87, 	"nA/mg"},
	{88, 	"A/mg"}

	}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
}

//---EDD2DTM Dummy Byte-----
 VARIABLE dummy_byte
{
	LABEL "dummy";
	TYPE ASCII(1);
	CLASS LOCAL;

}

//----------------------------------------------
//------UNIT-------------------------
//----------------------------------------------
UNIT Select_unit_CHL1_Measurement1		// dynymic unit relation
{

	CHL1_Setting2_intern:
	CHL1_Measurement1

}


UNIT Select_unit_CHL1_Measurement3		// dynymic unit relation
{
	CHL1_Setting3:
	CHL1_Measurement3,
	CHL1_Setting12
}

UNIT Select_unit_CHL1_Measurement11		// dynymic unit relation
{
	CHL1_Setting3:
	CHL1_Measurement11
}

UNIT Select_unit_CHL1_Setting8		// dynymic unit relation
{
	CHL1_Setting3:
	CHL1_Setting8
}

UNIT Select_unit_CHL1_Diag3 // dynymic unit relation
{
	CHL1_Setting4:
	CHL1_Diag4
}


/************************************************************************/
/*-----------------------COMMANDS---------------------------------------*/
/************************************************************************/
COMMAND read_CHL1_Float01

{
        SLOT CHL1_SLOTADR;
        INDEX 0;
        OPERATION READ;
        TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
          //CHL1_Measurement1, // Concentration Measurement Tag in mg/l (40001:1)
          IF ((CHL1_Setting2 == 0)|(CHL1_Setting2 == 2)) { CHL1_Measurement1_ppb, }
          IF ((CHL1_Setting2 == 1)|(CHL1_Setting2 == 3)) { CHL1_Measurement1_micgl, }
          IF (CHL1_Setting2 == 4) { CHL1_Measurement1_ppm, }
          IF (CHL1_Setting2 == 5) { CHL1_Measurement1_mgl, }


          CHL1_Measurement2, // pH Measurement Tag (40003:3)
          CHL1_Measurement3, // Temperature measurement (40005:5)
          CHL1_Measurement4, // Current measurement in A (40007:7)
          CHL1_Measurement5, // Concentration Measurement Tag in ppm (40009:9)
          CHL1_Measurement6, // Concentration Measurement Tag in ppb (40011:11)
          CHL1_Measurement7, // Concentration Measurement Tag in g/l (40013:13)
          CHL1_Measurement8, // Current measurement in nA (40015:15)
          CHL1_Measurement9, // Raw pH measurement (40017:17)
          CHL1_Measurement10, // Raw ORP measurement (40019:19)
          CHL1_Measurement11, // Raw Temperature measurement (40021:21)
          dummy_byte, dummy_byte, // Auto Ranging Tag in ppX (40023:23)
          dummy_byte, dummy_byte, // Auto Ranging Tag in xg/l (40024:24)
          dummy_byte, dummy_byte, // Auto Ranging redirection of nA-A units (40025:25)
          dummy_byte, dummy_byte, // Redirection tag for concentration ppm-mg/l units (40026:26)
          dummy_byte, dummy_byte, // Redirection tag for temperature unit (C-F) (40027:27)
          dummy_byte, dummy_byte, // Sensor Name[0] (40028:28)
          dummy_byte, dummy_byte, // Sensor Name[1] (40029:29)
          dummy_byte, dummy_byte, // Sensor Name[2] (40030:30)
          dummy_byte, dummy_byte, // Sensor Name[3] (40031:31)
          dummy_byte, dummy_byte, // Sensor Name[4] (40032:32)
          dummy_byte, dummy_byte, // Sensor Name[5] (40033:33)
          dummy_byte, dummy_byte, // Function code (40034:34)
          dummy_byte, dummy_byte, // Next Step (40035:35)
          dummy_byte, dummy_byte // Password (40036:36)

        }
    }
}

COMMAND read_CHL1_Float02

{
        SLOT CHL1_SLOTADR;
        INDEX 51;
        OPERATION READ;
        TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
          CHL1_Setting8, // Manual Temperature (40052:1)
          CHL1_Setting9, // Max ph in TFC application only (40054:3)
          CHL1_Setting10, // Manual pH (40056:5)
          dummy_byte, dummy_byte, // 50/60 Hz toogle (40058:7)
          dummy_byte, dummy_byte, // Internal use (40059:8)
          dummy_byte, dummy_byte, // Internal use (40060:9)
          dummy_byte, dummy_byte, // Internal use (40061:10)
          dummy_byte, dummy_byte, // Internal use (40062:11)
          dummy_byte, dummy_byte, // Internal use (40063:12)
          dummy_byte, dummy_byte, // Internal use (40064:13)
          dummy_byte, dummy_byte, // Internal use (40065:14)
          dummy_byte, dummy_byte, // Internal use (40066:15)
          dummy_byte, dummy_byte, // Internal use (40067:16)
          dummy_byte, dummy_byte, // Internal use (40067:16)
          dummy_byte, dummy_byte, // Internal use (40069:18)
          dummy_byte, dummy_byte, // Internal use (40069:18)
          dummy_byte, dummy_byte, // Internal use (40071:20)
          dummy_byte, dummy_byte, // Internal use (40071:20)
          dummy_byte, dummy_byte, // Temperature Offset (40073:22)
          dummy_byte, dummy_byte, // Temperature Offset (40073:22)
          dummy_byte, dummy_byte, // Internal use (40075:24)
          dummy_byte, dummy_byte, // Internal use (40076:25)
          dummy_byte, dummy_byte, // Internal use (40076:25)
          dummy_byte, dummy_byte, // Internal use (40078:27)
          dummy_byte, dummy_byte, // Internal use (40078:27)
          dummy_byte, dummy_byte, // Internal use (40080:29)
          dummy_byte, dummy_byte, // Internal use (40080:29)
          dummy_byte, dummy_byte, // Internal use (40082:31)
          dummy_byte, dummy_byte, // Internal use (40082:31)
          dummy_byte, dummy_byte, // Internal use (40084:33)
          dummy_byte, dummy_byte, // Software version (40085:34)
          dummy_byte, dummy_byte, // Software version (40085:34)
          dummy_byte, dummy_byte // Internal use (40087:36)

        }
    }
}

COMMAND read_CHL1_Float03

{
        SLOT CHL1_SLOTADR;
        INDEX 66;
        OPERATION READ;
        TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
          dummy_byte, dummy_byte, // Internal use (40067:1)
          dummy_byte, dummy_byte, // Internal use (40067:1)
          dummy_byte, dummy_byte, // Internal use (40069:3)
          dummy_byte, dummy_byte, // Internal use (40069:3)
          dummy_byte, dummy_byte, // Internal use (40071:5)
          dummy_byte, dummy_byte, // Internal use (40071:5)
          CHL1_Setting12, // Temperature Offset (40073:7)
          dummy_byte, dummy_byte, // Internal use (40075:9)
          dummy_byte, dummy_byte, // Internal use (40076:10)
          dummy_byte, dummy_byte, // Internal use (40076:10)
          dummy_byte, dummy_byte, // Internal use (40078:12)
          dummy_byte, dummy_byte, // Internal use (40078:12)
          dummy_byte, dummy_byte, // Internal use (40080:14)
          dummy_byte, dummy_byte, // Internal use (40080:14)
          dummy_byte, dummy_byte, // Internal use (40082:16)
          dummy_byte, dummy_byte, // Internal use (40082:16)
          dummy_byte, dummy_byte, // Internal use (40084:18)
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte, // Software version (40085:19)
          dummy_byte, dummy_byte, // Internal use (40087:21)
          dummy_byte, dummy_byte, // Internal use (40088:22)
          dummy_byte, dummy_byte, // Internal use (40089:23)
          dummy_byte, dummy_byte, // Internal use (40090:24)
          dummy_byte, dummy_byte, // Internal use (40091:25)
          dummy_byte, dummy_byte, // Internal use (40092:26)
          dummy_byte, dummy_byte, // pH Calibration Offset (40093:27)
          dummy_byte, dummy_byte, // pH Calibration Offset (40093:27)
          dummy_byte, dummy_byte, // pH Calibration slope (40095:29)
          dummy_byte, dummy_byte, // pH Calibration slope (40095:29)
          dummy_byte, dummy_byte, // Concentration Offset (40097:31)
          dummy_byte, dummy_byte, // Concentration Offset (40097:31)
          dummy_byte, dummy_byte, // Concentration Slope (40099:33)
          dummy_byte, dummy_byte, // Concentration Slope (40099:33)
          dummy_byte, dummy_byte, // Calibration Return Status (40101:35)
          dummy_byte, dummy_byte // Time between two calibrations (40102:36)

        }
    }
}

COMMAND read_CHL1_Float04

{
        SLOT CHL1_SLOTADR;
        INDEX 74;
        OPERATION READ;
        TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
          dummy_byte, dummy_byte, // Internal use (40075:1)
          dummy_byte, dummy_byte, // Internal use (40076:2)
          dummy_byte, dummy_byte, // Internal use (40076:2)
          dummy_byte, dummy_byte, // Internal use (40078:4)
          dummy_byte, dummy_byte, // Internal use (40078:4)
          dummy_byte, dummy_byte, // Internal use (40080:6)
          dummy_byte, dummy_byte, // Internal use (40080:6)
          dummy_byte, dummy_byte, // Internal use (40082:8)
          dummy_byte, dummy_byte, // Internal use (40082:8)
          dummy_byte, dummy_byte, // Internal use (40084:10)
          dummy_byte, dummy_byte, // Software version (40085:11)
          dummy_byte, dummy_byte, // Software version (40085:11)
          dummy_byte, dummy_byte, // Internal use (40087:13)
          dummy_byte, dummy_byte, // Internal use (40088:14)
          dummy_byte, dummy_byte, // Internal use (40089:15)
          dummy_byte, dummy_byte, // Internal use (40090:16)
          dummy_byte, dummy_byte, // Internal use (40091:17)
          dummy_byte, dummy_byte, // Internal use (40092:18)
          CHL1_Diag1, // pH Calibration Offset (40093:19)
          CHL1_Diag2, // pH Calibration slope (40095:21)
          CHL1_Diag3, // Concentration Offset (40097:23)
          CHL1_Diag4, // Concentration Slope (40099:25)
          dummy_byte, dummy_byte, // Calibration Return Status (40101:27)
          dummy_byte, dummy_byte, // Time between two calibrations (40102:28)
          dummy_byte, dummy_byte, // Concentration zero toogle (electrical-chemical) (40103:29)
          dummy_byte, dummy_byte, // Time the system is running (40104:30)
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte, // Driver version (40105:31)
          dummy_byte, dummy_byte, // Internal use (40107:33)
          dummy_byte, dummy_byte, // Internal use (40107:33)
          dummy_byte, dummy_byte, // Sensor Data logging interval (40109:35)
          dummy_byte, dummy_byte // Temperature logging interval (40110:36)

        }
    }
}

COMMAND read_CHL1_Var05

{
        SLOT CHL1_SLOTADR;
        INDEX 22;
        OPERATION READ;
        TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
          dummy_byte, dummy_byte, //22
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte, //35
          dummy_byte, dummy_byte, //36
          dummy_byte, dummy_byte, //37
          dummy_byte, dummy_byte, //38
          dummy_byte, dummy_byte, //38
          CHL1_Setting19,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,

        }
    }
}
COMMAND read_CHL1_Var04

{
        SLOT CHL1_SLOTADR;
        INDEX 22;
        OPERATION READ;
        TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
          dummy_byte, dummy_byte, //22
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte, //35
          dummy_byte, dummy_byte, //36
          dummy_byte, dummy_byte, //37
          dummy_byte, dummy_byte, //38
          CHL1_Setting18,         //39
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,

        }
    }
}

COMMAND read_CHL1_Var01

{
        SLOT CHL1_SLOTADR;
        INDEX 22;
        OPERATION READ;
        TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
          dummy_byte, dummy_byte, //22
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          CHL1_Setting1,          //27-32
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte, //35
          dummy_byte, dummy_byte, //36
          dummy_byte, dummy_byte, //37
          dummy_byte, dummy_byte, //38
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,//CHL1_Setting2,          //41
          dummy_byte, dummy_byte,          //42
          CHL1_Setting4,          //43
          CHL1_Setting5,          //44
          CHL1_Setting22,         //45
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          CHL1_Setting6,          //48
          CHL1_Setting20,         //49
          CHL1_Setting7           //50

        }
    }
}

COMMAND read_CHL1_Setting2

{
        SLOT CHL1_SLOTADR;
        INDEX 22;
        OPERATION READ;
        TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
          dummy_byte, dummy_byte, //22
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,//CHL1_Setting1,          //27-32
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte, //35
          dummy_byte, dummy_byte, //36
          dummy_byte, dummy_byte, //37
          dummy_byte, dummy_byte, //38
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          CHL1_Setting2,          //41
          dummy_byte, dummy_byte,          //42
          dummy_byte, dummy_byte,          //43
          dummy_byte, dummy_byte,          //44
          dummy_byte, dummy_byte,          //45
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,          //48
          dummy_byte, dummy_byte,          //49
          dummy_byte, dummy_byte           //50

        }
    }
}


COMMAND read_CHL1_Setting3

{
        SLOT CHL1_SLOTADR;
        INDEX 22;
        OPERATION READ;
        TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
          dummy_byte, dummy_byte, //22
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte, //CHL1_Setting1 27-32
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte, //35
          dummy_byte, dummy_byte, //36
          dummy_byte, dummy_byte, //37
          dummy_byte, dummy_byte, //38
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,          //41
          CHL1_Setting3,          //42
          dummy_byte, dummy_byte,          //43
          dummy_byte, dummy_byte,          //44
          dummy_byte, dummy_byte,         //45
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,
          dummy_byte, dummy_byte,          //48
          dummy_byte, dummy_byte,         //49
          dummy_byte, dummy_byte           //50

        }
    }
}

COMMAND read_CHL1_Var02

{
        SLOT CHL1_SLOTADR;
        INDEX 57;
        OPERATION READ;
        TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
          CHL1_Setting11 // 50/60 Hz toogle (40058:1)

        }
    }
}

COMMAND read_CHL1_Var03

{
        SLOT CHL1_SLOTADR;
        INDEX 74;
        OPERATION READ;
        TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
          dummy_byte, dummy_byte, // Driver version (40075:2)
          dummy_byte, dummy_byte, // Driver version (40076:1)
          dummy_byte, dummy_byte, // Driver version (40077:4)
          dummy_byte, dummy_byte, // Driver version (40078:3)
          dummy_byte, dummy_byte, // Driver version (40079:6)
          dummy_byte, dummy_byte, // Driver version (40080:5)
          dummy_byte, dummy_byte, // Driver version (40081:8)
          dummy_byte, dummy_byte, // Driver version (40082:7)
          dummy_byte, dummy_byte, // Driver version (40083:10)
          dummy_byte, dummy_byte, // Driver version (40084:9)

          dummy_byte, dummy_byte, // Driver version (40085:12)
          dummy_byte, dummy_byte, // Driver version (40086:11)
          dummy_byte, dummy_byte, // Driver version (40087:14)
          dummy_byte, dummy_byte, // Driver version (40088:13)
          dummy_byte, dummy_byte, // Driver version (40089:16)
          dummy_byte, dummy_byte, // Driver version (40090:15)
          dummy_byte, dummy_byte, // Driver version (40091:18)
          dummy_byte, dummy_byte, // Driver version (40092:17)
          dummy_byte, dummy_byte, // Driver version (40093:20)
          dummy_byte, dummy_byte, // Driver version (40094:19)

          dummy_byte, dummy_byte, // Driver version (40095:22)
          dummy_byte, dummy_byte, // Driver version (40096:21)
          dummy_byte, dummy_byte, // Driver version (40097:24)
          dummy_byte, dummy_byte, // Driver version (40098:23)
          dummy_byte, dummy_byte, // Driver version (40099:26)
          dummy_byte, dummy_byte, // Driver version (40100:25)
          CHL1_Diag5,             // Calibration Return Status (40101:27)                                  CHL1_Diag5
          CHL1_Setting14,         // Time between two calibrations (40102:28)                          CHL1_Setting14
          CHL1_Setting15,         // Concentration zero toogle (electrical-chemical) (40103:29)        CHL1_Setting15
          CHL1_Diag6             // Time the system is running (40104:30)                                 CHL1_Diag6
        }
    }
}
//------------------------------------------------------------


COMMAND write_CHL1_Setting1  // 40028	Integer
{
	SLOT CHL1_SLOTADR;
	INDEX 27;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
        CHL1_Setting1
        }
        REPLY
        {

        }
    }
}
//-----------------------------------------------------------------------------

COMMAND write_CHL1_Setting18  //40040 Integer
{
	SLOT CHL1_SLOTADR;
	INDEX 39;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
          CHL1_Setting18,      // 40040
          CHL1_Setting19,      // 40041
          CHL1_Setting2,       // 40042
          CHL1_Setting3,       // 40043
          CHL1_Setting4,       // 40044
          CHL1_Setting5,       // 40045
          CHL1_Setting22      // 40046
        }
        REPLY
        {

        }
    }
}

//-----------------------------------------------------------------------------

COMMAND write_CHL1_Setting6  // 40049 Integer
{
	SLOT CHL1_SLOTADR;
	INDEX 48;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
          CHL1_Setting6,     // 40049
          CHL1_Setting20,    // 40050
          CHL1_Setting7,     // 40051
          CHL1_Setting8      // 40052
        }
        REPLY
        {

        }
    }
}
//-----------------------------------------------------------------------------

COMMAND write_CHL1_Setting9  // 40054 Integer
{
	SLOT CHL1_SLOTADR;
	INDEX 53;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
          CHL1_Setting9      // 40054
        }
        REPLY
        {

        }
    }
}
//-----------------------------------------------------------------------------

COMMAND write_CHL1_Setting10  // 40056 Integer
{
	SLOT CHL1_SLOTADR;
	INDEX 55;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
  	  CHL1_Setting10      // 40056
        }
        REPLY
        {

        }
    }
}
//-----------------------------------------------------------------------------

COMMAND write_CHL1_Setting11  // 40058 Integer
{
	SLOT CHL1_SLOTADR;
	INDEX 57;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
          CHL1_Setting11     // 40058
        }
        REPLY
        {

        }
    }
}

//-----------------------------------------------------------------------------
COMMAND write_CHL1_Setting12   // 40073
{
	SLOT CHL1_SLOTADR;
	INDEX 72;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
        CHL1_Setting12
        }
        REPLY
        {

        }
    }
}

//-----------------------------------------------------------------------------
COMMAND write_CHL1_Setting14   // 40102
{
	SLOT CHL1_SLOTADR;
	INDEX 101;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
        CHL1_Setting14,         // 40102
        CHL1_Setting15,         // 40103
        0,0
        }
        REPLY
        {

        }
    }
}

