/*---------------------------------------------------------------------------*/
/*Copyright (C)	Hach-Lange (2009). All Rights Reserved.                      */
/*Product:	SIMATIC PDM  	                                             	 */
/*Device:	SC 200        	                                             	 */
/*Description:	Device Description	                                     	 */
/*Dictionary:	SIPADC01.dct	                                             */
/*$Revision:	1.0  $  	                                             	 */
/* SONDE: NH4D SC                                                            */
/*$Date:	Maerz 2010	                                             	 	 */
/*Author:	R.Stollenwerk Hach-Lange                                     	 */
/*---------------------------------------------------------------------------*/

//----DEF Variablen---------------------------------------------------------------------------


VARIABLE NH4D1_Meas_NH4_N
{
         LABEL "NH4-N" "|de|NH4-N";
         CLASS DYNAMIC;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}
UNIT UNIT_NH4D1_UNIT
{
	NH4D1_Unit:
	NH4D1_Meas_NH4_N,NH4D1_Meas_NH4,NH4D1_PotassMeas,NH4D1_PotassMeas,
	NH4D1_ConcNH4_N_2_in_use,NH4D1_ConcNH4_2_in_use,NH4D1_ConcNH4_2_mg_drift_in_use,
	NH4D1_ConcKPlus_2_in_use,NH4D1_ConcKPlus_2_mg_drift_in_use,NH4D1_AmmonmgDrift,
	NH4D1_PotassmgDrift,NH4D1_ConcNH4_1_in_use,NH4D1_ConcNH4_1_mg_drift_in_use,
	NH4D1_ConcKPlus_1_in_use,NH4D1_ConcKPlus_1_mg_drift_in_use,NH4D1_ConcNH4_N_1_in_use
}


VARIABLE NH4D1_Meas_NH4
{
         LABEL "NH4" "|de|NH4";
         CLASS DYNAMIC;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_PotassMeas
{
         LABEL "K+" "|de|K+";
         CLASS DYNAMIC;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}



VARIABLE NH4D1_TempDegC
{
         LABEL "Temp C" "|de|Temp C";
         CLASS DYNAMIC;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "C";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}



VARIABLE NH4D1_TempDegF
{
         LABEL "Temp F" "|de|Temp F";
         CLASS DYNAMIC;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "F";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_PotassComp
{
         LABEL "Potass compens" "|de|Kalium komp";
         CLASS CONTAINED;
         TYPE ENUMERATED (2)
              {
				{0, "Off"  "|de|Aus"},
				{1, "On"  "|de|An"}
              }
    HANDLING READ & WRITE;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_LogInterval
{
         LABEL "Datalog intrvall" "|de|Loggerintervall";
         CLASS CONTAINED;
         TYPE ENUMERATED (2)
              {
			      {0, "Disabled"  "|de|Deaktiviert"},
			      {1, "1 min"  "|de|1 min"},
				  {2, "2 min"  "|de|2 min"},
				  {3, "5 min"  "|de|5 min"},
				  {4, "10 min"  "|de|10 min"},
				  {5, "15 min"  "|de|15 min"},
				  {6, "30 min"  "|de|30 min"},
				  {7, "1 hour"  "|de|1 Stunde"},
				  {8, "2 hour"  "|de|2 Stunde"},
				  {9, "6 hour"  "|de|6 Stunde"}
              }
    HANDLING READ & WRITE;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ResponseInterval
{
         LABEL "Response time" "|de|Ansprechzeit";
         CLASS CONTAINED;
         TYPE UNSIGNED_INTEGER (2)
              {
              }
    HANDLING READ & WRITE;
	CONSTANT_UNIT "s";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_TempUnit
{
         LABEL "Temp" "|de|Temp";
         CLASS CONTAINED;
         TYPE ENUMERATED (2)
              {
			  {25, "C"  "|de|C"},
			  {26, "F"  "|de|F"}
              }
    HANDLING READ & WRITE;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}

//stParameter
//stParameterMesswert

VARIABLE NH4D1_Parameter
{
         LABEL "Set parameter" "|de|Parameter";
         CLASS CONTAINED;
         TYPE ENUMERATED (2)
              {
				  {49, "NO3-N"  "|de|NO3-N"},
				  {2, "NO3"  "|de|NO3"}
              }
    HANDLING READ & WRITE;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_Unit
{
         LABEL "Measerment units" "|de|Einheit Messwert";
         CLASS CONTAINED;
         TYPE ENUMERATED (2)
              {
				{0, "mg/l"  "|de|mg/l"},
				{2, "ppm"  "|de|ppm"}
              }
    HANDLING READ & WRITE;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_TempOffsetC
{
         LABEL "Temp correcture" "|de|Temperatur Korrektur";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ & WRITE;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
	CONSTANT_UNIT 	"C";
	VALIDITY  IF(NH4D1_TempUnit==25) {TRUE;} ELSE {FALSE;}
}


VARIABLE NH4D1_TempOffsetF
{
         LABEL "Temp correcture" "|de|Temperatur Korrektur";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ & WRITE;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
	CONSTANT_UNIT 	"F";
	VALIDITY  IF(NH4D1_TempUnit==26) {TRUE;} ELSE {FALSE;}
}


VARIABLE NH4D1_Location
{
         LABEL "Sensor name" "|de|Name Sensor";
         CLASS CONTAINED;
         TYPE ASCII (16)
              {
              }
    HANDLING READ & WRITE;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CalType
{
         LABEL "Calibration config" "|de|Konfiguration d. Kalibrierung";
         CLASS CONTAINED;
         TYPE ENUMERATED (2)
              {
				{0, "SENSOR CODE"  "|de|SENSOR CODE"},
				{1, "MATX1"  "|de|MATX1"},
				{2, "MATX1 K+"  "|de|MATX1 K+"},
				{3, "MATX2"  "|de|MATX2"},
				{4, "MATX2 K+"  "|de|MATX2 K+"},
				{5, "VALUE CORR."  "|de|WERTEKORREKTUR"},
				{6, "PREVIOUS CAL"  "|de|VORHERIGE KAL."},
				{7, "FACTORY CAL"  "|de|FACTORY CAL"}
              }
    HANDLING READ & WRITE;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_SensorCode
{
         LABEL "Sensor code" "|de|Sensor Code";
         CLASS CONTAINED;
         TYPE ASCII (16)
              {
              }
    HANDLING READ & WRITE;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CounterSC
{
         LABEL "Sensor code counter" "|de|Sensor Code Zhler";
         CLASS CONTAINED;
         TYPE UNSIGNED_INTEGER (2)
              {
              }
    HANDLING READ;
	CONSTANT_UNIT "day";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CounterCal
{
         LABEL "Last calibration days" "|de|Tage d. letzten Kalibrierung";
         CLASS CONTAINED;
         TYPE UNSIGNED_INTEGER (2)
              {
              }
    HANDLING READ;
	CONSTANT_UNIT "day";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_SerialNumber
{
         LABEL "Serial number" "|de|Serien Nummer";
         CLASS CONTAINED;
         TYPE ASCII (12)
              {
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_VersionAppl
{
         LABEL "Application version" "|de|Applikations Version";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_VersionBoot
{
         LABEL "Bootloader Version" "|de|Bootlader Version";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_VersionStruct
{
         LABEL "Version structur" "|de|Version Struktur";
         CLASS CONTAINED;
		 TYPE UNSIGNED_INTEGER (2)
              {
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_VersionContent
{
         LABEL "Software version" "|de|Software Version";
         CLASS CONTAINED;
         TYPE UNSIGNED_INTEGER (2)
              {
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_VersionFirmware
{
         LABEL "Version firmware" "|de|Version Firmware";
         CLASS CONTAINED;
         TYPE UNSIGNED_INTEGER (2)
              {
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CalDateSC
{
         LABEL "Cal. Date" "|de|Kalib. Datum";
         CLASS CONTAINED;
         TYPE UNSIGNED_INTEGER (4)
              {
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
POST_READ_ACTIONS
{
METHODE_SEC_DATE(NH4D1_CalDateSC,AUSW_NH4D1_CalDateSC)
}
}


VARIABLE NH4D1_CalDate1
{
         LABEL "Cal. 1 Date" "|de|Kalib. 1 Datum";
         CLASS CONTAINED;
		 TYPE UNSIGNED_INTEGER (4)
              {
              }
	HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
POST_READ_ACTIONS
{
METHODE_SEC_DATE(NH4D1_CalDate1,AUSW_NH4D1_CalDate1)
}	
}


VARIABLE NH4D1_CalDate2
{
         LABEL "Cal. 2 Date" "|de|Kalib. 2 Datum";
         CLASS CONTAINED;
         TYPE UNSIGNED_INTEGER (4)
              {
              }
	HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
POST_READ_ACTIONS
{
METHODE_SEC_DATE(NH4D1_CalDate2,AUSW_NH4D1_CalDate2)
}	
}

//---------------------------

VARIABLE NH4D1_ConcNH4_N_1_in_use
{
         LABEL "Set NO3-N CONC" "|de|Eingabe NO3-N ";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
	HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcNH4_1_in_use
{
         LABEL "Set NH4" "|de|Eingabe NH4";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
	HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcNH4_1_mV_in_use
{
         LABEL "Set NH4 (mV)" "|de|Eingabe NH4 (mV)";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
	HANDLING READ;
	CONSTANT_UNIT "mV";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcNH4_1_mg_drift_in_use
{
         LABEL "ConcNH4 1 mg drift in use" "|de|Benutzte ConcNH4 1 mg drift";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
	HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcKPlus_1_in_use
{
         LABEL "Set K+ CONC" "|de|Eingabe K+ CONC";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
	HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcKPlus_1_mV_in_use
{
         LABEL "Set K+ CONC (mV)" "|de|Eingabe K+ CONC (mV)";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
	HANDLING READ;
	CONSTANT_UNIT "mV";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcKPlus_1_mg_drift_in_use
{
         LABEL "ConcKPlus 1 mg drift in use" "|de|Benutzte ConcKPlus 1 mg drift";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
	HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CalTemp_1_in_use
{
         LABEL "Cal. Temp 1 in use" "|de|Benutzte Kalib. Temp 1";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "C";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CalDate2_in_use
{
         LABEL "Cal. Date 2 in use" "|de|Benutzte Kalib. Datum 2";
         CLASS CONTAINED;
         TYPE UNSIGNED_INTEGER (4)
              {
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
POST_READ_ACTIONS
{
METHODE_SEC_DATE(NH4D1_CalDate2_in_use,AUSW_NH4D1_CalDate2_in_use)
}	
}


VARIABLE NH4D1_ConcNH4_N_2_in_use
{
         LABEL "Set NH4-N CONC" "|de|Eingabe NH4-N CONC";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcNH4_2_in_use
{
         LABEL "Set NH4" "|de|Eingabe NH4";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcNH4_2_mV_in_use
{
         LABEL "Set NH4 (mV)" "|de|Eingabe NH4 (mV)";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "mV";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcNH4_2_mg_drift_in_use
{
         LABEL "Conc NH4 2 mg drift in use" "|de|Benutzte Conc NH4 2 mg Drift";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcKPlus_2_in_use
{
         LABEL "Set K+ CONC" "|de|Eingabe K+";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcKPlus_2_mV_in_use
{
         LABEL "Set K+ CONC (mV)" "|de|Eingabe K+ CONC (mV)";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "mV";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_ConcKPlus_2_mg_drift_in_use
{
         LABEL "Conc KPlus 2 mg drift in use" "|de|Benutzte Conc KPlus 2 mg drift";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CalTemp_2_in_use
{
         LABEL "Cal. Temp. 2 in use" "|de|Benutzte Kalib. Temp. 2";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "C";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CalAmmonOffset_in_use
{
         LABEL "Ammonium Offset by" "|de|Ammonium Offset";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CalAmmonSlope_in_use
{
         LABEL "Ammonium Slope" "|de| Ammonium Steilheit";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CalPotassOffset_in_use
{
         LABEL "Potassium Offset by" "|de|Kalium Offset";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CalPotassSlope_in_use
{
         LABEL "Potassium Slope" "|de|Kalium Steilheit";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}

//---------------------------

VARIABLE NH4D1_AmmonmV
{
         LABEL "NH4 signal mV" "|de|NH4 Signal mV";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "mV";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_AmmonMeasmV
{
         LABEL "Meas mV" "|de|Messwert mV";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "mV";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_AmmonmgDrift
{
         LABEL "Drift" "|de|Drift";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}

//---------------------------

VARIABLE NH4D1_AmmonmVNoise
{
         LABEL "Noise" "|de|Rauschen";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "mV";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_PotassmV
{
         LABEL "Signal K+ mV" "|de|Signal K+ mV";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "mV";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_PotassMeasmV
{
         LABEL "Measurment mV" "|de|Messwert mV";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "mV";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_PotassmgDrift
{
         LABEL "Drift" "|de|Drift";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}

//---------------------------

VARIABLE NH4D1_PotassmVNoise
{
         LABEL "Noise mV" "|de|Rauschen mV";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "mV";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_pHDmV
{
         LABEL "pHD REF. mV" "|de|pHD REF. mV";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	CONSTANT_UNIT "mV";
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CalAmmoneBlancConc
{
         LABEL "Ammonium blank" "|de|Ammonium Blindwert";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}


VARIABLE NH4D1_CalPotassBlancConc
{
         LABEL "Potassium blank" "|de|Kalium Blindwert";
         CLASS CONTAINED;
         TYPE FLOAT
              {
	          DISPLAY_FORMAT 	".2f";
              }
    HANDLING READ;
	READ_TIMEOUT READ_TIMEOUT_VAL;
	WRITE_TIMEOUT WRITE_TIMEOUT_VAL;
}

//----DEF Variablen--ENDE---------------------------------------------------------------------

//----DEF Menu Groups----
//-----------------Menu--Group----Ende------------------------------




//-----------------------------------------------------------------------------
//----DEF COMMAND read---


COMMAND read_NH4D1_Data1
{
	SLOT NH4D1_SLOTADR;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
			NH4D1_Meas_NH4_N,
			NH4D1_Meas_NH4,
			NH4D1_PotassMeas,
			NH4D1_TempDegC,
			NH4D1_TempDegF,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			NH4D1_PotassComp,
			NH4D1_LogInterval,
			NH4D1_ResponseInterval,
			NH4D1_TempUnit,
			NH4D1_Parameter,
			NH4D1_Unit,
			NH4D1_TempOffsetC,
			NH4D1_TempOffsetF,
			dummy_byte,dummy_byte,
			NH4D1_Location,
			NH4D1_CalType,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte
       }
    }
}


COMMAND read_NH4D1_Data2
{
	SLOT NH4D1_SLOTADR;
	INDEX 32;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
			NH4D1_SensorCode,
			NH4D1_CounterSC,
			NH4D1_CounterCal,
			NH4D1_SerialNumber,
			NH4D1_VersionAppl,
			NH4D1_VersionBoot,
			NH4D1_VersionStruct,
			NH4D1_VersionContent,
			NH4D1_VersionFirmware,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte
       }
    }
}


COMMAND read_NH4D1_Data3
{
	SLOT NH4D1_SLOTADR;
	INDEX 67;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
			NH4D1_CalDateSC,
			NH4D1_CalDate1,
			NH4D1_CalDate2,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			NH4D1_ConcNH4_N_1_in_use,
			NH4D1_ConcNH4_1_in_use,
			NH4D1_ConcNH4_1_mV_in_use,
			NH4D1_ConcNH4_1_mg_drift_in_use,
			NH4D1_ConcKPlus_1_in_use,
			NH4D1_ConcKPlus_1_mV_in_use,
			NH4D1_ConcKPlus_1_mg_drift_in_use,
			NH4D1_CalTemp_1_in_use,
			NH4D1_CalDate2_in_use,
			NH4D1_ConcNH4_N_2_in_use,
			NH4D1_ConcNH4_2_in_use,
			NH4D1_ConcNH4_2_mV_in_use,
			NH4D1_ConcNH4_2_mg_drift_in_use,
			dummy_byte,dummy_byte
      }
    }
}


COMMAND read_NH4D1_Data4
{
	SLOT NH4D1_SLOTADR;
	INDEX 102;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
			NH4D1_ConcKPlus_2_in_use,
			NH4D1_ConcKPlus_2_mV_in_use,
			NH4D1_ConcKPlus_2_mg_drift_in_use,
			NH4D1_CalTemp_2_in_use,
			NH4D1_CalAmmonOffset_in_use,
			NH4D1_CalAmmonSlope_in_use,
			NH4D1_CalPotassOffset_in_use,
			NH4D1_CalPotassSlope_in_use,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			NH4D1_AmmonmV,
			NH4D1_AmmonMeasmV,
			NH4D1_AmmonmgDrift,
			NH4D1_AmmonmVNoise
      }
    }
}


COMMAND read_NH4D1_Data5
{
	SLOT NH4D1_SLOTADR;
	INDEX 138;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
			NH4D1_PotassmV,
			NH4D1_PotassMeasmV,
			NH4D1_PotassmgDrift,
			NH4D1_PotassmVNoise,
			NH4D1_pHDmV,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			NH4D1_CalAmmoneBlancConc,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			NH4D1_CalPotassBlancConc,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte,
			dummy_byte,dummy_byte
      }
    }
}

 

//----DEF Command write----


COMMAND write_NH4D1_PotassComp
{
	SLOT NH4D1_SLOTADR;
	INDEX 12;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
		  NH4D1_PotassComp
		 }
		 REPLY
		 {
		 }
	}
}


COMMAND write_NH4D1_LogInterval
{
	SLOT NH4D1_SLOTADR;
	INDEX 13;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
		  NH4D1_LogInterval
		 }
		 REPLY
		 {
		 }
	}
}


COMMAND write_NH4D1_ResponseInterval
{
	SLOT NH4D1_SLOTADR;
	INDEX 14;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
		  NH4D1_ResponseInterval
		 }
		 REPLY
		 {
		 }
	}
}


COMMAND write_NH4D1_TempUnit
{
	SLOT NH4D1_SLOTADR;
	INDEX 15;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
		  NH4D1_TempUnit
		 }
		 REPLY
		 {
		 }
	}
}


COMMAND write_NH4D1_Parameter
{
	SLOT NH4D1_SLOTADR;
	INDEX 16;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
		  NH4D1_Parameter
		 }
		 REPLY
		 {
		 }
	}
}



COMMAND write_NH4D1_Unit
{
	SLOT NH4D1_SLOTADR;
	INDEX 17;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
		  NH4D1_Unit
		 }
		 REPLY
		 {
		 }
	}
}


COMMAND write_NH4D1_TempOffsetC
{
	SLOT NH4D1_SLOTADR;
	INDEX 18;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
		  NH4D1_TempOffsetC
		 }
		 REPLY
		 {
		 }
	}
}


COMMAND write_NH4D1_TempOffsetF
{
	SLOT NH4D1_SLOTADR;
	INDEX 20;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
		  NH4D1_TempOffsetF
		 }
		 REPLY
		 {
		 }
	}
}


COMMAND write_NH4D1_Location
{
	SLOT NH4D1_SLOTADR;
	INDEX 23;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
		  NH4D1_Location
		 }
		 REPLY
		 {
		 }
	}
}


COMMAND write_NH4D1_CalType
{
	SLOT NH4D1_SLOTADR;
	INDEX 31;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
		  NH4D1_CalType
		 }
		 REPLY
		 {
		 }
	}
}


COMMAND write_NH4D1_SensorCode
{
	SLOT NH4D1_SLOTADR;
	INDEX 32;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
		  NH4D1_SensorCode
		 }
		 REPLY
		 {
		 }
	}
}

//------------------------------------------------------------
MENU Group_NH4D1_CAL1
{
	LABEL "";
	STYLE GROUP;
	ITEMS
	{
		NH4D1_CalDateSC (HIDDEN),
		Datum_strg_NH4D1_CalDateSC (READ_ONLY),
	    COLUMNBREAK,
		NH4D1_CalDate1 (HIDDEN),
		Datum_strg_NH4D1_CalDate1 (READ_ONLY),
		ROWBREAK,
        COLUMNBREAK,
		ROWBREAK,
		NH4D1_ConcNH4_1_in_use,
		COLUMNBREAK,
		NH4D1_ConcNH4_1_mV_in_use,
		ROWBREAK,
		NH4D1_ConcNH4_1_mg_drift_in_use,
		COLUMNBREAK,
		ROWBREAK,
        COLUMNBREAK,
		ROWBREAK,
		NH4D1_ConcKPlus_1_in_use,
		COLUMNBREAK,
		NH4D1_ConcKPlus_1_mV_in_use,
		ROWBREAK,
		NH4D1_ConcKPlus_1_mg_drift_in_use,
		COLUMNBREAK,
		ROWBREAK,
		COLUMNBREAK,
		ROWBREAK,
		NH4D1_CalTemp_1_in_use,
		NH4D1_ConcNH4_N_1_in_use,
		ROWBREAK
   }
}

MENU Group_NH4D1_CAL2
{
	LABEL "";
	STYLE GROUP;
	ITEMS
	{
		NH4D1_CalDate2 (HIDDEN),
		Datum_strg_NH4D1_CalDate2(READ_ONLY),
		COLUMNBREAK,
		NH4D1_CalDate2_in_use (HIDDEN),
		Datum_strg_NH4D1_CalDate2_in_use (READ_ONLY),
		ROWBREAK,
        COLUMNBREAK,
		ROWBREAK,
		NH4D1_ConcNH4_2_in_use,
		COLUMNBREAK,
		NH4D1_ConcNH4_2_mV_in_use,
		ROWBREAK,
		NH4D1_ConcNH4_2_mg_drift_in_use,
		COLUMNBREAK,
		ROWBREAK,
        COLUMNBREAK,
		ROWBREAK,
		NH4D1_ConcKPlus_2_in_use,
		COLUMNBREAK,
		NH4D1_ConcKPlus_2_mV_in_use,
		ROWBREAK,
		NH4D1_ConcKPlus_2_mg_drift_in_use,
		COLUMNBREAK,
		ROWBREAK,
        COLUMNBREAK,
		ROWBREAK,
		NH4D1_CalTemp_2_in_use,
		COLUMNBREAK,
		NH4D1_ConcNH4_N_2_in_use,
		ROWBREAK
   }
}


MENU Group_NH4D1_POTASS
{
	LABEL   "Potassium" "|de|Kalium"	;
	STYLE GROUP;
	ITEMS
	{
	   NH4D1_PotassMeas,
	   COLUMNBREAK,
	   NH4D1_PotassmgDrift,
	   ROWBREAK,
	   NH4D1_PotassmV,
	   COLUMNBREAK,
	   NH4D1_PotassMeasmV,
	   ROWBREAK,
	   NH4D1_pHDmV,
	   COLUMNBREAK,
	   NH4D1_PotassmVNoise,
	   ROWBREAK
   }
}

MENU Group_NH4D1_TEMP
{
	LABEL   "Temperature" "|de|Temperatur"	;
	STYLE GROUP;
	ITEMS
	{
     NH4D1_TempDegC,
	 COLUMNBREAK,
	 NH4D1_TempDegF,
	 ROWBREAK
   }
}



MENU Group_NH4D1_AMMONIUM
{
	LABEL   "Ammonium" "|de|Ammonium";
	STYLE GROUP;
	ITEMS
	{
	   NH4D1_Meas_NH4_N,
	   COLUMNBREAK,
	   NH4D1_Meas_NH4,
	   ROWBREAK,
	   NH4D1_AmmonmgDrift,
	   COLUMNBREAK,
	   NH4D1_AmmonmV,
	   ROWBREAK,
	   NH4D1_AmmonMeasmV,
	   COLUMNBREAK,
	   NH4D1_pHDmV,
	   ROWBREAK,
	   NH4D1_AmmonmVNoise,
	   COLUMNBREAK,
	   ROWBREAK
   }
}



MENU Group_NH4D1_SLOPE
{
	LABEL   "Slope" "|de|Steigung"	;
	STYLE GROUP;
	ITEMS
	{
	NH4D1_CalAmmonSlope_in_use,
	COLUMNBREAK,
	NH4D1_CalPotassSlope_in_use,
	ROWBREAK
   }
}

MENU Group_NH4D1_OFFSET
{
	LABEL   "Offset" "|de|Offset"	;
	STYLE GROUP;
	ITEMS
	{
	NH4D1_CalAmmonOffset_in_use,
	COLUMNBREAK,
	NH4D1_CalPotassOffset_in_use,
	ROWBREAK
   }
}

MENU Group_NH4D1_BLANK
{
	LABEL   "Blank" "|de|Blindwert"	;
	STYLE GROUP;
	ITEMS
	{
	NH4D1_CalAmmoneBlancConc,
	COLUMNBREAK,
	NH4D1_CalPotassBlancConc,
	ROWBREAK
   }
}
//------------------------------------------------------------

MENU Tab_Tab_NH4D1_Diag_ProbeInfo
{
	LABEL   "Diagnostics: Probe Info" 		"|de|Diagnose: Probe Info";
	ITEMS
	{
		NH4D1_SerialNumber (READ_ONLY),
		COLUMNBREAK,
		NH4D1_CounterCal,
		ROWBREAK,
		NH4D1_VersionAppl,
		COLUMNBREAK,
		NH4D1_VersionBoot,
		ROWBREAK,
		NH4D1_VersionStruct,
		COLUMNBREAK,
		NH4D1_VersionContent,
		ROWBREAK,
		NH4D1_VersionFirmware,
		COLUMNBREAK,
		ROWBREAK,
	}

}


MENU Tab_Tab_NH4D1_Diag_Calibration
{
	LABEL   "Diagnostics: Calibration" 		"|de|Diagnose: Kalibrierung";
	ITEMS
	{
	    NH4D1_CalType (READ_ONLY),
	    ROWBREAK,
	    Group_NH4D1_CAL1,
	    Group_NH4D1_CAL2,
	    Group_NH4D1_SLOPE,
		Group_NH4D1_OFFSET,
		Group_NH4D1_BLANK,
		NH4D1_CounterCal,
		ROWBREAK
	}
}



