/*--------------------------------------------------------------*/
/*Copyright (C)	Hach-Lange (2010). All Rights Reserved.    	    */
/*Product:	SIMATIC PDM  	           			                */
/*Device:	SC200 NH4D     	           	                        */
/*Description:	Device Description	           		            */
/*Dictionary:	SIPADC01.dct	           			            */
/*$Revision:	1.0 $  	           			                    */
/*$Date:	Maerz 2010	           			                    */
/*File:		SC200_NH4D.ddl      			                    */
/*Author:	R.Stollenwerk  Hach-Lange	       	    			*/
/*                                                    	        */
/*--------------------------------------------------------------*/

MANUFACTURER	213,
DEVICE_TYPE	    1,
DEVICE_REVISION 1,
DD_REVISION     0

#define DEVICE_TITLE	"SC200 NH4D"

#define NH4D1_SLOTADR 21

#define READ_TIMEOUT_VAL 0
#define WRITE_TIMEOUT_VAL 0

#define AUSW_NH4D1_CalDateSC 1
#define AUSW_NH4D1_CalDate1 2
#define AUSW_NH4D1_CalDate2 3
#define AUSW_NH4D1_CalDate2_in_use 4

//--Dynamische Anzeige fuer Setting Menu ausschalten und fuer des Output Menu einschalten----
VARIABLE dyn_aus
{
	LABEL 	"dyn_aus";
	CLASS	LOCAL;
	TYPE	UNSIGNED_INTEGER (2)
		{
		
		}
}

//---Dummy Byte-----
 VARIABLE dummy_byte
{
	LABEL "dummy";
	TYPE ASCII(1);
	CLASS LOCAL;
}



#include	"NH4D.inc"	// first device
/************************************************************************/
/*      Methoden                                                        */
/************************************************************************/
METHOD METHOD_WOX1
{
	LABEL "Without1 0x";
	DEFINITION
	{
	DD_STRING Serial_str1,Serial_str2,Serial_str3;
	unsigned int zw;
	unsigned int s1,s2,s3,s4;

        zw=Serial1;
        s1=zw>>12;
        zw=zw-(s1<<12);
        s2=zw>>8;
        zw=zw-(s2<<8);
        s3=zw>>4;
        zw=zw-(s3<<4);
        s4=zw;
	Serial_str1=itoa(s1)+itoa(s2)+itoa(s3)+itoa(s4);

        zw=Serial2;
        s1=zw>>12;
        zw=zw-(s1<<12);
        s2=zw>>8;
        zw=zw-(s2<<8);
        s3=zw>>4;
        zw=zw-(s3<<4);
        s4=zw;
        Serial_str2=itoa(s1)+itoa(s2)+itoa(s3)+itoa(s4);

        zw=Serial3;
        s1=zw>>12;
        zw=zw-(s1<<12);
        s2=zw>>8;
        zw=zw-(s2<<8);
        s3=zw>>4;
        zw=zw-(s3<<4);
        s4=zw;
        Serial_str3=itoa(s1)+itoa(s2)+itoa(s3)+itoa(s4);

        Serial1_WOX= Serial_str1+Serial_str2+Serial_str3;

	}

}


METHOD METHODE_SEC_DATE(unsigned long Sekunden, unsigned int zuweisung)
{
	LABEL "METHODE_SEC_DATE";
	DEFINITION
	{
		 int Tage;
		 int Jahre_4;
		 int yday;
		 unsigned char SchaltJahr,i;
		 unsigned char MonthDays[12];
		 unsigned int datum_year,datum_month,datum_day;
         unsigned int datum_hour,datum_min;
		 unsigned int sek_h,sek_l;
		 unsigned long l_div_quot;
		 unsigned long l_div_rem;
		 MonthDays[0]=31;
		 MonthDays[1]=28;
		 MonthDays[2]=31;
		 MonthDays[3]=30;
		 MonthDays[4]=31;
		 MonthDays[5]=30;
		 MonthDays[6]=31;
		 MonthDays[7]=31;
		 MonthDays[8]=30;
		 MonthDays[9]=31;
		 MonthDays[10]=30;
		 MonthDays[11]=31;
  
		 sek_l=0x0000ffff & Sekunden;
		 sek_h=(0xffff0000 & Sekunden)>>16;
		 Sekunden= (sek_l<<16)+sek_h; 
		 
		 l_div_quot=Sekunden / 86400;                     //  = Tage seit 1.1.2000 (24*60*60)
		 datum_min= (unsigned int)((long)(Sekunden % 86400)/60); //kleiner als 1 Tag in Minuten
		 Tage=l_div_quot+1;

		 Jahre_4    = (Tage / 1461);	                 //  Jahre im Viererblock, 1461 Tage je 4Jahre (3 x 365 + 366)
		 yday       = (Tage % 1461);                     //  Resttage im Viererblock

		 datum_year = 2000+Jahre_4*4;                    // 1.1.200 plus 4er Jahre
		 SchaltJahr = 1;
		 if (yday > 366)			         //  wenn mehr als 366 Tage vergangen ist Schaltjahr durch
		  {datum_year++; yday -= 366; SchaltJahr = 0;}     //  Jahreszhler + 1
		 if (yday > 365)			         //  wenn mehr als 731 Tage verg.
		  {datum_year++; yday -= 365;}		         //  Jahreszhler + 1
		 if (yday > 365)		                 //  wenn mehr als 1096 Tage vergangen
		  {datum_year++; yday -= 365;}       		 //  Jahresz. +1,
		 if (SchaltJahr == 1) MonthDays[1]=29;           //  Schaltjahr hat Februar 29 Tage

		 i=0;
		 while(yday > MonthDays[i])
		 {
		  yday -= MonthDays[i];		                 //   Tage dieses Monats abziehen
		  i++;
		 }
		 datum_month = i+1;				 //   Monat
		 datum_day   = yday;			 //   Tag	
		 
		 datum_hour= datum_min / 60;
		 datum_min = datum_min % 60; 
		 		 
		 s1=itoa(datum_year)+"."+itoa(datum_month)+"."+itoa(datum_day)+"/"+itoa(datum_hour)+":"+itoa(datum_min);
		 
		 switch(zuweisung)
		 {
			case AUSW_NH4D1_CalDateSC: Datum_strg_NH4D1_CalDateSC=s1;break;
			case AUSW_NH4D1_CalDate1: Datum_strg_NH4D1_CalDate1=s1;break;
			case AUSW_NH4D1_CalDate2: Datum_strg_NH4D1_CalDate2=s1;break;
			case AUSW_NH4D1_CalDate2_in_use: Datum_strg_NH4D1_CalDate2_in_use=s1;break;
		}
	}
}


/************************************************************************/
/*---------------------Variablen----------------------------------------*/
/************************************************************************/
//--Lokale Seriennummer ohne 0x--
VARIABLE Serial1_WOX
{
	LABEL 	"Serial Number" 	"|de|Seriennummer";
	TYPE	ASCII (16)
		{
		DEFAULT_VALUE "0000000000000000";
		}

	CLASS LOCAL;

}
VARIABLE VendorName
{
	LABEL 	"Vendor Name""|de|Geraetehersteller";
	CLASS	CONTAINED;
	TYPE	ASCII (12)
		{
			DEFAULT_VALUE "Hach-Lange";
		}
	HANDLING	READ;
}

VARIABLE ModelName
{
	LABEL 	"Fieldbus type" "|de|Feldbustyp";
	CLASS	CONTAINED;
	TYPE	ASCII (14)
		{
			DEFAULT_VALUE "DP/V1";
		}
	HANDLING	READ;
}

VARIABLE ModelNummer
{
	LABEL 	"Model Number""|de|Model Nummer";
	CLASS	CONTAINED;
	TYPE	ASCII (15)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
}
VARIABLE Serial1
{
	LABEL 	"Serial No 1" 	"|de|Seriennummer 1";
	CLASS	CONTAINED;
	TYPE	UNSIGNED_INTEGER (2)
		{

		}
	HANDLING	READ;

}

VARIABLE Serial2
{
	LABEL 	"Serial No 2" 	"|de|Seriennummer 2";
	CLASS	CONTAINED;
	TYPE	UNSIGNED_INTEGER (2)
		{

		}
	HANDLING	READ;

}

VARIABLE Serial3
{
	LABEL 	"Serial No 3" 	"|de|Seriennummer 3";
	CLASS	CONTAINED;
	TYPE	UNSIGNED_INTEGER (2)
		{

		}
	HANDLING	READ;
        POST_READ_ACTIONS
          {
            METHOD_WOX1

          }
  }

VARIABLE ManufactID1
{
	LABEL 	"Manufacturer ID" 	"|de|Herstellerkennung";
	CLASS	CONTAINED;
	TYPE	UNSIGNED_INTEGER (2)
		{

		}
	HANDLING	READ;
	READ_TIMEOUT 	READ_TIMEOUT_VAL;
	WRITE_TIMEOUT 	WRITE_TIMEOUT_VAL;
}

VARIABLE DeviceID1
{
	LABEL 	"Device ID" 	"|de|Geraetekennung";
	CLASS	CONTAINED;
	TYPE	ENUMERATED (2)
		{

			{10,			"3798 Cond"		},
			{12,			"LDO"			},
			{13,			"1720E"			},
			{17,			"pHD SC"		},
			{18,			"5740 DO"		},
			{19,			"34xx Cont. Cond."	},
			{20,			"37xx Ind. Cond."	},
			{21,			"pH SC"				},
			{26,   			"Surface Scatter 7" },
			{39,   			"SC200"   			},  
			{101,			"ULTRATURB SC"		},
			{102,			"Nitratax eco"  	},
			{103,			"Nitratax plus"		},
			{104,			"Solitax SC"    	},
			{105,			"Nitratax clear"	},
			{106,			"UVAS plus"     	},
			{107,			"S::CAN CARBO::LYZER"	},
			{108,			"S::CAN NITRO::LYZER"   },
			{109,			"PHOSPHAX SC"     	},
			{110,			"AMTAX SC"     	 	},
			{112,			"NH4D SC"     		},
			{113,			"SONATAX SC"     	},
			{114,			"PHOSPHAX SC"     	},
			{120,   		"NO3D SC"           }


		}
	HANDLING	READ;
}

VARIABLE Length1
{
	LABEL 	"Length Member table" 	"|de|Lnge Teilnehmertabelle";
	CLASS	CONTAINED;
	TYPE	UNSIGNED_INTEGER (2)
		{

		}
	HANDLING	READ;
}

VARIABLE Status1
{
	LABEL 	"Status";
	STYLE "MULTILINE 22 17";
	CLASS	DYNAMIC;
	TYPE	BIT_ENUMERATED (2)
	{

		{0,   	"OK"						"|de|OK"	 		 },
		{1,   	"Calibration start / in progress"		"|de|Kalibrierung aktiv"	 },
		{2,   	"Cleaning start / in progress"			"|de|Reinigungszyklus aktiv"	 },
		{4,   	"Enter(d) Service/Maintenance menu"		"|de|Betriebsart Service"	 },
		{8,   	"Common Error"					"|de|Sammelstrung"		 },
		{16,   	"Measurement 0 Quality Bad"			"|de|Messung 0 Qualittsfehler"	 },
		{32,   	"Measurement 0 low limit"			"|de|Messung 0 unterer Grenzwert"},
		{64,    "Measurement 0 high limit"			"|de|Messung 0 oberer Grenzwert" },
		{128,   "Measurement 1 Quality Bad"			"|de|Messung 1 Qualittsfehler"	 },
		{256,   "Measurement 1 low limit"			"|de|Messung 1 unterer Grenzwert"},
		{512,   "Measurement 1 high limit"			"|de|Messung 1 oberer Grenzwert" },
		{1024,  "Measurement 2 Quality Bad"			"|de|Messung 2 Qualittsfehler"	 },
		{2048,  "Measurement 2 low limit"			"|de|Messung 2 unterer Grenzwert"},
		{4096,  "Measurement 2 high limit"			"|de|Messung 2 oberer Grenzwert" },
		{8192,  "Measurement 3 Quality Bad"			"|de|Messung 3 Qualittsfehler"	 },
		{16384, "Measurement 3 low limit"			"|de|Messung 3 unterer Grenzwert"},
		{32768, "Measurement 3 high limit"			"|de|Messung 3 oberer Grenzwert" }

	}
	HANDLING	READ;
}

VARIABLE Error1
{
	LABEL	"Error Detection"		"|de|Fehlermeldung";
	CLASS	DYNAMIC;
	STYLE "MULTILINE 22 17";
	TYPE	BIT_ENUMERATED (2)
	{
			{0,   	"No Error"				"|de|Kein Fehler"			},
			{1,   	"Measurement calibration Error"		"|de|Kalibrierfehler"			},
			{2,   	"Electronic adjustment Error"		"|de|Elektronik / Einstellfehler"	},
			{4,   	"Cleaning Error"			"|de|Reinigungsfehler"			},
			{8,   	"Measuring module Error"		"|de|Messmodulfehler"			},
			{16,   	"Settings Error"			"|de|Fehler Einstellungen"		},
			{32,   	"Hardware Error"			"|de|Hardwarefehler"			},
			{64,    "Internal communication Error"		"|de|Interner Kommunikationsfehler"	},
			{128,   "Humidity Error"			"|de|Feuchtigkeit erkannt"		},
			{256,   "Temperatur Error"			"|de|Temperaturfehler"			},
			{512,   ""										},
			{1024,  ""										},
			{2048,  ""										},
			{4096,  "Questionable measurement Warning"	"|de|Warnung Messwert unsicher"		},
			{8192,  "Safety Warning"			"|de|Warnung Sicherheitseinrichtung"	},
			{16384, "Reagent Warning"			"|de|Warnung Reagenz"			},
			{32768, "Maintenance Warning"			"|de|Warnung Instandhaltung"		}

	}
	HANDLING	READ;
}


VARIABLE s1
{
	LABEL 	"" ;
	HELP "the date of the last calibration" "|de|the date of the last calibration";
	CLASS	LOCAL;
	TYPE	ASCII (16)
		{		
		}
}

VARIABLE Datum_strg_NH4D1_CalDateSC
{
	LABEL "Cal. Date" "|de|Kalib. Datum";
	CLASS	LOCAL;
	TYPE	ASCII (16)
		{		
		}
}
VARIABLE Datum_strg_NH4D1_CalDate1
{
	LABEL "Cal. 1 Date" "|de|Kalib. 1 Datum";
	CLASS	LOCAL;
	TYPE	ASCII (16)
		{		
		}
}
VARIABLE Datum_strg_NH4D1_CalDate2
{
	LABEL "Cal. 2 Date" "|de|Kalib. 2 Datum";
	CLASS	LOCAL;
	TYPE	ASCII (16)
		{		
		}
}
VARIABLE Datum_strg_NH4D1_CalDate2_in_use
{
	LABEL "Cal. Date 2 in use" "|de|Benutzte Kalib. Datum 2";
	CLASS	LOCAL;
	TYPE	ASCII (16)
		{		
		}
}

/************************************************************************/
/*-----------------------COMMANDS---------------------------------------*/
/************************************************************************/
 //----------------------------------------------
//------IDENTIFICATIONS-------------------------
//----------------------------------------------
COMMAND read_VendorName
{
	SLOT 0;
	INDEX 100;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            VendorName
        }
    }
}

COMMAND read_ModelName
{
	SLOT 0;
	INDEX 101;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            ModelName
        }
    }
}

COMMAND read_ModelNummer
{
	SLOT 0;
	INDEX 102;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            ModelNummer
        }
    }
}

COMMAND read_MemberTable
{
	SLOT 10;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Serial1,
            Serial2,
            Serial3,
            DeviceID1,
            ManufactID1,
            Length1,
            Error1,
            Status1
        }
    }
}

/************************************************************************/
/*  Upload from device to PC              Daten lesen vom Gert zum PC  */
/************************************************************************/

MENU download_variables
{
	LABEL	[menu_load_to_PC];
	ITEMS
	{
	    Serial1,
	    VendorName,
	    ModelName,
	    ModelNummer,
		NH4D1_Meas_NH4_N,//read_NH4D1_Data1,
		NH4D1_SensorCode,//read_NH4D1_Data2,
		NH4D1_CalDateSC,//read_NH4D1_Data3,
		NH4D1_ConcKPlus_2_in_use,//read_NH4D1_Data4,
		NH4D1_PotassmV,//read_NH4D1_Data5
	}
}


/************************************************************************/
/*  Write from PC to device        Datenschreiben vom PC zum Gert	*/
/************************************************************************/

MENU upload_variables
{
	LABEL	[menu_load_to_device];
	ITEMS
	{
		NH4D1_PotassComp,
		NH4D1_LogInterval,
		NH4D1_ResponseInterval,
		NH4D1_TempUnit,
		NH4D1_Parameter,
		NH4D1_Unit,
		NH4D1_TempOffsetC,
		NH4D1_TempOffsetF,
		NH4D1_Location,
		//NH4D1_CalType,
		NH4D1_SensorCode,
	}
}
/************************************************************************/
/*	  Table: Specialist						*/
/************************************************************************/

MENU Table_Main_Specialist
{
	LABEL	DEVICE_TITLE ;

	ITEMS
	{
	Tab_s_preferences,
	Tab_s_preferencesM1,
	Tab_s_settings,
	Tab_s_diag,
	Tab_s_output_Offline
	}
}
/************************************************************************/
/*	  Main Menus							*/
/************************************************************************/
MENU Menu_Main_Specialist
{
    LABEL		[main_menu];
    ITEMS
    {
        Menu_File,
        Menu_S_Device,
        Menu_S_View,
        Menu_S_Options,
        Menu_Help
    }
}

/************************************************************************/
/*	  Menu: Device							*/
/************************************************************************/
MENU Menu_S_Device   //Menu: Device
{
    LABEL		"Online Menu" "|de|Online Men";
    ITEMS
    {
	Tab_s_preferences,
	Tab_s_preferencesM1,
	Tab_s_settings,
	Tab_s_diag,
	Tab_s_output_Online
    }
}


/************************************************************************/
/*	  Menu: View							*/
/************************************************************************/

MENU Menu_S_View
{
    LABEL		"Monitor" "|de|Beobachten";
    ITEMS
    {
		NH4D1_Meas_NH4_N,
		NH4D1_Meas_NH4,
		NH4D1_PotassMeas,
		NH4D1_TempDegC,
		NH4D1_TempDegF,
	    Status1,
        Error1
    }
}


/************************************************************************/
/*------------------------Online-Windows--------------------------------*/
/************************************************************************/

MENU Tab_s_preferences
{
    LABEL	"Profibus Interface"  "|de|Profibus Schnittstelle";
    ITEMS
    {
		VendorName,
		ModelName,
		ModelNummer
    }
}

MENU Tab_s_preferencesM1
{
    LABEL	"SC device"  "|de|SC Gert";
    ITEMS
    {
		DeviceID1,
		Serial1_WOX  (READ_ONLY),
		NH4D1_Location
    }
}

MENU Tab_s_output_Offline
{
	LABEL	"Output" "|de|Ausgang";
	ITEMS
	{
		Group_NH4D1_AMMONIUM,
		Group_NH4D1_POTASS,
		Group_NH4D1_TEMP
    }						
}

MENU Tab_s_output_Online
{
	LABEL	"Output" "|de|Ausgang";
	ITEMS
	{
		Group_NH4D1_AMMONIUM,
		Group_NH4D1_POTASS,
		Group_NH4D1_TEMP
	}
}

MENU Tab_s_diag
{
	LABEL	"Diagnostics" "|de|Diagnose";
	ITEMS
	{
					    NH4D1_CounterSC,
						COLUMNBREAK,
						NH4D1_SerialNumber,
						ROWBREAK,
					    Tab_Tab_NH4D1_Diag_ProbeInfo,
						Tab_Tab_NH4D1_Diag_Calibration
	}
}

MENU Tab_s_settings
{
	LABEL	"Settings" "|de|Einstellungen";
	ITEMS
	{
						NH4D1_PotassComp,
						COLUMNBREAK,
						NH4D1_LogInterval,
						ROWBREAK,
						NH4D1_ResponseInterval,
						COLUMNBREAK,
						NH4D1_TempUnit,
						ROWBREAK,
						NH4D1_Parameter,
						COLUMNBREAK,
						NH4D1_Unit,
						ROWBREAK,
						NH4D1_TempOffsetC,
						COLUMNBREAK,
						NH4D1_TempOffsetF,
						ROWBREAK,
						NH4D1_CalType (READ_ONLY),
						COLUMNBREAK,
						ROWBREAK				  
	}
}

